<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>Framework for KDE Graphical Components</title>
    <filename>index</filename>
  </compound>
  <compound kind="file">
    <name>browserextension.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kparts/</path>
    <filename>browserextension_8cpp</filename>
    <includes id="browserextension_8h" name="browserextension.h" local="yes" imported="no">browserextension.h</includes>
  </compound>
  <compound kind="file">
    <name>browserextension.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kparts/</path>
    <filename>browserextension_8h</filename>
    <includes id="part_8h" name="part.h" local="no" imported="no">kparts/part.h</includes>
    <includes id="event_8h" name="event.h" local="no" imported="no">kparts/event.h</includes>
    <class kind="struct">KParts::BrowserArguments</class>
    <class kind="class">KParts::BrowserExtension</class>
    <class kind="class">KParts::BrowserHostExtension</class>
    <class kind="class">KParts::LiveConnectExtension</class>
    <class kind="class">KParts::OpenUrlEvent</class>
    <class kind="class">KParts::WindowArgs</class>
  </compound>
  <compound kind="file">
    <name>browserinterface.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kparts/</path>
    <filename>browserinterface_8cpp</filename>
    <includes id="browserinterface_8h" name="browserinterface.h" local="yes" imported="no">browserinterface.h</includes>
  </compound>
  <compound kind="file">
    <name>browserinterface.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kparts/</path>
    <filename>browserinterface_8h</filename>
    <includes id="kparts__export_8h" name="kparts_export.h" local="no" imported="no">kparts/kparts_export.h</includes>
    <class kind="class">KParts::BrowserInterface</class>
  </compound>
  <compound kind="file">
    <name>browserrun.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kparts/</path>
    <filename>browserrun_8cpp</filename>
    <includes id="browserrun_8h" name="browserrun.h" local="yes" imported="no">browserrun.h</includes>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>makeQuestion</name>
      <anchorfile>browserrun_8cpp.html</anchorfile>
      <anchor>ae42525c26bade0ab290c2e2df09d1040</anchor>
      <arglist>(const KUrl &amp;url, const QString &amp;mimeType, const QString &amp;suggestedFileName)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>browserrun.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kparts/</path>
    <filename>browserrun_8h</filename>
    <includes id="browserextension_8h" name="browserextension.h" local="no" imported="no">kparts/browserextension.h</includes>
    <class kind="class">KParts::BrowserRun</class>
  </compound>
  <compound kind="file">
    <name>componentfactory.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kparts/</path>
    <filename>componentfactory_8h</filename>
    <includes id="factory_8h" name="factory.h" local="no" imported="no">kparts/factory.h</includes>
    <includes id="part_8h" name="part.h" local="no" imported="no">kparts/part.h</includes>
    <namespace>KParts::ComponentFactory</namespace>
    <member kind="function">
      <type>KDE_DEPRECATED T *</type>
      <name>createPartInstanceFromFactory</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>aa27032f3874f0739950a5d668485e26a</anchor>
      <arglist>(KParts::Factory *factory, QWidget *parentWidget=0, QObject *parent=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED T *</type>
      <name>createPartInstanceFromLibrary</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>a0b1ac458d0a0499447d6f3205533b2ab</anchor>
      <arglist>(const char *libraryName, QWidget *parentWidget=0, QObject *parent=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>createPartInstanceFromQuery</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>a71eb5a47ba2fab6636de27f0535f8137</anchor>
      <arglist>(const QString &amp;mimeType, const QString &amp;constraint, QWidget *parentWidget=0, QObject *parent=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED T *</type>
      <name>createPartInstanceFromService</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>add198066d759108763f3495e41e7411d</anchor>
      <arglist>(const KService::Ptr &amp;service, QWidget *parentWidget=0, QObject *parent=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED T *</type>
      <name>createPartInstanceFromServices</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>a7f91430495c488e1678d8bd6a00f375f</anchor>
      <arglist>(ServiceIterator begin, ServiceIterator end, QWidget *parentWidget=0, QObject *parent=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>event.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kparts/</path>
    <filename>event_8cpp</filename>
    <includes id="event_8h" name="event.h" local="no" imported="no">kparts/event.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>KPARTS_EVENT_MAGIC</name>
      <anchorfile>event_8cpp.html</anchorfile>
      <anchor>aca50f99f8ccf749c8ea6bde839cf00bb</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>event.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kparts/</path>
    <filename>event_8h</filename>
    <includes id="kparts__export_8h" name="kparts_export.h" local="no" imported="no">kparts/kparts_export.h</includes>
    <class kind="class">KParts::Event</class>
    <class kind="class">KParts::GUIActivateEvent</class>
    <class kind="class">KParts::PartActivateEvent</class>
    <class kind="class">KParts::PartSelectEvent</class>
  </compound>
  <compound kind="file">
    <name>factory.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kparts/</path>
    <filename>factory_8cpp</filename>
    <includes id="factory_8h" name="factory.h" local="yes" imported="no">factory.h</includes>
    <includes id="part_8h" name="part.h" local="yes" imported="no">part.h</includes>
  </compound>
  <compound kind="file">
    <name>factory.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kparts/</path>
    <filename>factory_8h</filename>
    <includes id="kparts__export_8h" name="kparts_export.h" local="no" imported="no">kparts/kparts_export.h</includes>
    <class kind="class">KParts::Factory</class>
  </compound>
  <compound kind="file">
    <name>genericfactory.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kparts/</path>
    <filename>genericfactory_8h</filename>
    <includes id="factory_8h" name="factory.h" local="no" imported="no">kparts/factory.h</includes>
    <includes id="part_8h" name="part.h" local="no" imported="no">kparts/part.h</includes>
    <class kind="class">KParts::GenericFactory</class>
    <class kind="class">KParts::GenericFactory&lt; KTypeList&lt; T1, T2 &gt; &gt;</class>
    <class kind="class">KParts::GenericFactoryBase</class>
  </compound>
  <compound kind="file">
    <name>historyprovider.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kparts/</path>
    <filename>historyprovider_8cpp</filename>
    <includes id="historyprovider_8h" name="historyprovider.h" local="yes" imported="no">historyprovider.h</includes>
  </compound>
  <compound kind="file">
    <name>historyprovider.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kparts/</path>
    <filename>historyprovider_8h</filename>
    <includes id="kparts__export_8h" name="kparts_export.h" local="no" imported="no">kparts/kparts_export.h</includes>
    <class kind="class">KParts::HistoryProvider</class>
  </compound>
  <compound kind="file">
    <name>kparts_export.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kparts/</path>
    <filename>kparts__export_8h</filename>
  </compound>
  <compound kind="file">
    <name>Mainpage.dox</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kparts/</path>
    <filename>Mainpage_8dox</filename>
  </compound>
  <compound kind="file">
    <name>mainwindow.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kparts/</path>
    <filename>mainwindow_8cpp</filename>
    <includes id="mainwindow_8h" name="mainwindow.h" local="yes" imported="no">mainwindow.h</includes>
    <includes id="event_8h" name="event.h" local="no" imported="no">kparts/event.h</includes>
    <includes id="part_8h" name="part.h" local="no" imported="no">kparts/part.h</includes>
    <includes id="plugin_8h" name="plugin.h" local="no" imported="no">kparts/plugin.h</includes>
  </compound>
  <compound kind="file">
    <name>mainwindow.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kparts/</path>
    <filename>mainwindow_8h</filename>
    <includes id="part_8h" name="part.h" local="no" imported="no">kparts/part.h</includes>
    <class kind="class">KParts::MainWindow</class>
  </compound>
  <compound kind="file">
    <name>part.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kparts/</path>
    <filename>part_8cpp</filename>
    <includes id="part_8h" name="part.h" local="yes" imported="no">part.h</includes>
    <includes id="event_8h" name="event.h" local="yes" imported="no">event.h</includes>
    <includes id="plugin_8h" name="plugin.h" local="yes" imported="no">plugin.h</includes>
    <includes id="mainwindow_8h" name="mainwindow.h" local="yes" imported="no">mainwindow.h</includes>
    <includes id="partmanager_8h" name="partmanager.h" local="yes" imported="no">partmanager.h</includes>
    <includes id="browserextension_8h" name="browserextension.h" local="yes" imported="no">browserextension.h</includes>
  </compound>
  <compound kind="file">
    <name>part.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kparts/</path>
    <filename>part_8h</filename>
    <includes id="kparts__export_8h" name="kparts_export.h" local="no" imported="no">kparts/kparts_export.h</includes>
    <class kind="class">KParts::OpenUrlArguments</class>
    <class kind="class">KParts::Part</class>
    <class kind="class">KParts::PartBase</class>
    <class kind="class">KParts::ReadOnlyPart</class>
    <class kind="class">KParts::ReadWritePart</class>
    <member kind="define">
      <type>#define</type>
      <name>KPARTS_DECLARE_PRIVATE</name>
      <anchorfile>part_8h.html</anchorfile>
      <anchor>a623c1b386b671288607face6e05ce922</anchor>
      <arglist>(Class)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>partmanager.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kparts/</path>
    <filename>partmanager_8cpp</filename>
    <includes id="partmanager_8h" name="partmanager.h" local="yes" imported="no">partmanager.h</includes>
    <includes id="event_8h" name="event.h" local="no" imported="no">kparts/event.h</includes>
    <includes id="part_8h" name="part.h" local="no" imported="no">kparts/part.h</includes>
  </compound>
  <compound kind="file">
    <name>partmanager.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kparts/</path>
    <filename>partmanager_8h</filename>
    <includes id="kparts__export_8h" name="kparts_export.h" local="no" imported="no">kparts/kparts_export.h</includes>
    <class kind="class">KParts::PartManager</class>
  </compound>
  <compound kind="file">
    <name>plugin.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kparts/</path>
    <filename>plugin_8cpp</filename>
    <includes id="plugin_8h" name="plugin.h" local="no" imported="no">kparts/plugin.h</includes>
    <includes id="part_8h" name="part.h" local="no" imported="no">kparts/part.h</includes>
    <includes id="componentfactory_8h" name="componentfactory.h" local="no" imported="no">kparts/componentfactory.h</includes>
  </compound>
  <compound kind="file">
    <name>plugin.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kparts/</path>
    <filename>plugin_8h</filename>
    <includes id="kparts__export_8h" name="kparts_export.h" local="no" imported="no">kparts/kparts_export.h</includes>
    <class kind="class">KParts::Plugin</class>
    <class kind="struct">KParts::Plugin::PluginInfo</class>
  </compound>
  <compound kind="file">
    <name>statusbarextension.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kparts/</path>
    <filename>statusbarextension_8cpp</filename>
    <includes id="statusbarextension_8h" name="statusbarextension.h" local="yes" imported="no">statusbarextension.h</includes>
    <includes id="part_8h" name="part.h" local="no" imported="no">kparts/part.h</includes>
    <includes id="event_8h" name="event.h" local="no" imported="no">kparts/event.h</includes>
  </compound>
  <compound kind="file">
    <name>statusbarextension.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kparts/</path>
    <filename>statusbarextension_8h</filename>
    <includes id="kparts__export_8h" name="kparts_export.h" local="no" imported="no">kparts/kparts_export.h</includes>
    <class kind="class">KParts::StatusBarExtension</class>
  </compound>
  <compound kind="class">
    <name>QEvent</name>
    <filename>classQEvent.html</filename>
  </compound>
  <compound kind="struct">
    <name>KParts::BrowserArguments</name>
    <filename>structKParts_1_1BrowserArguments.html</filename>
    <member kind="function">
      <type></type>
      <name>BrowserArguments</name>
      <anchorfile>structKParts_1_1BrowserArguments.html</anchorfile>
      <anchor>ae7108ae0f12db1c98d7e847f13da4360</anchor>
      <arglist>(const BrowserArguments &amp;args)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BrowserArguments</name>
      <anchorfile>structKParts_1_1BrowserArguments.html</anchorfile>
      <anchor>a7138db0f0a440491c9f915f2be970ad8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>contentType</name>
      <anchorfile>structKParts_1_1BrowserArguments.html</anchorfile>
      <anchor>aade165cbd300a6252e9f46a8a98a0fea</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>doPost</name>
      <anchorfile>structKParts_1_1BrowserArguments.html</anchorfile>
      <anchor>a328efd31473c98f41670576e958ed616</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>forcesNewWindow</name>
      <anchorfile>structKParts_1_1BrowserArguments.html</anchorfile>
      <anchor>a47d4297b6b680acba86780452fe66be1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>lockHistory</name>
      <anchorfile>structKParts_1_1BrowserArguments.html</anchorfile>
      <anchor>a037a7733e48dd893a34624e358302f4c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>newTab</name>
      <anchorfile>structKParts_1_1BrowserArguments.html</anchorfile>
      <anchor>a8e175e1b075e81983d371b15cd9c08f4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>BrowserArguments &amp;</type>
      <name>operator=</name>
      <anchorfile>structKParts_1_1BrowserArguments.html</anchorfile>
      <anchor>a03e0716c7c6c0e667201038834dffa6d</anchor>
      <arglist>(const BrowserArguments &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>redirectedRequest</name>
      <anchorfile>structKParts_1_1BrowserArguments.html</anchorfile>
      <anchor>a5b9fd5767fe8356d5a4d70128c6aa6af</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setContentType</name>
      <anchorfile>structKParts_1_1BrowserArguments.html</anchorfile>
      <anchor>aa5a45039269323c861805dcbb40db5bd</anchor>
      <arglist>(const QString &amp;contentType)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDoPost</name>
      <anchorfile>structKParts_1_1BrowserArguments.html</anchorfile>
      <anchor>a31900428f566238a35f2d667835921e0</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setForcesNewWindow</name>
      <anchorfile>structKParts_1_1BrowserArguments.html</anchorfile>
      <anchor>a893eaea4409d7cb1424e12b581dad729</anchor>
      <arglist>(bool forcesNewWindow)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLockHistory</name>
      <anchorfile>structKParts_1_1BrowserArguments.html</anchorfile>
      <anchor>a01996b915ecb07d67258dc31f0dfca8e</anchor>
      <arglist>(bool lock)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNewTab</name>
      <anchorfile>structKParts_1_1BrowserArguments.html</anchorfile>
      <anchor>a618f6fe19f6e4a776a0f1f2168ab366d</anchor>
      <arglist>(bool newTab)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRedirectedRequest</name>
      <anchorfile>structKParts_1_1BrowserArguments.html</anchorfile>
      <anchor>a958ee61094423cb514dd749f5d079a61</anchor>
      <arglist>(bool redirected)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BrowserArguments</name>
      <anchorfile>structKParts_1_1BrowserArguments.html</anchorfile>
      <anchor>a1679f225dbfc89c229cc47283f925603</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>QStringList</type>
      <name>docState</name>
      <anchorfile>structKParts_1_1BrowserArguments.html</anchorfile>
      <anchor>a76aed0d1e923b73db918038d23f524ec</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>frameName</name>
      <anchorfile>structKParts_1_1BrowserArguments.html</anchorfile>
      <anchor>ad8b767db0ac78790860f4f0cbef64ea2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>postData</name>
      <anchorfile>structKParts_1_1BrowserArguments.html</anchorfile>
      <anchor>a9c1fb6cb602a10fec4ca05a25f1b9ac6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>softReload</name>
      <anchorfile>structKParts_1_1BrowserArguments.html</anchorfile>
      <anchor>af06b08da058cd6fc19ad42e2904e2594</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>trustedSource</name>
      <anchorfile>structKParts_1_1BrowserArguments.html</anchorfile>
      <anchor>aa9e31eabaee6af2692319d21721fc9cb</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::BrowserExtension</name>
    <filename>classKParts_1_1BrowserExtension.html</filename>
    <base>QObject</base>
    <member kind="typedef">
      <type>QMap&lt; QString, QList&lt; QAction * &gt; &gt;</type>
      <name>ActionGroupMap</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a73ab162c395443c0227946524a8ee04c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QMap&lt; QByteArray, int &gt;</type>
      <name>ActionNumberMap</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a71369db13dead055035067d4f8ff498d</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QMap&lt; QByteArray, QByteArray &gt;</type>
      <name>ActionSlotMap</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>ac931bbd8189a4386b609180b5e704344</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>PopupFlag</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>ae5b9acf92e7d83faf5142597371ef1e3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>DefaultPopupItems</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>ae5b9acf92e7d83faf5142597371ef1e3a59ee58fca9e8b900d617c4f232b497f7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ShowNavigationItems</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>ae5b9acf92e7d83faf5142597371ef1e3a05faf3d46fca9da3a396d72c993eec5c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ShowUp</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>ae5b9acf92e7d83faf5142597371ef1e3af6030e3884ded53eace393f2af510c68</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ShowReload</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>ae5b9acf92e7d83faf5142597371ef1e3a97cbb12bbef8ef52b233c24d0bf3e41e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ShowBookmark</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>ae5b9acf92e7d83faf5142597371ef1e3ac6c783f725ac9fe594d0b563495feb64</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ShowCreateDirectory</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>ae5b9acf92e7d83faf5142597371ef1e3a152988520c15f75baddf48de43c9092a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ShowTextSelectionItems</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>ae5b9acf92e7d83faf5142597371ef1e3a947c452c66b8c500ac2ce303451d68c4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NoDeletion</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>ae5b9acf92e7d83faf5142597371ef1e3a2332ecaf86d9179ba1ba92b9b3b10463</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>IsLink</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>ae5b9acf92e7d83faf5142597371ef1e3a0521ef0fcccfba841ae8c5ae373f8976</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ShowUrlOperations</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>ae5b9acf92e7d83faf5142597371ef1e3a40232b7894e5aa48029559354b84aeb5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ShowProperties</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>ae5b9acf92e7d83faf5142597371ef1e3a12a41a796fe0be4f8411259b7a77920d</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>addWebSideBar</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a6ea5c473f5bf65cb1dfce8e6f1e81ad3</anchor>
      <arglist>(const KUrl &amp;url, const QString &amp;name)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>createNewWindow</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a99ae7fd5726079c473de103bf3e33833</anchor>
      <arglist>(const KUrl &amp;url, const KParts::OpenUrlArguments &amp;arguments=KParts::OpenUrlArguments(), const KParts::BrowserArguments &amp;browserArguments=KParts::BrowserArguments(), const KParts::WindowArgs &amp;windowArgs=KParts::WindowArgs(), KParts::ReadOnlyPart **part=0)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>enableAction</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a3252f2adebd103519ee15e57037c7386</anchor>
      <arglist>(const char *name, bool enabled)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>infoMessage</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>af07247232a4925903ed26ec9f9433aa4</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>itemsRemoved</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>ab52eaff5194bfec9aeff1e346f94d757</anchor>
      <arglist>(const KFileItemList &amp;items)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>loadingProgress</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a347035c05f6d6064f18ee656d61faed7</anchor>
      <arglist>(int percent)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>mouseOverInfo</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>abc6b8cdb9134eadcf817a3a9dea4c898</anchor>
      <arglist>(const KFileItem &amp;item)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>moveTopLevelWidget</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>aad5b1ddfb7313a8cf23a791fde7ec336</anchor>
      <arglist>(int x, int y)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>openUrlNotify</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a06b1ae0f0712677310ff7bc0b31b376a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>openUrlRequest</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>ac58ebde72bd36f1bfc189ea3ccf05a07</anchor>
      <arglist>(const KUrl &amp;url, const KParts::OpenUrlArguments &amp;arguments=KParts::OpenUrlArguments(), const KParts::BrowserArguments &amp;browserArguments=KParts::BrowserArguments())</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>openUrlRequestDelayed</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a8556e230ec679f8b2ddfde63c3039428</anchor>
      <arglist>(const KUrl &amp;url, const KParts::OpenUrlArguments &amp;arguments, const KParts::BrowserArguments &amp;browserArguments)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>popupMenu</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>aa6aaa048c0a5527639449b70bd489a6a</anchor>
      <arglist>(const QPoint &amp;global, const KUrl &amp;url, mode_t mode=(mode_t)-1, const KParts::OpenUrlArguments &amp;args=KParts::OpenUrlArguments(), const KParts::BrowserArguments &amp;browserArgs=KParts::BrowserArguments(), KParts::BrowserExtension::PopupFlags flags=KParts::BrowserExtension::DefaultPopupItems, const KParts::BrowserExtension::ActionGroupMap &amp;actionGroups=ActionGroupMap())</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>popupMenu</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a97f2ed6d4318555095512275f6988484</anchor>
      <arglist>(const QPoint &amp;global, const KFileItemList &amp;items, const KParts::OpenUrlArguments &amp;args=KParts::OpenUrlArguments(), const KParts::BrowserArguments &amp;browserArgs=KParts::BrowserArguments(), KParts::BrowserExtension::PopupFlags flags=KParts::BrowserExtension::DefaultPopupItems, const KParts::BrowserExtension::ActionGroupMap &amp;actionGroups=ActionGroupMap())</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>requestFocus</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a8424167e31fd3c68e53cfd0aacb38934</anchor>
      <arglist>(KParts::ReadOnlyPart *part)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>resizeTopLevelWidget</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a5ac0475a4a7d3434326c96bfcff57006</anchor>
      <arglist>(int w, int h)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selectionInfo</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a84e9c471487de0d8d82067c2db80a539</anchor>
      <arglist>(const KUrl::List &amp;urls)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selectionInfo</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a5acae1ffb924f3791fd55900443c3bc0</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selectionInfo</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>aae2db786c70b458b433a2819ed2110fe</anchor>
      <arglist>(const KFileItemList &amp;items)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setActionText</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a73506e6a8b89d661512d4a6dfcfaabd5</anchor>
      <arglist>(const char *name, const QString &amp;text)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setIconUrl</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>aded24c62c57a7768f54c852831f4fd30</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setLocationBarUrl</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a335b6f5c78db67e7b8d385eb313b8aef</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setPageSecurity</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a7a352d71c9bcabd14a48efb589dd0957</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>speedProgress</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a51c00341228e2280d548e960b3d1fbe6</anchor>
      <arglist>(int bytesPerSecond)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>actionText</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a189d410dfe52013d49dd21e745818ac8</anchor>
      <arglist>(const char *name) const </arglist>
    </member>
    <member kind="function">
      <type>BrowserArguments</type>
      <name>browserArguments</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a9f2353789088c2759e2ef8944ac1ea89</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BrowserExtension</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>ad99182108f25e08eff9c2475f926a7bd</anchor>
      <arglist>(KParts::ReadOnlyPart *parent)</arglist>
    </member>
    <member kind="function">
      <type>BrowserInterface *</type>
      <name>browserInterface</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a8bdeb19e1954a60fd49be6d7ab11d086</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isActionEnabled</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>adf8422a323c4b2af38f52086d99d1428</anchor>
      <arglist>(const char *name) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isURLDropHandlingEnabled</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a392bd0526962aedb55973805ff354642</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pasteRequest</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a159892e86904e0d8defd209d70a79c5b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>restoreState</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>aa079a1969335549d2c20a3ce60ce4dfa</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveState</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>afb99e279b186fc7af270cc9469991cba</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setBrowserArguments</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a5dd8719a11279df48660a9e636869c5d</anchor>
      <arglist>(const BrowserArguments &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBrowserInterface</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>af64a4544d143f6fa45b200cb280dcfb4</anchor>
      <arglist>(BrowserInterface *impl)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setURLDropHandlingEnabled</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>afad1b992ba82e4f47fbb4ba6cdfcd1cb</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>xOffset</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a1bd7c693e1aca9e07edeffc138cf267b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>yOffset</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>af1da24da659609c5c0c1e5f838d5b2d1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BrowserExtension</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>ad306194800dfd9c994c2b3cd48ef64e2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ActionSlotMap</type>
      <name>actionSlotMap</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>aa758d6b4f47d16476b1f9faee387dd47</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ActionSlotMap *</type>
      <name>actionSlotMapPtr</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a25d2953fbab499eecb17f981f1f182ed</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static BrowserExtension *</type>
      <name>childObject</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a8b0030640356a9a097e2a2328d7bfc3d</anchor>
      <arglist>(QObject *obj)</arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>urlDropHandling</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a3f4216207e98c29842379e4abf2c1c06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::BrowserHostExtension</name>
    <filename>classKParts_1_1BrowserHostExtension.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>BrowserHostExtension</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>a112831f664e60bbf7e65337349268603</anchor>
      <arglist>(KParts::ReadOnlyPart *parent)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual BrowserHostExtension *</type>
      <name>findFrameParent</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>a74ba17b18e70aa0bb308d65cf10df0bd</anchor>
      <arglist>(KParts::ReadOnlyPart *callingPart, const QString &amp;frame)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>frameNames</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>af169594a9175937e4c30f83f2a8268d6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const QList&lt; KParts::ReadOnlyPart * &gt;</type>
      <name>frames</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>a6dc4405884db2b01f831b4a9fdaf88b8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>openUrlInFrame</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>a5882519632ddc7da53ff46829f6eb73d</anchor>
      <arglist>(const KUrl &amp;url, const KParts::OpenUrlArguments &amp;arguments, const KParts::BrowserArguments &amp;browserArguments)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BrowserHostExtension</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>a76003b224a5e150b024f1c80e2b6c228</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static BrowserHostExtension *</type>
      <name>childObject</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>a3249ad6a6b4651761ca01543ab16eb32</anchor>
      <arglist>(QObject *obj)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::BrowserInterface</name>
    <filename>classKParts_1_1BrowserInterface.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>BrowserInterface</name>
      <anchorfile>classKParts_1_1BrowserInterface.html</anchorfile>
      <anchor>a8406493793364cc480f452cc151654cc</anchor>
      <arglist>(QObject *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>callMethod</name>
      <anchorfile>classKParts_1_1BrowserInterface.html</anchorfile>
      <anchor>a2b7c63a3eaa196f53b3cc679714de295</anchor>
      <arglist>(const char *name, const QVariant &amp;argument)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BrowserInterface</name>
      <anchorfile>classKParts_1_1BrowserInterface.html</anchorfile>
      <anchor>aa00ff559d4a192c32d348a0ca6e72ffc</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::BrowserRun</name>
    <filename>classKParts_1_1BrowserRun.html</filename>
    <base>KRun</base>
    <member kind="enumeration">
      <name>AskEmbedOrSaveFlags</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>ae78b4e6186491175ccdb4b0f2693c08d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>InlineDisposition</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>ae78b4e6186491175ccdb4b0f2693c08dafa80faaf171d25b4a0e095a2c1f51cfe</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>AttachmentDisposition</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>ae78b4e6186491175ccdb4b0f2693c08daa236cc4b09fc3ca6f88d9a37b32ea8af</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>AskSaveResult</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a32ee53f65c723ec01f4c4c28e91db8e6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Save</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a32ee53f65c723ec01f4c4c28e91db8e6adc6aa058c60662f393aa8168681d8a58</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Open</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a32ee53f65c723ec01f4c4c28e91db8e6ac44e1cbf269e6df9367051c7561de90b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Cancel</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a32ee53f65c723ec01f4c4c28e91db8e6aea88673d252dcf7b37559606ce45667f</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>KParts::OpenUrlArguments &amp;</type>
      <name>arguments</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a85187a4ebc45d4cf5f46297b588e744d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KParts::BrowserArguments &amp;</type>
      <name>browserArguments</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a7a07da5670342ffdf9297d4d66214800</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BrowserRun</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a6fb7b5ce546291d75a7466879abb4928</anchor>
      <arglist>(const KUrl &amp;url, const KParts::OpenUrlArguments &amp;args, const KParts::BrowserArguments &amp;browserArgs, KParts::ReadOnlyPart *part, QWidget *window, bool removeReferrer, bool trustedSource, bool hideErrorDialog=false)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>contentDisposition</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a2e9f4b81983a433daea8e7464df11f54</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hideErrorDialog</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>aa12658e1ed02cdcca9943dc2eb457403</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KParts::ReadOnlyPart *</type>
      <name>part</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a6892e0827e2893f5cbf6ba2f5fa9c94a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a264790d3a5cea7110aa0c3da2499b6c6</anchor>
      <arglist>(const KUrl &amp;url, const QString &amp;suggestedFileName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>serverSuggestsSave</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a7daa3c6e44b8a37aa9c1d010972194dc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KUrl</type>
      <name>url</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a20ff919538007d341e81db03f618e44d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BrowserRun</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>af8fbc05c6b8bba8a3fc42659a57be8b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>allowExecution</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>ac03c0fe51bb6ef005da8fee25a8d9fd4</anchor>
      <arglist>(const QString &amp;mimeType, const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AskSaveResult</type>
      <name>askEmbedOrSave</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a4f3f2a3637b19ea6594136b304680877</anchor>
      <arglist>(const KUrl &amp;url, const QString &amp;mimeType, const QString &amp;suggestedFileName=QString(), int flags=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AskSaveResult</type>
      <name>askSave</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>aa6744af525bf9834751cedf1e262290e</anchor>
      <arglist>(const KUrl &amp;url, KService::Ptr offer, const QString &amp;mimeType, const QString &amp;suggestedFileName=QString())</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>isTextExecutable</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a9b2da86c13be261f6b7757c4473c806b</anchor>
      <arglist>(const QString &amp;mimeType)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>simpleSave</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>acb3a303c6ba5042e76df35e132b54279</anchor>
      <arglist>(const KUrl &amp;url, const QString &amp;suggestedFileName, QWidget *window=0)</arglist>
    </member>
    <member kind="enumeration">
      <name>NonEmbeddableResult</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>af7f4f75d5ab28c3183f9f5ee96b8a79f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Handled</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>af7f4f75d5ab28c3183f9f5ee96b8a79fa1489069cb381b59c2de0d501e347388e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NotHandled</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>af7f4f75d5ab28c3183f9f5ee96b8a79fae968cb6de73d4c96f7644a55adf610ca</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Delayed</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>af7f4f75d5ab28c3183f9f5ee96b8a79fa7a4f366bf6b4319caab0e48610f5e26c</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotBrowserMimetype</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a5729642269633a8030ea07f481f4972d</anchor>
      <arglist>(KIO::Job *job, const QString &amp;type)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotBrowserScanFinished</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>ab6d21a774b096a6cd4d0ffb8289b08e0</anchor>
      <arglist>(KJob *job)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotCopyToTempFileResult</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>aa5dfd14c02f4b5fceffaec4c4c8f5e58</anchor>
      <arglist>(KJob *job)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotStatResult</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>ad016402aa1b68bfec5bb864aa3f3015e</anchor>
      <arglist>(KJob *job)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>handleError</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a87b03ad529b9c9b637a43818b92a599a</anchor>
      <arglist>(KJob *job)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>NonEmbeddableResult</type>
      <name>handleNonEmbeddable</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a620eeb51117a09a603240d58692f0d53</anchor>
      <arglist>(const QString &amp;mimeType)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>init</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a8d38674c3e53616f457f154863c06224</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>scanFile</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a6270aaed82661d4cc771d718c4608702</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::Event</name>
    <filename>classKParts_1_1Event.html</filename>
    <base>QEvent</base>
    <member kind="function">
      <type></type>
      <name>Event</name>
      <anchorfile>classKParts_1_1Event.html</anchorfile>
      <anchor>a7aa918f7132df5763f6e41b23d5f9a4e</anchor>
      <arglist>(const char *eventName)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>eventName</name>
      <anchorfile>classKParts_1_1Event.html</anchorfile>
      <anchor>a2fc2b8442139ce10080549e33704b895</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Event</name>
      <anchorfile>classKParts_1_1Event.html</anchorfile>
      <anchor>a7704ec01ce91e673885792054214b3d2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKParts_1_1Event.html</anchorfile>
      <anchor>a2e9d4afea702496758a687ad751f39cd</anchor>
      <arglist>(const QEvent *event, const char *name)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKParts_1_1Event.html</anchorfile>
      <anchor>a85ec686112c97a89c6d014d3bafa2158</anchor>
      <arglist>(const QEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::Factory</name>
    <filename>classKParts_1_1Factory.html</filename>
    <base>KPluginFactory</base>
    <member kind="function">
      <type>Part *</type>
      <name>createPart</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>aa3e9aa1c1537b313999827bb8f20f17b</anchor>
      <arglist>(QWidget *parentWidget=0, QObject *parent=0, const char *classname=&quot;KParts::Part&quot;, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Factory</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>a4d89d237173af2747463b8ca05c3949d</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KComponentData</type>
      <name>partComponentData</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>af3f17590c436517fb9c4860bbf703ee4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Factory</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>a8f71456f48e4df402c778a44191ff40e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KComponentData</type>
      <name>partComponentDataFromLibrary</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>a59ed5a72c035b9cbb76ca67176fd0abc</anchor>
      <arglist>(const QString &amp;libraryName)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual QObject *</type>
      <name>createObject</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>a2b479d50764c661c7cb2c2dbd0d3be48</anchor>
      <arglist>(QObject *parent=0, const char *classname=&quot;QObject&quot;, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual Part *</type>
      <name>createPartObject</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>a6dc6a2b0d6ce56751430549fe16d720b</anchor>
      <arglist>(QWidget *parentWidget=0, QObject *parent=0, const char *classname=&quot;KParts::Part&quot;, const QStringList &amp;args=QStringList())=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::GenericFactory</name>
    <filename>classKParts_1_1GenericFactory.html</filename>
    <templarg></templarg>
    <base>KParts::GenericFactoryBase</base>
    <member kind="function" virtualness="virtual">
      <type>virtual KParts::Part *</type>
      <name>createPartObject</name>
      <anchorfile>classKParts_1_1GenericFactory.html</anchorfile>
      <anchor>ac80d722fb2433018dfea04f0f6b89f74</anchor>
      <arglist>(QWidget *parentWidget, QObject *parent, const char *className, const QStringList &amp;args)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>GenericFactory</name>
      <anchorfile>classKParts_1_1GenericFactory.html</anchorfile>
      <anchor>aef00baf603a775a324f84fb30ba5a0f4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::GenericFactory&lt; KTypeList&lt; T1, T2 &gt; &gt;</name>
    <filename>classKParts_1_1GenericFactory_3_01KTypeList_3_01T1_00_01T2_01_4_01_4.html</filename>
    <templarg></templarg>
    <templarg></templarg>
    <base>GenericFactoryBase&lt; T1 &gt;</base>
    <member kind="function" virtualness="virtual">
      <type>virtual KParts::Part *</type>
      <name>createPartObject</name>
      <anchorfile>classKParts_1_1GenericFactory_3_01KTypeList_3_01T1_00_01T2_01_4_01_4.html</anchorfile>
      <anchor>aa3e8c27c10a09306951a2e63159a3d56</anchor>
      <arglist>(QWidget *parentWidget, QObject *parent, const char *className, const QStringList &amp;args)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>GenericFactory</name>
      <anchorfile>classKParts_1_1GenericFactory_3_01KTypeList_3_01T1_00_01T2_01_4_01_4.html</anchorfile>
      <anchor>addfaf3065f16712d09a7a63bee3fd116</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::GenericFactoryBase</name>
    <filename>classKParts_1_1GenericFactoryBase.html</filename>
    <templarg>T</templarg>
    <base>KParts::Factory</base>
    <member kind="function">
      <type></type>
      <name>GenericFactoryBase</name>
      <anchorfile>classKParts_1_1GenericFactoryBase.html</anchorfile>
      <anchor>af55233417c6cfae4f515ffe332987261</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KComponentData</type>
      <name>partComponentData</name>
      <anchorfile>classKParts_1_1GenericFactoryBase.html</anchorfile>
      <anchor>a0b1d32c7adf2255890bdd3898757feae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~GenericFactoryBase</name>
      <anchorfile>classKParts_1_1GenericFactoryBase.html</anchorfile>
      <anchor>a684bf9bd99f8c86d64a1fbdac6ee2901</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classKParts_1_1GenericFactoryBase.html</anchorfile>
      <anchor>ad5b89e87d73a76f3548c1afd09858020</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const KComponentData &amp;</type>
      <name>componentData</name>
      <anchorfile>classKParts_1_1GenericFactoryBase.html</anchorfile>
      <anchor>ad4a0ca70dec2fe8f4e0d4293e17eb776</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual KComponentData *</type>
      <name>createComponentData</name>
      <anchorfile>classKParts_1_1GenericFactoryBase.html</anchorfile>
      <anchor>ae90ec2009529241553290269f3108134</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::GUIActivateEvent</name>
    <filename>classKParts_1_1GUIActivateEvent.html</filename>
    <base>KParts::Event</base>
    <member kind="function">
      <type>bool</type>
      <name>activated</name>
      <anchorfile>classKParts_1_1GUIActivateEvent.html</anchorfile>
      <anchor>ac8f8e5db666aa656b1b57605f8fc4739</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>GUIActivateEvent</name>
      <anchorfile>classKParts_1_1GUIActivateEvent.html</anchorfile>
      <anchor>ad2590921693c09a2fbc6cfd2b72f9d43</anchor>
      <arglist>(bool activated)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~GUIActivateEvent</name>
      <anchorfile>classKParts_1_1GUIActivateEvent.html</anchorfile>
      <anchor>a9669a06b6e40bf89f96cd4e12d896f6a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKParts_1_1GUIActivateEvent.html</anchorfile>
      <anchor>a839f479dff641dbc888784eae90785db</anchor>
      <arglist>(const QEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::HistoryProvider</name>
    <filename>classKParts_1_1HistoryProvider.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>cleared</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>ac1328e387f0adb62419ddfdd74b1839e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>inserted</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>a24304e5276a1f113314eb7b4e464828f</anchor>
      <arglist>(const QString &amp;item)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>updated</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>adf153d0a7a3efcdaba20a86e323e115f</anchor>
      <arglist>(const QStringList &amp;items)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>a9eb70389cbe1912435f4e97f56ed6943</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>contains</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>a498134270db3060ac032a8af6e5d5bef</anchor>
      <arglist>(const QString &amp;item) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>a02a9f183d6c9607f912c7047b39c6db1</anchor>
      <arglist>(const QString &amp;item)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>remove</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>a385a1a584ea86c3680f4c4501a9665b8</anchor>
      <arglist>(const QString &amp;item)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static HistoryProvider *</type>
      <name>self</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>af80fad416de3100cce6f16586398ee5d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>HistoryProvider</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>ad3d3f24a212ea28a4f325285b5db2e1f</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual</type>
      <name>~HistoryProvider</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>a4dda551811cf5beb59b459577aced662</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::LiveConnectExtension</name>
    <filename>classKParts_1_1LiveConnectExtension.html</filename>
    <base>QObject</base>
    <member kind="typedef">
      <type>QList&lt; QPair&lt; Type, QString &gt; &gt;</type>
      <name>ArgList</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>a16a7a582605755e47eaab5b37e73d8cb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Type</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>a8dfff0d5feb20316c714179c9eda9a9c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TypeVoid</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>a8dfff0d5feb20316c714179c9eda9a9ca862f2f5258607f30adbbe03395426c20</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TypeBool</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>a8dfff0d5feb20316c714179c9eda9a9ca3fed8b3ab2f5490fd7e6c6fca8b4a14b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TypeFunction</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>a8dfff0d5feb20316c714179c9eda9a9ca9f107d1ffb0bab7084c2952c00cf7f79</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TypeNumber</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>a8dfff0d5feb20316c714179c9eda9a9cadd765f23d443e96389613f184e874987</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TypeObject</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>a8dfff0d5feb20316c714179c9eda9a9cadc439c83b2bb144692429d76408cb5b7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TypeString</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>a8dfff0d5feb20316c714179c9eda9a9ca2f39f6b5f442bd7909c8810770d3ca95</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>partEvent</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>a0cb4efb5b26992f31ae44f3d4a6ba2a1</anchor>
      <arglist>(const unsigned long objid, const QString &amp;event, const KParts::LiveConnectExtension::ArgList &amp;args)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>call</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>a8af89d03bcefd24bb9c099deb80ca5ae</anchor>
      <arglist>(const unsigned long objid, const QString &amp;func, const QStringList &amp;args, Type &amp;type, unsigned long &amp;retobjid, QString &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>get</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>a46722a5f382f4d0173396f879e050c66</anchor>
      <arglist>(const unsigned long objid, const QString &amp;field, Type &amp;type, unsigned long &amp;retobjid, QString &amp;value)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>LiveConnectExtension</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>a902442263fbe127ed398331dd6e9084c</anchor>
      <arglist>(KParts::ReadOnlyPart *parent)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>put</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>ae0bc85bde992773d5bf3235d9772de9d</anchor>
      <arglist>(const unsigned long objid, const QString &amp;field, const QString &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>unregister</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>ac5aa145601a74a7ac1a84baee4690fc4</anchor>
      <arglist>(const unsigned long objid)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~LiveConnectExtension</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>abd825cc5d9f55653728f364d06d92f83</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static LiveConnectExtension *</type>
      <name>childObject</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>a4982112a931024257416f0c3ce8f2922</anchor>
      <arglist>(QObject *obj)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::MainWindow</name>
    <filename>classKParts_1_1MainWindow.html</filename>
    <base>KXmlGuiWindow</base>
    <base virtualness="virtual">KParts::PartBase</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>configureToolbars</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>af3b4ad461f415af5300b9720dd302bc8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KDE_CONSTRUCTOR_DEPRECATED</type>
      <name>MainWindow</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>af401a333e31056933fee559b9c499e8a</anchor>
      <arglist>(QWidget *parent, const char *name=0, Qt::WindowFlags f=KDE_DEFAULT_WINDOWFLAGS)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MainWindow</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>a3a5e07b7a5a176d0d2b4b76dc63e0825</anchor>
      <arglist>(QWidget *parent=0, Qt::WindowFlags f=KDE_DEFAULT_WINDOWFLAGS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~MainWindow</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>ae98d00a93bc118200eeef9f9bba1dba7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>createGUI</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>af96742c32da821dd7350deebc0a65382</anchor>
      <arglist>(KParts::Part *part)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>saveNewToolbarConfig</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>a7ee678f5096405ef023e49390013c0af</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSetStatusBarText</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>af391fc98a82478ee389a3357d487141f</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>createShellGUI</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>a7f1190c18799d4b2bee82fb91a5cd8b2</anchor>
      <arglist>(bool create=true)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::OpenUrlArguments</name>
    <filename>classKParts_1_1OpenUrlArguments.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>actionRequestedByUser</name>
      <anchorfile>classKParts_1_1OpenUrlArguments.html</anchorfile>
      <anchor>ab581f9d940912f8e8967f34c56cd2e29</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QMap&lt; QString, QString &gt; &amp;</type>
      <name>metaData</name>
      <anchorfile>classKParts_1_1OpenUrlArguments.html</anchorfile>
      <anchor>a8d3a3cfa50f45c20253190dfcff4a847</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QMap&lt; QString, QString &gt; &amp;</type>
      <name>metaData</name>
      <anchorfile>classKParts_1_1OpenUrlArguments.html</anchorfile>
      <anchor>a50ea6eeacb4b93758a19e678071c7942</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mimeType</name>
      <anchorfile>classKParts_1_1OpenUrlArguments.html</anchorfile>
      <anchor>aaddc679e216a0ce1a20983c0134675c5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>OpenUrlArguments</name>
      <anchorfile>classKParts_1_1OpenUrlArguments.html</anchorfile>
      <anchor>ac6d97bc2c3d8f926bd163b3a35bd5809</anchor>
      <arglist>(const OpenUrlArguments &amp;other)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>OpenUrlArguments</name>
      <anchorfile>classKParts_1_1OpenUrlArguments.html</anchorfile>
      <anchor>af4c1ee81217691a1dc9c7db9ba7d59f8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>OpenUrlArguments &amp;</type>
      <name>operator=</name>
      <anchorfile>classKParts_1_1OpenUrlArguments.html</anchorfile>
      <anchor>a69615e3868889e174cf44980df958411</anchor>
      <arglist>(const OpenUrlArguments &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>reload</name>
      <anchorfile>classKParts_1_1OpenUrlArguments.html</anchorfile>
      <anchor>a75c903644fed82bc1982cededcb1c05a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActionRequestedByUser</name>
      <anchorfile>classKParts_1_1OpenUrlArguments.html</anchorfile>
      <anchor>ac3e9c56a054c7d5fb882e5724f713041</anchor>
      <arglist>(bool userRequested)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMimeType</name>
      <anchorfile>classKParts_1_1OpenUrlArguments.html</anchorfile>
      <anchor>aa3c7601bb5f1ecfa1ed23009f7dfdc87</anchor>
      <arglist>(const QString &amp;mime)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReload</name>
      <anchorfile>classKParts_1_1OpenUrlArguments.html</anchorfile>
      <anchor>a2b9d7ac959db074ef06697de8f4e7a14</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setXOffset</name>
      <anchorfile>classKParts_1_1OpenUrlArguments.html</anchorfile>
      <anchor>a2429db3ff60f2cca3aac4d3e9c7cde7b</anchor>
      <arglist>(int x)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setYOffset</name>
      <anchorfile>classKParts_1_1OpenUrlArguments.html</anchorfile>
      <anchor>a19d0a9e25a2bbe4cd0d7c255bfa8441c</anchor>
      <arglist>(int y)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>xOffset</name>
      <anchorfile>classKParts_1_1OpenUrlArguments.html</anchorfile>
      <anchor>a3eb562ffb04cc93b0a5aa0e385058aa3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>yOffset</name>
      <anchorfile>classKParts_1_1OpenUrlArguments.html</anchorfile>
      <anchor>a29dbdad63be6e6904d5fd2c9fd9cd38b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~OpenUrlArguments</name>
      <anchorfile>classKParts_1_1OpenUrlArguments.html</anchorfile>
      <anchor>a667623f26093523412bd9060b423971d</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::OpenUrlEvent</name>
    <filename>classKParts_1_1OpenUrlEvent.html</filename>
    <base>KParts::Event</base>
    <member kind="function">
      <type>OpenUrlArguments</type>
      <name>arguments</name>
      <anchorfile>classKParts_1_1OpenUrlEvent.html</anchorfile>
      <anchor>a8f7d63940cb4a8b442abe98f50df803f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>BrowserArguments</type>
      <name>browserArguments</name>
      <anchorfile>classKParts_1_1OpenUrlEvent.html</anchorfile>
      <anchor>a10ecdb8cfe2f73209fb2df557c6055fe</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>OpenUrlEvent</name>
      <anchorfile>classKParts_1_1OpenUrlEvent.html</anchorfile>
      <anchor>a260413e83f2a2ff75d2cc3a563529bfd</anchor>
      <arglist>(ReadOnlyPart *part, const KUrl &amp;url, const OpenUrlArguments &amp;args=OpenUrlArguments(), const BrowserArguments &amp;browserArgs=BrowserArguments())</arglist>
    </member>
    <member kind="function">
      <type>ReadOnlyPart *</type>
      <name>part</name>
      <anchorfile>classKParts_1_1OpenUrlEvent.html</anchorfile>
      <anchor>a8f9b39d7423fe2262a356767950161ed</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KUrl</type>
      <name>url</name>
      <anchorfile>classKParts_1_1OpenUrlEvent.html</anchorfile>
      <anchor>a61fe777fecc7e83eebf83cba658ff62b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~OpenUrlEvent</name>
      <anchorfile>classKParts_1_1OpenUrlEvent.html</anchorfile>
      <anchor>ae42ca7b57aefd19800edc1a8a4298908</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKParts_1_1OpenUrlEvent.html</anchorfile>
      <anchor>a66a4775ab872de40051949b371e385a8</anchor>
      <arglist>(const QEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::Part</name>
    <filename>classKParts_1_1Part.html</filename>
    <base>QObject</base>
    <base>KParts::PartBase</base>
    <member kind="signal">
      <type>void</type>
      <name>setStatusBarText</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>a809740a79edf0fa0bbe1dd982a6c4d35</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setWindowCaption</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>a00982292ef3d8b80dedeb5fed2376099</anchor>
      <arglist>(const QString &amp;caption)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>embed</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>ae4a4d92e9f945a898755bbffde3dd0d5</anchor>
      <arglist>(QWidget *parentWidget)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Part *</type>
      <name>hitTest</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>a1a008e13075413a25e6005dffb9a1bd4</anchor>
      <arglist>(QWidget *widget, const QPoint &amp;globalPos)</arglist>
    </member>
    <member kind="function">
      <type>KIconLoader *</type>
      <name>iconLoader</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>ad0590a12e373494880f51eb459cf238c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSelectable</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>a7ec35c6c7ecdd0ad29238a34c7d4ac7e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PartManager *</type>
      <name>manager</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>ab300af90a0de5854193b4a55b443ee57</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Part</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>aee55422c867e8e10fd3f713a74249357</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAutoDeletePart</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>aa645dcacf25b33211e9d64e9eb65a29a</anchor>
      <arglist>(bool autoDeletePart)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAutoDeleteWidget</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>ad2a08cc79d77952e389780eb63b68052</anchor>
      <arglist>(bool autoDeleteWidget)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setManager</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>a6e2136ed1fc42f74f36472f00dd759bb</anchor>
      <arglist>(PartManager *manager)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setSelectable</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>a770220e0beb227ba286b09df93ce3d15</anchor>
      <arglist>(bool selectable)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QWidget *</type>
      <name>widget</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>a2d2efd56fe23904104c48dc56371c03d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Part</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>a1710faabd37355a2a4380b904ea37642</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotWidgetDestroyed</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>ae6789f7047afd8d87ade140428cbe7b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>customEvent</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>a9851109fa9f3f6e5660caf5095c0c4f4</anchor>
      <arglist>(QEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>guiActivateEvent</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>aac6f064a320fa83b31bf67520df3761f</anchor>
      <arglist>(GUIActivateEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QWidget *</type>
      <name>hostContainer</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>a79d27796d0a5fb6b1be321b8367b0e7e</anchor>
      <arglist>(const QString &amp;containerName)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadPlugins</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>a95c41d68c9667995a86cd142f1cd14de</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Part</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>ad6e7427098a46579efeb8bc17833c969</anchor>
      <arglist>(PartPrivate &amp;dd, QObject *parent)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>partActivateEvent</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>ab268f00ee4e3984a2ea21c364c09681f</anchor>
      <arglist>(PartActivateEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>partSelectEvent</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>a20573e8db0c4f08d3ff04422df51b461</anchor>
      <arglist>(PartSelectEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setWidget</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>a399fea8c8f8d4ee321118d1ec85775db</anchor>
      <arglist>(QWidget *widget)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::PartActivateEvent</name>
    <filename>classKParts_1_1PartActivateEvent.html</filename>
    <base>KParts::Event</base>
    <member kind="function">
      <type>bool</type>
      <name>activated</name>
      <anchorfile>classKParts_1_1PartActivateEvent.html</anchorfile>
      <anchor>a0dfb12cb555ad40505a4aecc7992a452</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Part *</type>
      <name>part</name>
      <anchorfile>classKParts_1_1PartActivateEvent.html</anchorfile>
      <anchor>a4fbf0651ca2db0f6ee51c78bafa3d0eb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PartActivateEvent</name>
      <anchorfile>classKParts_1_1PartActivateEvent.html</anchorfile>
      <anchor>a5a3e52ff229074039ac8acdbf17453a9</anchor>
      <arglist>(bool activated, Part *part, QWidget *widget)</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>widget</name>
      <anchorfile>classKParts_1_1PartActivateEvent.html</anchorfile>
      <anchor>a66e2a9ad0b0740bc5f7db9babc00c011</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PartActivateEvent</name>
      <anchorfile>classKParts_1_1PartActivateEvent.html</anchorfile>
      <anchor>adde575cec2bf4f51f62359ba03dedad3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKParts_1_1PartActivateEvent.html</anchorfile>
      <anchor>ab4d45dd3b8f0f0233ce128b2e28e5376</anchor>
      <arglist>(const QEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::PartBase</name>
    <filename>classKParts_1_1PartBase.html</filename>
    <base virtualness="virtual">KXMLGUIClient</base>
    <member kind="function">
      <type></type>
      <name>PartBase</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>afd87c7912f9feef662662dbfb66ee110</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QObject *</type>
      <name>partObject</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>a8006cb47829533539a6b631dc3dc4d0a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPartObject</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>ad672e8e40af0aed3c5edff69f737d920</anchor>
      <arglist>(QObject *object)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PartBase</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>a95d451269133053c06247ec4cc647afc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="enumeration">
      <name>PluginLoadingMode</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>a73b04eba759c3505ac722b2ceaaa8b76</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>DoNotLoadPlugins</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>a73b04eba759c3505ac722b2ceaaa8b76a3ffe0a5005d5e1d00b4d3fd8c4d51a1e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LoadPlugins</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>a73b04eba759c3505ac722b2ceaaa8b76aeff505f5627f1539e03730d042e39522</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LoadPluginsIfEnabled</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>a73b04eba759c3505ac722b2ceaaa8b76aeaf6ca999ef635e22e3f52234226e931</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadPlugins</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>af52e5f1c4d402dacfdf7fe19493749e3</anchor>
      <arglist>(QObject *parent, KXMLGUIClient *parentGUIClient, const KComponentData &amp;componentData)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>PartBase</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>aeffb59831ec40f998a860021c915c165</anchor>
      <arglist>(PartBasePrivate &amp;dd)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setComponentData</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>aa599eb25bae68a0c3766e4c8ef66eed1</anchor>
      <arglist>(const KComponentData &amp;componentData, bool loadPlugins)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setComponentData</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>aade5ee47118cc8a2a71191687539d3cb</anchor>
      <arglist>(const KComponentData &amp;componentData)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setPluginInterfaceVersion</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>a5a9ed59560edb848e787c4b3cee878b1</anchor>
      <arglist>(int version)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setPluginLoadingMode</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>a49e418df2d77f5f915aa7addfeec455e</anchor>
      <arglist>(PluginLoadingMode loadingMode)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>PartBasePrivate *</type>
      <name>d_ptr</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>a5655e19a6338ea12c0e0a92956277e08</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::PartManager</name>
    <filename>classKParts_1_1PartManager.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>Reason</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a2210acbbe8638df29b112c48e4d9cfb3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ReasonLeftClick</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a2210acbbe8638df29b112c48e4d9cfb3a6674110c2c4c77f14b4b1f3f05007930</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ReasonMidClick</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a2210acbbe8638df29b112c48e4d9cfb3a994f0fd06068a24c988a111ce920c58a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ReasonRightClick</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a2210acbbe8638df29b112c48e4d9cfb3a3033a1660a6aaf18dbf6c945d9b0bbaf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NoReason</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a2210acbbe8638df29b112c48e4d9cfb3ae3a0e71725462dd7c5f6b63d26bddfe9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>SelectionPolicy</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a7db25fb7e7f91548fa15566b3af4bb34</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Direct</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a7db25fb7e7f91548fa15566b3af4bb34a79efb88f687be8f2b3aac8df408f837e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TriState</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a7db25fb7e7f91548fa15566b3af4bb34aa481c1128a4e5df7d28446725af88482</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>activePartChanged</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a9142dcbea26a78a91d4075a223594e3d</anchor>
      <arglist>(KParts::Part *newPart)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>partAdded</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a0ddd1f334b7c397dcb2b11b418604a3f</anchor>
      <arglist>(KParts::Part *part)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>partRemoved</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>afacc58788662a9e2eb73cc9418d442d8</anchor>
      <arglist>(KParts::Part *part)</arglist>
    </member>
    <member kind="function">
      <type>short int</type>
      <name>activationButtonMask</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>aca8548355d0641368b8d91390a093763</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Part *</type>
      <name>activePart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>adacf466d6fff0a690f4544781b15698b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QWidget *</type>
      <name>activeWidget</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>afc413a2b9e27f6da977a7feeee82c89f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addManagedTopLevelWidget</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>afbfa76cfcc8b4b9912fb798ca1184b62</anchor>
      <arglist>(const QWidget *topLevel)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addPart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>aeb3d51831fac7978fe6779b95266dbc5</anchor>
      <arglist>(Part *part, bool setActive=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>allowNestedParts</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>afd5a6425e74a5199ece97a1fc52375b3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a934b1db601baac4126899e8da800c800</anchor>
      <arglist>(QObject *obj, QEvent *ev)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>ignoreScrollBars</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>ac92933cad3010594b6572b7e680f39e0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PartManager</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a1b27480e6562e748d2d935c59fee83ea</anchor>
      <arglist>(QWidget *topLevel, QObject *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PartManager</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a657476303c48dde9899e2cae30992b1f</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>const QList&lt; Part * &gt;</type>
      <name>parts</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a5cd60804009277c8c7d80f6495e73e65</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>reason</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>ad272c18270e2cee80a00d0a1636f4a03</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeManagedTopLevelWidget</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>aeb33df2081fe50cdcd6272921aa33bdd</anchor>
      <arglist>(const QWidget *topLevel)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>removePart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a167a0221dd0dbdff7e259e3be9eb3cba</anchor>
      <arglist>(Part *part)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>replacePart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a7eb0fe00720363cf9b5c7a368b317779</anchor>
      <arglist>(Part *oldPart, Part *newPart, bool setActive=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Part *</type>
      <name>selectedPart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a59c4cfbbb9718b3f86d4ef761dbfd874</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QWidget *</type>
      <name>selectedWidget</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>ae4e12650e6c1b254e403dacc4969a05f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>SelectionPolicy</type>
      <name>selectionPolicy</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a8bf881c3df8e6993e228d4cc63e600f1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActivationButtonMask</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a1db711b8ec907e877dbc443cb5766874</anchor>
      <arglist>(short int buttonMask)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setActivePart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a55ded6525a6cee17d796f1d2aa4d4092</anchor>
      <arglist>(Part *part, QWidget *widget=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAllowNestedParts</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>af2080b98531d980a28248f9249aeccfe</anchor>
      <arglist>(bool allow)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIgnoreScrollBars</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a042e63414928bdda99a34ac71b74d5f6</anchor>
      <arglist>(bool ignore)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setSelectedPart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>af09d9efcf5c3ab4ff3c234d3cef0aec9</anchor>
      <arglist>(Part *part, QWidget *widget=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSelectionPolicy</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a86fd76d971c0d7707e795e84f49da898</anchor>
      <arglist>(SelectionPolicy policy)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PartManager</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>ae72c496ec195b0e08810bb84ddaf190a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotManagedTopLevelWidgetDestroyed</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>abd0c651ab3014ab805b518f1fa570572</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotObjectDestroyed</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>aa1fe880348e22dd2fc24ad9981e9e88f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotWidgetDestroyed</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>addb6b1f857a9daa8f272afa291a1d1eb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setActiveComponent</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a6d20783768f44d4c5522d9e31386f324</anchor>
      <arglist>(const KComponentData &amp;instance)</arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>allowNestedParts</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>ac906ebcf645bbec2df693f820f1f21a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>ignoreScrollBars</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a4a3e721589e60bd82d4071499938450a</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>SelectionPolicy</type>
      <name>selectionPolicy</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a9050e3ed708c864c0f8776ab0c4bc277</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::PartSelectEvent</name>
    <filename>classKParts_1_1PartSelectEvent.html</filename>
    <base>KParts::Event</base>
    <member kind="function">
      <type>Part *</type>
      <name>part</name>
      <anchorfile>classKParts_1_1PartSelectEvent.html</anchorfile>
      <anchor>a83e82ca12249a5dbed2465ac23bf60bd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PartSelectEvent</name>
      <anchorfile>classKParts_1_1PartSelectEvent.html</anchorfile>
      <anchor>a4dba003ded0bfaaa3d49340770b9c287</anchor>
      <arglist>(bool selected, Part *part, QWidget *widget)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>selected</name>
      <anchorfile>classKParts_1_1PartSelectEvent.html</anchorfile>
      <anchor>aa9b7d2a5a3ac62bcbcfddaba07f5887c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>widget</name>
      <anchorfile>classKParts_1_1PartSelectEvent.html</anchorfile>
      <anchor>a3e1256213ae3cd77ffd42b55f2fd91e3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PartSelectEvent</name>
      <anchorfile>classKParts_1_1PartSelectEvent.html</anchorfile>
      <anchor>a0a53ff76a981b368cb35da0b3e31d4f4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKParts_1_1PartSelectEvent.html</anchorfile>
      <anchor>a1057c56cec179e852b5a69973a26e977</anchor>
      <arglist>(const QEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::Plugin</name>
    <filename>classKParts_1_1Plugin.html</filename>
    <base>QObject</base>
    <base virtualness="virtual">KXMLGUIClient</base>
    <class kind="struct">KParts::Plugin::PluginInfo</class>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>localXMLFile</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>af22550dde9846b136499c4e99e0e4277</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Plugin</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>a503f1b81d74d4c085cb0e165832e901a</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>xmlFile</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>a0b7c64589ea427f05a991255a7fd34eb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Plugin</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>aee4cc1864a2afa84a9ad935153f3fe39</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>loadPlugins</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>a7f1eab7c789c1bb9c1565493a8182a4e</anchor>
      <arglist>(QObject *parent, KXMLGUIClient *parentGUIClient, const KComponentData &amp;instance, bool enableNewPluginsByDefault=true, int interfaceVersionRequired=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>loadPlugins</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>a20a54103904cde001e4defe1257ca630</anchor>
      <arglist>(QObject *parent, const QList&lt; PluginInfo &gt; &amp;pluginInfos, const KComponentData &amp;instance)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>loadPlugins</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>a8363c7e6e997758390fef1afade6da24</anchor>
      <arglist>(QObject *parent, const QList&lt; PluginInfo &gt; &amp;pluginInfos)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>loadPlugins</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>afb16b478eda054a1e309955799f90f0a</anchor>
      <arglist>(QObject *parent, const KComponentData &amp;instance)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QList&lt; Plugin * &gt;</type>
      <name>pluginObjects</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>a259e811d2fdba1b7862fc5f30e5d7e28</anchor>
      <arglist>(QObject *parent)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setComponentData</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>aa56e04f8323e08e4036f29e82271ca37</anchor>
      <arglist>(const KComponentData &amp;instance)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static Plugin *</type>
      <name>loadPlugin</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>a1c63cd0ac1cdffc8e9bea70ccdf4fc89</anchor>
      <arglist>(QObject *parent, const QString &amp;libname)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static KDE_DEPRECATED Plugin *</type>
      <name>loadPlugin</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>ae1ae4a674f964a023b7740173401e793</anchor>
      <arglist>(QObject *parent, const QByteArray &amp;libname)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static KDE_DEPRECATED Plugin *</type>
      <name>loadPlugin</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>a3229a559764a4e0396ac30ac445f2d88</anchor>
      <arglist>(QObject *parent, const char *libname)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static QList&lt; Plugin::PluginInfo &gt;</type>
      <name>pluginInfos</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>a10d616e296ad2d66d5c3b5bcdec80b47</anchor>
      <arglist>(const KComponentData &amp;instance)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KParts::Plugin::PluginInfo</name>
    <filename>structKParts_1_1Plugin_1_1PluginInfo.html</filename>
    <member kind="variable">
      <type>QString</type>
      <name>m_absXMLFileName</name>
      <anchorfile>structKParts_1_1Plugin_1_1PluginInfo.html</anchorfile>
      <anchor>a1351095a0ec3842ccf3c49cfd4c97478</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QDomDocument</type>
      <name>m_document</name>
      <anchorfile>structKParts_1_1Plugin_1_1PluginInfo.html</anchorfile>
      <anchor>a5d8acab9612633d4d1f35019213ecadd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>m_relXMLFileName</name>
      <anchorfile>structKParts_1_1Plugin_1_1PluginInfo.html</anchorfile>
      <anchor>a02f9a1972d5e87b2d168fa7c5683649b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::ReadOnlyPart</name>
    <filename>classKParts_1_1ReadOnlyPart.html</filename>
    <base>KParts::Part</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual bool</type>
      <name>openUrl</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>ae7061ab1eb7ac5b685012a99ad942b5c</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>canceled</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>ab1083f7c30e868d66e1f326b94851d8c</anchor>
      <arglist>(const QString &amp;errMsg)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>completed</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a48ddc679f4b303102237f8e33b29c904</anchor>
      <arglist>(bool pendingAction)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>completed</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a7dbe7a0dd64ed631d7d7fc763167de31</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>started</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a1839e6f2741b7fca77cd4b04b5acdc6d</anchor>
      <arglist>(KIO::Job *)</arglist>
    </member>
    <member kind="function">
      <type>OpenUrlArguments</type>
      <name>arguments</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a811e25200521dcf347bacb6be7ab8ecf</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>BrowserExtension *</type>
      <name>browserExtension</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a001cf71732de92558031d5750be9424b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeStream</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>aa828fc225a2f32563624053f80f40257</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>closeUrl</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>ab189d22c6f431b8b892cbfe8a4d0f946</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isProgressInfoEnabled</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a5bac89c69212a926becaada085ef609c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openStream</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>af26fdf8f74bd1dbad505edde846feeec</anchor>
      <arglist>(const QString &amp;mimeType, const KUrl &amp;url)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ReadOnlyPart</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a874486b9af2a3135e84df9b3dcd569f7</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setArguments</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>aab893a47747cad8bb29f1f95316140de</anchor>
      <arglist>(const OpenUrlArguments &amp;arguments)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProgressInfoEnabled</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a2d8af6ecaf7d70e2670af6420fee7af3</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showProgressInfo</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>ac57cae74a71dc5457df027100c666448</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>KUrl</type>
      <name>url</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>aba05c3b2fd42dcfebc6585e4f746d2cb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>writeStream</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>aea4c1981f0f9bea442450895a43b4bcb</anchor>
      <arglist>(const QByteArray &amp;data)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ReadOnlyPart</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a9e6ac2807367409576ee2f4b369118e7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>abortLoad</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>aa23121934cc4a6419a85d911142b2abc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>guiActivateEvent</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a5faf42b421d9fabc6f688a19f98652aa</anchor>
      <arglist>(GUIActivateEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KDE_DEPRECATED bool</type>
      <name>isLocalFileTemporary</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>abf36b44e2daa10760490d9a9197817c6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>localFilePath</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a4524f613d57056ba514e9c4bfc4726fc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual bool</type>
      <name>openFile</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>adcb2e097d01e4bf11b3eb040d366f9f5</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>ReadOnlyPart</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a5b5488a9c3e6d62f067cd55cc3c7bf8f</anchor>
      <arglist>(ReadOnlyPartPrivate &amp;dd, QObject *parent)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setLocalFilePath</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a50bbf4b06d031cb046102981c1ff1e27</anchor>
      <arglist>(const QString &amp;localFilePath)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KDE_DEPRECATED void</type>
      <name>setLocalFileTemporary</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a84452e9039419eb69ede96ec6e741e21</anchor>
      <arglist>(bool temp)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setUrl</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>ae79f66b5ba546cc6c05f3ab51715551f</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="property">
      <type>KUrl</type>
      <name>url</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a4622c45b109a1d2d381bca99e7f4e46f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::ReadWritePart</name>
    <filename>classKParts_1_1ReadWritePart.html</filename>
    <base>KParts::ReadOnlyPart</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual bool</type>
      <name>save</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>abd2f5a4ce68f32b6f21635b7f97ce63a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setModified</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>af62573db9600db7c877a05f57d81f3e8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>waitSaveComplete</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>a93827f9da0f3fdcdbb2c53710afe43ae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sigQueryClose</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>adb7caee3c74e13b22dd922f67a68f830</anchor>
      <arglist>(bool *handled, bool *abortClosing)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>closeUrl</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>aac29e29d109c5f0a12898d0b746a5a72</anchor>
      <arglist>(bool promptToSave)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>closeUrl</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>a8e6987d5cc9d9e4d4d6e9d17bb02b0e7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isModified</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>a99ee5b51c6978623aba7721293dad99a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isReadWrite</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>acacfb78612a764611d1677fe0dccde68</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>queryClose</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>a51ead3990f91223ed2ebeb8dfa0d60ec</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ReadWritePart</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>a457ff937481a4b2d10c136ae90bae8fc</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>saveAs</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>aeb7f15159eb54e649471dcbb7938d26c</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setModified</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>a8d6fe0168095b3333dc80884888f02f2</anchor>
      <arglist>(bool modified)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadWrite</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>a09288e0b4b17a2790e5375763d7bf72c</anchor>
      <arglist>(bool readwrite=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ReadWritePart</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>ad69aa70703adae4f0973a002b3054e47</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual bool</type>
      <name>saveFile</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>a599af24081c3dc1c261c04dce1de4f41</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>saveToUrl</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>a6b8f01446db1864e1e2c7430fdb2522e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::StatusBarExtension</name>
    <filename>classKParts_1_1StatusBarExtension.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type>void</type>
      <name>addStatusBarItem</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>aff7f43b3ad6d835b95440fb849aec498</anchor>
      <arglist>(QWidget *widget, int stretch, bool permanent)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>a2491ec79d25c128d9dddba82f6021eb6</anchor>
      <arglist>(QObject *watched, QEvent *ev)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeStatusBarItem</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>a7ca2fab9855765fa917b373d7b828922</anchor>
      <arglist>(QWidget *widget)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatusBar</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>a817dc68cd8c36c77196af9d1a68c7ee2</anchor>
      <arglist>(KStatusBar *status)</arglist>
    </member>
    <member kind="function">
      <type>KStatusBar *</type>
      <name>statusBar</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>afc65290c1f9d6ab7b8e99e24543a2c91</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>StatusBarExtension</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>a5952d8931c3a1e494cf74a532841ed88</anchor>
      <arglist>(KParts::ReadOnlyPart *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~StatusBarExtension</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>a99594fc9e7c687ece4f5ed062ab55291</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static StatusBarExtension *</type>
      <name>childObject</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>ab3b379fbe78a969493bf464aa5fd16c5</anchor>
      <arglist>(QObject *obj)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::WindowArgs</name>
    <filename>classKParts_1_1WindowArgs.html</filename>
    <member kind="function">
      <type>int</type>
      <name>height</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>acc5cee8009d10377ec7990e8d311fc32</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isFullScreen</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>a811f62b5e2133f4a96f2b7cb7497ffa2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMenuBarVisible</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>a0ecdf386c166b9aff4187d04440775a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isResizable</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>a2bde50ceb79b5ec61ee742376b24a7f6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isStatusBarVisible</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>a52fb0c58c971882b011cf11ac496ba53</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>lowerWindow</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>a2a67715385a3afe06ac43e9a2451eb36</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>WindowArgs &amp;</type>
      <name>operator=</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>a23fd7de2bf5806c36bc37659d34190bc</anchor>
      <arglist>(const WindowArgs &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>scrollBarsVisible</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>a2fd9d9a0cf7dadee9d2e988b24c2a469</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFullScreen</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>abe49f1f0ebf361378851f6c733d3ae88</anchor>
      <arglist>(bool fs)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHeight</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>ac1b611e7bcd74d7df7f2d90c38df869c</anchor>
      <arglist>(int h)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLowerWindow</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>ac9cc7b5062cafbf3bdbd6671be57a366</anchor>
      <arglist>(bool lower)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMenuBarVisible</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>a5191916a4deaff3f9dfbd9db30bd60ab</anchor>
      <arglist>(bool visible)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setResizable</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>aeb5711bcf64c3e17469563da3b9ad5d1</anchor>
      <arglist>(bool resizable)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setScrollBarsVisible</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>aa3a79ba877ee38b61e6862f3fa311d27</anchor>
      <arglist>(bool visible)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatusBarVisible</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>a93bd3c5ea74f98356d43d6c228808da6</anchor>
      <arglist>(bool visible)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setToolBarsVisible</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>a10cc04ac724feeade755c20c0c449db0</anchor>
      <arglist>(bool visible)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWidth</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>a1b930f2c905364cdf9deba6000ed08ed</anchor>
      <arglist>(int w)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setX</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>a1c98e97e9e5b4ae5bd9d0ad2f4441c6a</anchor>
      <arglist>(int x)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setY</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>a29f9ab2f7919c5dd371fdce51d1c6e70</anchor>
      <arglist>(int y)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>toolBarsVisible</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>ad91ccaa34013102ccec9450ac8ddf70e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>width</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>a273cca79c6cb79a63297c0840676e743</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WindowArgs</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>a83137842c70659434702f2f7f08102cb</anchor>
      <arglist>(int _x, int _y, int _width, int _height, bool _fullscreen, bool _menuBarVisible, bool _toolBarsVisible, bool _statusBarVisible, bool _resizable)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WindowArgs</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>a777335fa9f1f6ac8795bd6896097a15c</anchor>
      <arglist>(const QRect &amp;_geometry, bool _fullscreen, bool _menuBarVisible, bool _toolBarsVisible, bool _statusBarVisible, bool _resizable)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WindowArgs</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>a01e2c2c6b75ae9a987ae7cee37d067f3</anchor>
      <arglist>(const WindowArgs &amp;args)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WindowArgs</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>a24e58a6870585b6a62c06231169566de</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>x</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>a59835f9ee6a2689567e7b9fd0c9cb36e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>y</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>afadc26f3f84341f7544e67367a412b8a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~WindowArgs</name>
      <anchorfile>classKParts_1_1WindowArgs.html</anchorfile>
      <anchor>ae4930b3bf94ffe122c0baa4e511d2450</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KParts::ComponentFactory</name>
    <filename>namespaceKParts_1_1ComponentFactory.html</filename>
    <member kind="function">
      <type>KDE_DEPRECATED T *</type>
      <name>createPartInstanceFromFactory</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>aa27032f3874f0739950a5d668485e26a</anchor>
      <arglist>(KParts::Factory *factory, QWidget *parentWidget=0, QObject *parent=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED T *</type>
      <name>createPartInstanceFromLibrary</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>a0b1ac458d0a0499447d6f3205533b2ab</anchor>
      <arglist>(const char *libraryName, QWidget *parentWidget=0, QObject *parent=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>createPartInstanceFromQuery</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>a71eb5a47ba2fab6636de27f0535f8137</anchor>
      <arglist>(const QString &amp;mimeType, const QString &amp;constraint, QWidget *parentWidget=0, QObject *parent=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED T *</type>
      <name>createPartInstanceFromService</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>add198066d759108763f3495e41e7411d</anchor>
      <arglist>(const KService::Ptr &amp;service, QWidget *parentWidget=0, QObject *parent=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED T *</type>
      <name>createPartInstanceFromServices</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>a7f91430495c488e1678d8bd6a00f375f</anchor>
      <arglist>(ServiceIterator begin, ServiceIterator end, QWidget *parentWidget=0, QObject *parent=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
  </compound>
</tagfile>
