<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>The Nepomuk Meta Data Library</title>
    <filename>index</filename>
    <docanchor file="index">toc</docanchor>
    <docanchor file="index">overview</docanchor>
  </compound>
  <compound kind="file">
    <name>class.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/core/ontology/</path>
    <filename>class_8h</filename>
    <includes id="entity_8h" name="entity.h" local="yes" imported="no">entity.h</includes>
    <class kind="class">Nepomuk::Class</class>
    <class kind="class">Nepomuk::Types::Class</class>
    <namespace>Nepomuk</namespace>
    <namespace>Nepomuk::Types</namespace>
  </compound>
  <compound kind="file">
    <name>desktopontologyloader.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/core/ontology/</path>
    <filename>desktopontologyloader_8h</filename>
    <includes id="ontologyloader_8h" name="ontologyloader.h" local="yes" imported="no">ontologyloader.h</includes>
    <class kind="class">Nepomuk::DesktopOntologyLoader</class>
    <namespace>Nepomuk</namespace>
  </compound>
  <compound kind="file">
    <name>entity.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/core/ontology/</path>
    <filename>entity_8h</filename>
    <class kind="class">Nepomuk::Entity</class>
    <class kind="class">Nepomuk::Types::Entity</class>
    <namespace>Nepomuk</namespace>
    <namespace>Nepomuk::Types</namespace>
    <member kind="function">
      <type>uint</type>
      <name>qHash</name>
      <anchorfile>namespaceNepomuk_1_1Types.html</anchorfile>
      <anchor>a2f00db6fb4d708a4a7ca6d2cc60041a1</anchor>
      <arglist>(const Entity &amp;c)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>fileontologyloader.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/core/ontology/</path>
    <filename>fileontologyloader_8h</filename>
    <includes id="ontologyloader_8h" name="ontologyloader.h" local="yes" imported="no">ontologyloader.h</includes>
    <class kind="class">Nepomuk::FileOntologyLoader</class>
    <namespace>Nepomuk</namespace>
  </compound>
  <compound kind="file">
    <name>global.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/core/ontology/</path>
    <filename>global_8h</filename>
    <namespace>Nepomuk</namespace>
    <member kind="function">
      <type>KDE_DEPRECATED NEPOMUK_EXPORT QUrl</type>
      <name>extractNamespace</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a15ffb1f775a64541daabd407e9a0d41a</anchor>
      <arglist>(const QUrl &amp;url)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>kmetadatatagcloud.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/core/ui/</path>
    <filename>kmetadatatagcloud_8h</filename>
    <includes id="ktagcloudwidget_8h" name="ktagcloudwidget.h" local="yes" imported="no">ktagcloudwidget.h</includes>
    <class kind="class">Nepomuk::TagCloud</class>
    <namespace>Nepomuk</namespace>
  </compound>
  <compound kind="file">
    <name>kmetadatatagwidget.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/core/ui/</path>
    <filename>kmetadatatagwidget_8h</filename>
    <class kind="class">Nepomuk::TagWidget</class>
    <namespace>Nepomuk</namespace>
    <member kind="function">
      <type>uint</type>
      <name>qHash</name>
      <anchorfile>kmetadatatagwidget_8h.html</anchorfile>
      <anchor>a4817dc00e4718d74556e2bf82d4532ca</anchor>
      <arglist>(const Nepomuk::Tag &amp;res)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>kratingpainter.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/core/ui/</path>
    <filename>kratingpainter_8h</filename>
    <class kind="class">KRatingPainter</class>
  </compound>
  <compound kind="file">
    <name>kratingwidget.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/core/ui/</path>
    <filename>kratingwidget_8h</filename>
    <class kind="class">KRatingWidget</class>
  </compound>
  <compound kind="file">
    <name>ktagcloudwidget.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/core/ui/</path>
    <filename>ktagcloudwidget_8h</filename>
    <class kind="class">KTagCloudWidget</class>
  </compound>
  <compound kind="file">
    <name>ktagdisplaywidget.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/core/ui/</path>
    <filename>ktagdisplaywidget_8h</filename>
    <class kind="class">KTagDisplayWidget</class>
  </compound>
  <compound kind="file">
    <name>literal.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/core/ontology/</path>
    <filename>literal_8h</filename>
    <class kind="class">Nepomuk::Literal</class>
    <class kind="class">Nepomuk::Types::Literal</class>
    <namespace>Nepomuk</namespace>
    <namespace>Nepomuk::Types</namespace>
  </compound>
  <compound kind="file">
    <name>Mainpage.dox</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/</path>
    <filename>Mainpage_8dox</filename>
  </compound>
  <compound kind="file">
    <name>nepomukontologyloader.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/core/ontology/</path>
    <filename>nepomukontologyloader_8h</filename>
    <includes id="ontologyloader_8h" name="ontologyloader.h" local="yes" imported="no">ontologyloader.h</includes>
    <class kind="class">Nepomuk::NepomukOntologyLoader</class>
    <namespace>Nepomuk</namespace>
  </compound>
  <compound kind="file">
    <name>nepomukservice.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/core/</path>
    <filename>nepomukservice_8h</filename>
    <class kind="class">Nepomuk::Service</class>
    <namespace>Nepomuk</namespace>
    <namespace>Soprano</namespace>
    <member kind="define">
      <type>#define</type>
      <name>NEPOMUK_EXPORT_SERVICE</name>
      <anchorfile>nepomukservice_8h.html</anchorfile>
      <anchor>addfaa8842b02503e532b6feb25faac15</anchor>
      <arglist>(classname, libname)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>nfo.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/core/</path>
    <filename>nfo_8h</filename>
    <namespace>Nepomuk</namespace>
    <namespace>Nepomuk::Vocabulary</namespace>
    <namespace>Nepomuk::Vocabulary::NFO</namespace>
    <member kind="function">
      <type>QUrl</type>
      <name>FileDataObject</name>
      <anchorfile>namespaceNepomuk_1_1Vocabulary_1_1NFO.html</anchorfile>
      <anchor>a6d194aba87b3c5f680176d4f5b938566</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QUrl</type>
      <name>fileName</name>
      <anchorfile>namespaceNepomuk_1_1Vocabulary_1_1NFO.html</anchorfile>
      <anchor>acff2247fc4d625d31f492fb76c0914ec</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QUrl</type>
      <name>nfoNamespace</name>
      <anchorfile>namespaceNepomuk_1_1Vocabulary_1_1NFO.html</anchorfile>
      <anchor>a5aa991a38009b8ce03d206fd5c7b5b82</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>ontology.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/core/ontology/</path>
    <filename>ontology_8h</filename>
    <includes id="entity_8h" name="entity.h" local="yes" imported="no">entity.h</includes>
    <class kind="class">Nepomuk::Ontology</class>
    <class kind="class">Nepomuk::Types::Ontology</class>
    <namespace>Nepomuk</namespace>
    <namespace>Nepomuk::Types</namespace>
  </compound>
  <compound kind="file">
    <name>ontologyloader.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/core/ontology/</path>
    <filename>ontologyloader_8h</filename>
    <class kind="class">Nepomuk::OntologyLoader</class>
    <namespace>Nepomuk</namespace>
    <namespace>Soprano</namespace>
  </compound>
  <compound kind="file">
    <name>ontologymanager.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/core/ontology/</path>
    <filename>ontologymanager_8h</filename>
    <class kind="class">Nepomuk::OntologyManager</class>
    <namespace>Nepomuk</namespace>
    <namespace>Soprano</namespace>
  </compound>
  <compound kind="file">
    <name>pimo.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/core/</path>
    <filename>pimo_8h</filename>
    <namespace>Nepomuk</namespace>
    <namespace>Nepomuk::Vocabulary</namespace>
    <namespace>Nepomuk::Vocabulary::PIMO</namespace>
    <member kind="function">
      <type>QUrl</type>
      <name>groundingOccurrence</name>
      <anchorfile>namespaceNepomuk_1_1Vocabulary_1_1PIMO.html</anchorfile>
      <anchor>a4bc9d97828c01307839c73aaf55e6886</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QUrl</type>
      <name>occurrence</name>
      <anchorfile>namespaceNepomuk_1_1Vocabulary_1_1PIMO.html</anchorfile>
      <anchor>aca14f5df7a45c3e65e881ccc558f90a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QUrl</type>
      <name>pimoNamespace</name>
      <anchorfile>namespaceNepomuk_1_1Vocabulary_1_1PIMO.html</anchorfile>
      <anchor>aed0bc25a73815cccd257a5e10910c7ec</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QUrl</type>
      <name>referencingOccurrence</name>
      <anchorfile>namespaceNepomuk_1_1Vocabulary_1_1PIMO.html</anchorfile>
      <anchor>a9b92d3d4318745cfcca250c06bf83ce3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QUrl</type>
      <name>Thing</name>
      <anchorfile>namespaceNepomuk_1_1Vocabulary_1_1PIMO.html</anchorfile>
      <anchor>ad2c67662d2be06870938e196e19512e4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>property.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/core/ontology/</path>
    <filename>property_8h</filename>
    <includes id="entity_8h" name="entity.h" local="yes" imported="no">entity.h</includes>
    <class kind="class">Nepomuk::Property</class>
    <class kind="class">Nepomuk::Types::Property</class>
    <namespace>Nepomuk</namespace>
    <namespace>Nepomuk::Types</namespace>
  </compound>
  <compound kind="file">
    <name>resource.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/core/</path>
    <filename>resource_8h</filename>
    <class kind="class">Nepomuk::Resource</class>
    <namespace>Nepomuk</namespace>
    <member kind="enumeration">
      <name>ErrorCode</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a92688dafd220c664bc177c329f074cf0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NoError</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a92688dafd220c664bc177c329f074cf0adeb73a197a653984e46138ea33add1d6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CommunicationError</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a92688dafd220c664bc177c329f074cf0a67a4df4a000d9033d34d243736de4491</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>InvalidType</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a92688dafd220c664bc177c329f074cf0ad76199f4300c56f8147cff6f53f94701</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>UnknownError</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a92688dafd220c664bc177c329f074cf0aa8b84f5923d1fa02ad52e90682704203</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>NEPOMUK_EXPORT QString</type>
      <name>errorString</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a9a5fea75f448e1b295eed34eb62946a3</anchor>
      <arglist>(ErrorCode code)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>resourcemanager.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/core/</path>
    <filename>resourcemanager_8h</filename>
    <class kind="class">Nepomuk::ResourceManager</class>
    <namespace>Nepomuk</namespace>
    <namespace>Nepomuk::Middleware</namespace>
    <namespace>Soprano</namespace>
  </compound>
  <compound kind="file">
    <name>tag.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/core/</path>
    <filename>tag_8h</filename>
    <includes id="resource_8h" name="resource.h" local="yes" imported="no">resource.h</includes>
    <class kind="class">Nepomuk::Tag</class>
    <namespace>Nepomuk</namespace>
  </compound>
  <compound kind="file">
    <name>thing.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/core/</path>
    <filename>thing_8h</filename>
    <includes id="resource_8h" name="resource.h" local="yes" imported="no">resource.h</includes>
    <class kind="class">Nepomuk::Thing</class>
    <namespace>Nepomuk</namespace>
  </compound>
  <compound kind="file">
    <name>tools.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/core/</path>
    <filename>tools_8h</filename>
    <includes id="variant_8h" name="variant.h" local="yes" imported="no">variant.h</includes>
    <namespace>Nepomuk</namespace>
    <member kind="function">
      <type>QList&lt; Resource &gt;</type>
      <name>convertResourceList</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>afb128cddd1c52ae00315bd0a9ed7408a</anchor>
      <arglist>(const QList&lt; T &gt; &amp;l)</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; T &gt;</type>
      <name>convertResourceList</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a3d2a4b7d4e17c9843dc003af27752c98</anchor>
      <arglist>(const QList&lt; Resource &gt; &amp;l)</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED NEPOMUK_EXPORT QString</type>
      <name>defaultGraph</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a147b9e9a1ccfcc65a877ba7d42d018a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED NEPOMUK_EXPORT QString</type>
      <name>naoNamespace</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a4791dafb75f5e1835a461e1a2b00cd8c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED NEPOMUK_EXPORT QString</type>
      <name>nrlNamespace</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>aea0b5ba59d2891662c6abd21af6525ea</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NEPOMUK_EXPORT Variant</type>
      <name>RDFLiteralToValue</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a4a2ce011ecab02f1f58af7090f512ccd</anchor>
      <arglist>(const Soprano::Node &amp;node)</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED NEPOMUK_EXPORT QString</type>
      <name>rdfNamepace</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a861ad8ae0bc554370d1c74ccc42c838e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED NEPOMUK_EXPORT QString</type>
      <name>rdfsNamespace</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>ac55b3e2802283b53de5d889635d53b33</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED NEPOMUK_EXPORT void</type>
      <name>setDefaultRepository</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a801a0bcdf48771df61e20909cb786a3a</anchor>
      <arglist>(const QString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED NEPOMUK_EXPORT QString</type>
      <name>typePredicate</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a34547c8da05c8860ae92897a24ed2f05</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NEPOMUK_EXPORT QList&lt; Soprano::Node &gt;</type>
      <name>valuesToRDFNodes</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a55f5bd98b0567309f76bbdf7d2daaec1</anchor>
      <arglist>(const Variant &amp;)</arglist>
    </member>
    <member kind="function">
      <type>NEPOMUK_EXPORT Soprano::Node</type>
      <name>valueToRDFNode</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a0869ac83e81c2b145c9c6b1b0cff10db</anchor>
      <arglist>(const Variant &amp;)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>variant.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/nepomuk/core/</path>
    <filename>variant_8h</filename>
    <includes id="resource_8h" name="resource.h" local="yes" imported="no">resource.h</includes>
    <class kind="class">Nepomuk::Variant</class>
    <namespace>Nepomuk</namespace>
    <member kind="function">
      <type>NEPOMUK_EXPORT QDebug</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>variant_8h.html</anchorfile>
      <anchor>ad7b4aab6fe4cd262660e920938340fc8</anchor>
      <arglist>(QDebug dbg, const Nepomuk::Variant &amp;)</arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>hacking</name>
    <title>Using Nepomuk</title>
    <filename>hacking</filename>
    <docanchor file="hacking">hacking_theeasyway</docanchor>
    <docanchor file="hacking">hacking_general</docanchor>
    <docanchor file="hacking">hacking_thehardway</docanchor>
    <docanchor file="hacking">hacking_resources</docanchor>
  </compound>
  <compound kind="page">
    <name>examples</name>
    <title>Nepomuk Examples</title>
    <filename>examples</filename>
  </compound>
  <compound kind="page">
    <name>page_ontology</name>
    <title>The Desktop Ontologies</title>
    <filename>page_ontology</filename>
  </compound>
  <compound kind="page">
    <name>nepomuk-rcgen</name>
    <title>The Nepomuk Resource Generator</title>
    <filename>nepomuk-rcgen</filename>
    <docanchor file="nepomuk-rcgen">rcgen_syntax</docanchor>
    <docanchor file="nepomuk-rcgen">rcgen_templates_header</docanchor>
    <docanchor file="nepomuk-rcgen">rcgen_cmake_example</docanchor>
    <docanchor file="nepomuk-rcgen">rcgen_templates</docanchor>
    <docanchor file="nepomuk-rcgen">rcgen_templates_sources</docanchor>
    <docanchor file="nepomuk-rcgen">rcgen_cmake</docanchor>
    <docanchor file="nepomuk-rcgen">rcgen_templates_misc</docanchor>
  </compound>
  <compound kind="class">
    <name>KRatingPainter</name>
    <filename>classKRatingPainter.html</filename>
    <member kind="function">
      <type>Qt::Alignment</type>
      <name>alignment</name>
      <anchorfile>classKRatingPainter.html</anchorfile>
      <anchor>a7ff5193a921fe83f6abe5f6d5d8dc8fa</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QPixmap</type>
      <name>customPixmap</name>
      <anchorfile>classKRatingPainter.html</anchorfile>
      <anchor>a0721e63f69dfce3e739dc72f1b12f81a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>halfStepsEnabled</name>
      <anchorfile>classKRatingPainter.html</anchorfile>
      <anchor>abb49d46fa8f694cd133714506af0103e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QIcon</type>
      <name>icon</name>
      <anchorfile>classKRatingPainter.html</anchorfile>
      <anchor>a4298d8076518cbcee39db3824a6fc5a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEnabled</name>
      <anchorfile>classKRatingPainter.html</anchorfile>
      <anchor>ace45134ea964e1b326236b3d9e1c144f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KRatingPainter</name>
      <anchorfile>classKRatingPainter.html</anchorfile>
      <anchor>aaa1e5f7bd581b8f4200061a7a021bb95</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Qt::LayoutDirection</type>
      <name>layoutDirection</name>
      <anchorfile>classKRatingPainter.html</anchorfile>
      <anchor>a4a00946140e308d0a144237f85dca6d1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxRating</name>
      <anchorfile>classKRatingPainter.html</anchorfile>
      <anchor>a3682148e7ade6fbdc3548e02a9e22e5b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>paint</name>
      <anchorfile>classKRatingPainter.html</anchorfile>
      <anchor>a1b7abc1fe1d3b4684418187bcaec9dda</anchor>
      <arglist>(QPainter *painter, const QRect &amp;rect, int rating, int hoverRating=-1) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>ratingFromPosition</name>
      <anchorfile>classKRatingPainter.html</anchorfile>
      <anchor>a9f4e07da27d43a3bc070bfb4b9279114</anchor>
      <arglist>(const QRect &amp;rect, const QPoint &amp;pos) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAlignment</name>
      <anchorfile>classKRatingPainter.html</anchorfile>
      <anchor>a8abd790f6b4301d46749e76f5bd17b99</anchor>
      <arglist>(Qt::Alignment align)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCustomPixmap</name>
      <anchorfile>classKRatingPainter.html</anchorfile>
      <anchor>a6d98c11c0b065445a2715e10f1b7bc5e</anchor>
      <arglist>(const QPixmap &amp;pixmap)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEnabled</name>
      <anchorfile>classKRatingPainter.html</anchorfile>
      <anchor>a4141f54ccdccc100e2713697431c1e9e</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHalfStepsEnabled</name>
      <anchorfile>classKRatingPainter.html</anchorfile>
      <anchor>aee8e829557bc57bca2f913771b4e7caf</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIcon</name>
      <anchorfile>classKRatingPainter.html</anchorfile>
      <anchor>af8b17c2ba8d2980a6fc7539040e143e4</anchor>
      <arglist>(const QIcon &amp;icon)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLayoutDirection</name>
      <anchorfile>classKRatingPainter.html</anchorfile>
      <anchor>aa49fbefb16f544375e80e5d43ff1555d</anchor>
      <arglist>(Qt::LayoutDirection direction)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxRating</name>
      <anchorfile>classKRatingPainter.html</anchorfile>
      <anchor>a3dc7dfe2d544fca7977b10981c3bd773</anchor>
      <arglist>(int max)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSpacing</name>
      <anchorfile>classKRatingPainter.html</anchorfile>
      <anchor>ae9afabd4d2bfae2a1a91699c2a6e1948</anchor>
      <arglist>(int spacing)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>spacing</name>
      <anchorfile>classKRatingPainter.html</anchorfile>
      <anchor>ad85d77de19209747790bde7309fc8956</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KRatingPainter</name>
      <anchorfile>classKRatingPainter.html</anchorfile>
      <anchor>afb0c057367d1f39087d68eb555e69a29</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>getRatingFromPosition</name>
      <anchorfile>classKRatingPainter.html</anchorfile>
      <anchor>a3c76283e258c2c060ce993c2278707fa</anchor>
      <arglist>(const QRect &amp;rect, Qt::Alignment align, Qt::LayoutDirection direction, const QPoint &amp;pos)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>paintRating</name>
      <anchorfile>classKRatingPainter.html</anchorfile>
      <anchor>aff9b98c892373fa8fc3e54888238cddf</anchor>
      <arglist>(QPainter *p, const QRect &amp;rect, Qt::Alignment align, int rating, int hoverRating=-1)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRatingWidget</name>
    <filename>classKRatingWidget.html</filename>
    <base>QFrame</base>
    <member kind="slot">
      <type>void</type>
      <name>setAlignment</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>a063c41e64a43e23b806bee0bac902928</anchor>
      <arglist>(Qt::Alignment align)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setCustomPixmap</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>a63a34b88c922f14a778a838bfb643bb9</anchor>
      <arglist>(const QPixmap &amp;pixmap)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setHalfStepsEnabled</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>af1bd2ad5a1e2cbad1dda8b33a3bb8a2a</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setIcon</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>ae61fb5f706233c764f6c9bdfc0320b26</anchor>
      <arglist>(const QIcon &amp;icon)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setLayoutDirection</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>ac9c4209d68c3f34038abd29313abc2b8</anchor>
      <arglist>(Qt::LayoutDirection direction)</arglist>
    </member>
    <member kind="slot">
      <type>KDE_DEPRECATED void</type>
      <name>setMaxRating</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>affee728d5e518ecaae6298b63a6b6338</anchor>
      <arglist>(unsigned int max)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setMaxRating</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>a09fe104354897c9dbdd3738273f8ebc8</anchor>
      <arglist>(int max)</arglist>
    </member>
    <member kind="slot">
      <type>KDE_DEPRECATED void</type>
      <name>setOnlyPaintFullSteps</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>adef8a366e738ef82633de2ca24a14509</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="slot">
      <type>KDE_DEPRECATED void</type>
      <name>setPixmap</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>a7f4869d2bfdff335853d67074ef8aca1</anchor>
      <arglist>(const QPixmap &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setPixmapSize</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>a3717c8e4f407cf3d297ee6ce9e2c87b5</anchor>
      <arglist>(int size)</arglist>
    </member>
    <member kind="slot">
      <type>KDE_DEPRECATED void</type>
      <name>setRating</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>aa05a2f93805854a528a8b9c9621c75c1</anchor>
      <arglist>(unsigned int rating)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setRating</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>a11fa4cb5a12d4f1d462793cc26975215</anchor>
      <arglist>(int rating)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setSpacing</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>a41c0da241efb9637b853466de2e1874e</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>ratingChanged</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>a447e4e32bb5b4f65c18068175fa8774d</anchor>
      <arglist>(int rating)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>ratingChanged</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>a1ea439f36c0e8d178f3242293cfdebf6</anchor>
      <arglist>(unsigned int rating)</arglist>
    </member>
    <member kind="function">
      <type>Qt::Alignment</type>
      <name>alignment</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>ae429f84c6a69e342dcfeeddd53947b19</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>halfStepsEnabled</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>a03b52aab0a8f429337f9b310ee6f2709</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QIcon</type>
      <name>icon</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>a560df996c4056d7b4c8932e6f13fb446</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KRatingWidget</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>a7830f48060261b8735306fa9142cf222</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>Qt::LayoutDirection</type>
      <name>layoutDirection</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>a901f8ab3aaa8cfe2dfd35e64b72fc976</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxRating</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>a375da8248184728def34a2607ffc692f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>rating</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>a3f5687d6f175069f36a30b234f118499</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QSize</type>
      <name>sizeHint</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>ab3e45bfa72b3a9cf86992c9e840edec3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>spacing</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>ab640c52a2e7c2d016c89bef41ce2b213</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KRatingWidget</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>a0a605700a1e021ad124d70f1e6dc983d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>leaveEvent</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>aa312243bb52ed4d479d2390c2a67d3df</anchor>
      <arglist>(QEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>mouseMoveEvent</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>a02a4ee39449f1b08b914aaf6c3d2b37e</anchor>
      <arglist>(QMouseEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>mousePressEvent</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>ac048a87c2508cb7c97ce9865871975db</anchor>
      <arglist>(QMouseEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>paintEvent</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>a0a2a87ad89ab69d9b6ea818ae34cdf7b</anchor>
      <arglist>(QPaintEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>resizeEvent</name>
      <anchorfile>classKRatingWidget.html</anchorfile>
      <anchor>adb44ec9e436b1b96af4301cea50650c1</anchor>
      <arglist>(QResizeEvent *e)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTagCloudWidget</name>
    <filename>classKTagCloudWidget.html</filename>
    <base>QWidget</base>
    <member kind="slot">
      <type>void</type>
      <name>addTag</name>
      <anchorfile>classKTagCloudWidget.html</anchorfile>
      <anchor>affb762ecda76cd6a66aea970df229632</anchor>
      <arglist>(const QString &amp;tag, int weight)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>addTags</name>
      <anchorfile>classKTagCloudWidget.html</anchorfile>
      <anchor>a3f8fda77f19146d7805d1efcd20d9e20</anchor>
      <arglist>(const QMap&lt; QString, int &gt; &amp;tags)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKTagCloudWidget.html</anchorfile>
      <anchor>a89d2fa4408b17c2370cf3f0974e8d036</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setMaxFontSize</name>
      <anchorfile>classKTagCloudWidget.html</anchorfile>
      <anchor>a49007c3d702f949959fb9e9cb3e60dba</anchor>
      <arglist>(int pointSize)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setMinFontSize</name>
      <anchorfile>classKTagCloudWidget.html</anchorfile>
      <anchor>ad36a3a216c9a6905111533a62eb8a41d</anchor>
      <arglist>(int pointSize)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>tagClicked</name>
      <anchorfile>classKTagCloudWidget.html</anchorfile>
      <anchor>a534920800653922dc8fbe2b80ea56619</anchor>
      <arglist>(const QString &amp;tag)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KTagCloudWidget</name>
      <anchorfile>classKTagCloudWidget.html</anchorfile>
      <anchor>abf74b829e4d03b4672d8a5f4ef030874</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>tagWeight</name>
      <anchorfile>classKTagCloudWidget.html</anchorfile>
      <anchor>ad97b0df1b12c503d945cc3b57ed1b919</anchor>
      <arglist>(const QString &amp;tag) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KTagCloudWidget</name>
      <anchorfile>classKTagCloudWidget.html</anchorfile>
      <anchor>a9b9cd5eaaaa92e43fb3d45aae588aa78</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>resizeEvent</name>
      <anchorfile>classKTagCloudWidget.html</anchorfile>
      <anchor>ab22dfe9929c0fb8bf5f1e911e1c8e8c3</anchor>
      <arglist>(QResizeEvent *e)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTagDisplayWidget</name>
    <filename>classKTagDisplayWidget.html</filename>
    <base>QWidget</base>
    <member kind="slot">
      <type>void</type>
      <name>addTag</name>
      <anchorfile>classKTagDisplayWidget.html</anchorfile>
      <anchor>a7420a1d7ab15271170736a8af25df7bc</anchor>
      <arglist>(const QString &amp;tag)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>addTags</name>
      <anchorfile>classKTagDisplayWidget.html</anchorfile>
      <anchor>a6c592bd20235f98c127b44a3b7b5f210</anchor>
      <arglist>(const QStringList &amp;tags)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKTagDisplayWidget.html</anchorfile>
      <anchor>a6640eb325dfd84a43b2b8030dde9c99e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setTags</name>
      <anchorfile>classKTagDisplayWidget.html</anchorfile>
      <anchor>ab3e1e00e1064145403bd0c8baf35e7e6</anchor>
      <arglist>(const QStringList &amp;tags)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>tagClicked</name>
      <anchorfile>classKTagDisplayWidget.html</anchorfile>
      <anchor>a3dcdc0f3041e41aa2a7da82b58e9faad</anchor>
      <arglist>(const QString &amp;tag)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KTagDisplayWidget</name>
      <anchorfile>classKTagDisplayWidget.html</anchorfile>
      <anchor>ac4c3f9ec5f9fe8d780cfdd6f839159b7</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KTagDisplayWidget</name>
      <anchorfile>classKTagDisplayWidget.html</anchorfile>
      <anchor>ae418ced9f2b6b40faae5946e597b0646</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QFrame</name>
    <filename>classQFrame.html</filename>
  </compound>
  <compound kind="class">
    <name>QObject</name>
    <filename>classQObject.html</filename>
  </compound>
  <compound kind="class">
    <name>QWidget</name>
    <filename>classQWidget.html</filename>
  </compound>
  <compound kind="namespace">
    <name>Nepomuk</name>
    <filename>namespaceNepomuk.html</filename>
    <namespace>Nepomuk::Middleware</namespace>
    <namespace>Nepomuk::Types</namespace>
    <namespace>Nepomuk::Vocabulary</namespace>
    <class kind="class">Nepomuk::Class</class>
    <class kind="class">Nepomuk::DesktopOntologyLoader</class>
    <class kind="class">Nepomuk::Entity</class>
    <class kind="class">Nepomuk::FileOntologyLoader</class>
    <class kind="class">Nepomuk::Literal</class>
    <class kind="class">Nepomuk::NepomukOntologyLoader</class>
    <class kind="class">Nepomuk::Ontology</class>
    <class kind="class">Nepomuk::OntologyLoader</class>
    <class kind="class">Nepomuk::OntologyManager</class>
    <class kind="class">Nepomuk::Property</class>
    <class kind="class">Nepomuk::Resource</class>
    <class kind="class">Nepomuk::ResourceManager</class>
    <class kind="class">Nepomuk::Service</class>
    <class kind="class">Nepomuk::Tag</class>
    <class kind="class">Nepomuk::TagCloud</class>
    <class kind="class">Nepomuk::TagWidget</class>
    <class kind="class">Nepomuk::Thing</class>
    <class kind="class">Nepomuk::Variant</class>
    <member kind="enumeration">
      <name>ErrorCode</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a92688dafd220c664bc177c329f074cf0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NoError</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a92688dafd220c664bc177c329f074cf0adeb73a197a653984e46138ea33add1d6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CommunicationError</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a92688dafd220c664bc177c329f074cf0a67a4df4a000d9033d34d243736de4491</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>InvalidType</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a92688dafd220c664bc177c329f074cf0ad76199f4300c56f8147cff6f53f94701</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>UnknownError</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a92688dafd220c664bc177c329f074cf0aa8b84f5923d1fa02ad52e90682704203</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Resource &gt;</type>
      <name>convertResourceList</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>afb128cddd1c52ae00315bd0a9ed7408a</anchor>
      <arglist>(const QList&lt; T &gt; &amp;l)</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; T &gt;</type>
      <name>convertResourceList</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a3d2a4b7d4e17c9843dc003af27752c98</anchor>
      <arglist>(const QList&lt; Resource &gt; &amp;l)</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED NEPOMUK_EXPORT QString</type>
      <name>defaultGraph</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a147b9e9a1ccfcc65a877ba7d42d018a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NEPOMUK_EXPORT QString</type>
      <name>errorString</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a9a5fea75f448e1b295eed34eb62946a3</anchor>
      <arglist>(ErrorCode code)</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED NEPOMUK_EXPORT QUrl</type>
      <name>extractNamespace</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a15ffb1f775a64541daabd407e9a0d41a</anchor>
      <arglist>(const QUrl &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED NEPOMUK_EXPORT QString</type>
      <name>naoNamespace</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a4791dafb75f5e1835a461e1a2b00cd8c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED NEPOMUK_EXPORT QString</type>
      <name>nrlNamespace</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>aea0b5ba59d2891662c6abd21af6525ea</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NEPOMUK_EXPORT Variant</type>
      <name>RDFLiteralToValue</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a4a2ce011ecab02f1f58af7090f512ccd</anchor>
      <arglist>(const Soprano::Node &amp;node)</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED NEPOMUK_EXPORT QString</type>
      <name>rdfNamepace</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a861ad8ae0bc554370d1c74ccc42c838e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED NEPOMUK_EXPORT QString</type>
      <name>rdfsNamespace</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>ac55b3e2802283b53de5d889635d53b33</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED NEPOMUK_EXPORT void</type>
      <name>setDefaultRepository</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a801a0bcdf48771df61e20909cb786a3a</anchor>
      <arglist>(const QString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED NEPOMUK_EXPORT QString</type>
      <name>typePredicate</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a34547c8da05c8860ae92897a24ed2f05</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NEPOMUK_EXPORT QList&lt; Soprano::Node &gt;</type>
      <name>valuesToRDFNodes</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a55f5bd98b0567309f76bbdf7d2daaec1</anchor>
      <arglist>(const Variant &amp;)</arglist>
    </member>
    <member kind="function">
      <type>NEPOMUK_EXPORT Soprano::Node</type>
      <name>valueToRDFNode</name>
      <anchorfile>namespaceNepomuk.html</anchorfile>
      <anchor>a0869ac83e81c2b145c9c6b1b0cff10db</anchor>
      <arglist>(const Variant &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Nepomuk::Class</name>
    <filename>classNepomuk_1_1Class.html</filename>
    <base>Nepomuk::Entity</base>
    <member kind="function">
      <type>QList&lt; const Property * &gt;</type>
      <name>allProperties</name>
      <anchorfile>classNepomuk_1_1Class.html</anchorfile>
      <anchor>a570b3c0888fcc81b6d81920a5e3172a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Class</name>
      <anchorfile>classNepomuk_1_1Class.html</anchorfile>
      <anchor>aee6556b491e319775f05604b38b41e72</anchor>
      <arglist>(const Class &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Class</name>
      <anchorfile>classNepomuk_1_1Class.html</anchorfile>
      <anchor>a3cee8167365bc66671848036942a98bf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const Property *</type>
      <name>findPropertyByLabel</name>
      <anchorfile>classNepomuk_1_1Class.html</anchorfile>
      <anchor>ab83b6bb442b82e0349e25f880c49924c</anchor>
      <arglist>(const QString &amp;label, const QString &amp;language=QString()) const </arglist>
    </member>
    <member kind="function">
      <type>const Property *</type>
      <name>findPropertyByName</name>
      <anchorfile>classNepomuk_1_1Class.html</anchorfile>
      <anchor>a061d0bb1b269b8c1c52036d9ed6651be</anchor>
      <arglist>(const QString &amp;name) const </arglist>
    </member>
    <member kind="function">
      <type>const Property *</type>
      <name>findPropertyByUri</name>
      <anchorfile>classNepomuk_1_1Class.html</anchorfile>
      <anchor>a53702dfc099b52a0947ecbd29ae43dec</anchor>
      <arglist>(const QUrl &amp;uri) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isParentOf</name>
      <anchorfile>classNepomuk_1_1Class.html</anchorfile>
      <anchor>a70d32af42c3f0dd0a665f07abf92b41e</anchor>
      <arglist>(const Class *other) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSubClassOf</name>
      <anchorfile>classNepomuk_1_1Class.html</anchorfile>
      <anchor>aa5c4c745413406c261fba26346110e68</anchor>
      <arglist>(const Class *other) const </arglist>
    </member>
    <member kind="function">
      <type>Class &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Class.html</anchorfile>
      <anchor>afb39b6c2723ebe073651ac846e2903ee</anchor>
      <arglist>(const Class &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; const Class * &gt;</type>
      <name>parentClasses</name>
      <anchorfile>classNepomuk_1_1Class.html</anchorfile>
      <anchor>a8bc943fdc56e136a2b06976496eca884</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; const Class * &gt;</type>
      <name>subClasses</name>
      <anchorfile>classNepomuk_1_1Class.html</anchorfile>
      <anchor>a1cb7d2ef5748d8fa2c3caa5aafb7e40f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Class</name>
      <anchorfile>classNepomuk_1_1Class.html</anchorfile>
      <anchor>a54f16abe0dc23c7a2d0fc845486b5048</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const Class *</type>
      <name>load</name>
      <anchorfile>classNepomuk_1_1Class.html</anchorfile>
      <anchor>a184363f84cd9fa052b8b16fc225bb429</anchor>
      <arglist>(const QUrl &amp;uri)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Nepomuk::DesktopOntologyLoader</name>
    <filename>classNepomuk_1_1DesktopOntologyLoader.html</filename>
    <base>Nepomuk::OntologyLoader</base>
    <member kind="function">
      <type>QList&lt; QUrl &gt;</type>
      <name>allOntologies</name>
      <anchorfile>classNepomuk_1_1DesktopOntologyLoader.html</anchorfile>
      <anchor>aab8831ce36ad1ae1ce7cfdb231ce7687</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DesktopOntologyLoader</name>
      <anchorfile>classNepomuk_1_1DesktopOntologyLoader.html</anchorfile>
      <anchor>ae349b000799c6d1367fc848efafc05fd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Soprano::Statement &gt;</type>
      <name>loadOntology</name>
      <anchorfile>classNepomuk_1_1DesktopOntologyLoader.html</anchorfile>
      <anchor>a4883cf8fee3ce28a0dab62cfab86fbae</anchor>
      <arglist>(const QUrl &amp;url)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~DesktopOntologyLoader</name>
      <anchorfile>classNepomuk_1_1DesktopOntologyLoader.html</anchorfile>
      <anchor>a62db8580a086fe3bf5acbc51a76b5618</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Nepomuk::Entity</name>
    <filename>classNepomuk_1_1Entity.html</filename>
    <member kind="function">
      <type>QString</type>
      <name>comment</name>
      <anchorfile>classNepomuk_1_1Entity.html</anchorfile>
      <anchor>acc9e4501a004f9a614274c2f7fd47253</anchor>
      <arglist>(const QString &amp;language=QString()) const </arglist>
    </member>
    <member kind="function">
      <type>const Ontology *</type>
      <name>definingOntology</name>
      <anchorfile>classNepomuk_1_1Entity.html</anchorfile>
      <anchor>af7f2f7b0eeceae084cf0663a79592928</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Entity</name>
      <anchorfile>classNepomuk_1_1Entity.html</anchorfile>
      <anchor>aa0c3f19f373730ef44a8d125f561e62d</anchor>
      <arglist>(const Entity &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>label</name>
      <anchorfile>classNepomuk_1_1Entity.html</anchorfile>
      <anchor>aa3251400ee70cc723887f528c9c3537c</anchor>
      <arglist>(const QString &amp;language=QString()) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classNepomuk_1_1Entity.html</anchorfile>
      <anchor>a853232d4815467b6ff724a1543a2b2d9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Entity &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Entity.html</anchorfile>
      <anchor>acab9cf8d605daf4e3f923235f3eb6754</anchor>
      <arglist>(const Entity &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QUrl</type>
      <name>uri</name>
      <anchorfile>classNepomuk_1_1Entity.html</anchorfile>
      <anchor>ad5cee4f3c47fb87747cfa069d15e97fd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Entity</name>
      <anchorfile>classNepomuk_1_1Entity.html</anchorfile>
      <anchor>af21cb7028afbc47535230e40f01c5ac6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Entity</name>
      <anchorfile>classNepomuk_1_1Entity.html</anchorfile>
      <anchor>abbcd4419bcf994ff0c14fabfcc99075c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Nepomuk::FileOntologyLoader</name>
    <filename>classNepomuk_1_1FileOntologyLoader.html</filename>
    <base>Nepomuk::OntologyLoader</base>
    <member kind="function">
      <type>QString</type>
      <name>fileName</name>
      <anchorfile>classNepomuk_1_1FileOntologyLoader.html</anchorfile>
      <anchor>a184df6d1668b5e251db95b1ffb3edea0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FileOntologyLoader</name>
      <anchorfile>classNepomuk_1_1FileOntologyLoader.html</anchorfile>
      <anchor>a8b2e60f63ef62545b458daff372d496b</anchor>
      <arglist>(const QString &amp;filename, Soprano::RdfSerialization serialization=Soprano::SerializationUnknown)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FileOntologyLoader</name>
      <anchorfile>classNepomuk_1_1FileOntologyLoader.html</anchorfile>
      <anchor>a9cf42f80fb97343459805fb694595e3b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Soprano::Statement &gt;</type>
      <name>loadOntology</name>
      <anchorfile>classNepomuk_1_1FileOntologyLoader.html</anchorfile>
      <anchor>a0d2d3acf19eaaac7c6816bfd1c541375</anchor>
      <arglist>(const QUrl &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFileName</name>
      <anchorfile>classNepomuk_1_1FileOntologyLoader.html</anchorfile>
      <anchor>a3e6b50819bfb774aa0658d4f228e1fb6</anchor>
      <arglist>(const QString &amp;filename)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSerialization</name>
      <anchorfile>classNepomuk_1_1FileOntologyLoader.html</anchorfile>
      <anchor>afafdfd7c532249bbec21cacceb3b4b2a</anchor>
      <arglist>(Soprano::RdfSerialization)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~FileOntologyLoader</name>
      <anchorfile>classNepomuk_1_1FileOntologyLoader.html</anchorfile>
      <anchor>afe6b35142097baf22f2fd2c4645574b6</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Nepomuk::Literal</name>
    <filename>classNepomuk_1_1Literal.html</filename>
    <member kind="function">
      <type>QVariant::Type</type>
      <name>dataType</name>
      <anchorfile>classNepomuk_1_1Literal.html</anchorfile>
      <anchor>a816da91bad04e320a1a555f11d447402</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QUrl &amp;</type>
      <name>dataTypeUri</name>
      <anchorfile>classNepomuk_1_1Literal.html</anchorfile>
      <anchor>acbb78a184aa648a909d7a85af344edfd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Literal</name>
      <anchorfile>classNepomuk_1_1Literal.html</anchorfile>
      <anchor>ac87ae76058c8368bdec7de41bf6ed05b</anchor>
      <arglist>(const QUrl &amp;dataTypeUri)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Literal</name>
      <anchorfile>classNepomuk_1_1Literal.html</anchorfile>
      <anchor>a3f0e29dc6c3332cb7df39ad1555dfda4</anchor>
      <arglist>(const Literal &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Literal</name>
      <anchorfile>classNepomuk_1_1Literal.html</anchorfile>
      <anchor>a8ae545f8c6a7bc4923dc3474bae52284</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Literal &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Literal.html</anchorfile>
      <anchor>a1bed5cd391542bb5c6c684b48512ac01</anchor>
      <arglist>(const Literal &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Literal</name>
      <anchorfile>classNepomuk_1_1Literal.html</anchorfile>
      <anchor>afbfb83ef75639fdf1a973a06d7a157c9</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Nepomuk::NepomukOntologyLoader</name>
    <filename>classNepomuk_1_1NepomukOntologyLoader.html</filename>
    <base>Nepomuk::OntologyLoader</base>
    <member kind="function">
      <type>QList&lt; Soprano::Statement &gt;</type>
      <name>loadOntology</name>
      <anchorfile>classNepomuk_1_1NepomukOntologyLoader.html</anchorfile>
      <anchor>ab96e7ce5f54bbce65438a633a43aa71a</anchor>
      <arglist>(const QUrl &amp;url)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>NepomukOntologyLoader</name>
      <anchorfile>classNepomuk_1_1NepomukOntologyLoader.html</anchorfile>
      <anchor>a9ee13b790dfe2fa2a4e048ce59f604ac</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~NepomukOntologyLoader</name>
      <anchorfile>classNepomuk_1_1NepomukOntologyLoader.html</anchorfile>
      <anchor>a61e8c2fcad25608dbb839be54c71774e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Nepomuk::Ontology</name>
    <filename>classNepomuk_1_1Ontology.html</filename>
    <member kind="function">
      <type>QList&lt; const Class * &gt;</type>
      <name>allClasses</name>
      <anchorfile>classNepomuk_1_1Ontology.html</anchorfile>
      <anchor>a3c823a7416f277cc22c4dab9fb8b0196</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; const Property * &gt;</type>
      <name>allProperties</name>
      <anchorfile>classNepomuk_1_1Ontology.html</anchorfile>
      <anchor>afdb36ac5c97fe5bba964a496d0924239</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const Class *</type>
      <name>findClassByLabel</name>
      <anchorfile>classNepomuk_1_1Ontology.html</anchorfile>
      <anchor>a6a40b46a07732144764c9616af166697</anchor>
      <arglist>(const QString &amp;label, const QString &amp;language=QString()) const </arglist>
    </member>
    <member kind="function">
      <type>const Class *</type>
      <name>findClassByName</name>
      <anchorfile>classNepomuk_1_1Ontology.html</anchorfile>
      <anchor>a586ce225ee3f17fbc91aab137a084a8a</anchor>
      <arglist>(const QString &amp;name) const </arglist>
    </member>
    <member kind="function">
      <type>const Class *</type>
      <name>findClassByUri</name>
      <anchorfile>classNepomuk_1_1Ontology.html</anchorfile>
      <anchor>ab2d3764d05972eb739046899a1a6ecbd</anchor>
      <arglist>(const QUrl &amp;uri) const </arglist>
    </member>
    <member kind="function">
      <type>const Property *</type>
      <name>findPropertyByLabel</name>
      <anchorfile>classNepomuk_1_1Ontology.html</anchorfile>
      <anchor>a14a2a208f4bc433d607c2432e9cc785a</anchor>
      <arglist>(const QString &amp;label, const QString &amp;language=QString()) const </arglist>
    </member>
    <member kind="function">
      <type>const Property *</type>
      <name>findPropertyByName</name>
      <anchorfile>classNepomuk_1_1Ontology.html</anchorfile>
      <anchor>aa416cff73be943cc94ed66162cde1894</anchor>
      <arglist>(const QString &amp;name) const </arglist>
    </member>
    <member kind="function">
      <type>const Property *</type>
      <name>findPropertyByUri</name>
      <anchorfile>classNepomuk_1_1Ontology.html</anchorfile>
      <anchor>ac38a6e607ff887854d50961d4fd7fa09</anchor>
      <arglist>(const QUrl &amp;uri) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Ontology</name>
      <anchorfile>classNepomuk_1_1Ontology.html</anchorfile>
      <anchor>aa01796fa1941b596d0683bab1648e541</anchor>
      <arglist>(const Ontology &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Ontology</name>
      <anchorfile>classNepomuk_1_1Ontology.html</anchorfile>
      <anchor>a5320aa19e9db484b4919b083f91fcee1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Ontology &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Ontology.html</anchorfile>
      <anchor>a493d61636639df9c97331cd9b730c986</anchor>
      <arglist>(const Ontology &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QUrl</type>
      <name>uri</name>
      <anchorfile>classNepomuk_1_1Ontology.html</anchorfile>
      <anchor>abba7dc8de3d0f88829586b1d1c15bdbd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Ontology</name>
      <anchorfile>classNepomuk_1_1Ontology.html</anchorfile>
      <anchor>a0d193e0ae9aab3e706f04e96c7dcce0c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const Ontology *</type>
      <name>load</name>
      <anchorfile>classNepomuk_1_1Ontology.html</anchorfile>
      <anchor>afd637680185c189801bc43ef98a301f0</anchor>
      <arglist>(const QUrl &amp;uri)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Nepomuk::OntologyLoader</name>
    <filename>classNepomuk_1_1OntologyLoader.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual QList&lt; Soprano::Statement &gt;</type>
      <name>loadOntology</name>
      <anchorfile>classNepomuk_1_1OntologyLoader.html</anchorfile>
      <anchor>a2ead9386860fa7ebb4a718f39c55dc67</anchor>
      <arglist>(const QUrl &amp;url)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~OntologyLoader</name>
      <anchorfile>classNepomuk_1_1OntologyLoader.html</anchorfile>
      <anchor>a21b1c2166cdbec89e0bf70e52e782837</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>OntologyLoader</name>
      <anchorfile>classNepomuk_1_1OntologyLoader.html</anchorfile>
      <anchor>a9cd5c289a0f79301217ea4b09aa9b35f</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Nepomuk::OntologyManager</name>
    <filename>classNepomuk_1_1OntologyManager.html</filename>
    <member kind="function">
      <type>const Ontology *</type>
      <name>getOntology</name>
      <anchorfile>classNepomuk_1_1OntologyManager.html</anchorfile>
      <anchor>a52d2c55961a50870b4b90adb5693ea25</anchor>
      <arglist>(const QUrl &amp;uri)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOntologyLoader</name>
      <anchorfile>classNepomuk_1_1OntologyManager.html</anchorfile>
      <anchor>a38bf0eb8c4b5441c6209d859d56be9c0</anchor>
      <arglist>(OntologyLoader *loader)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~OntologyManager</name>
      <anchorfile>classNepomuk_1_1OntologyManager.html</anchorfile>
      <anchor>adc7df00833ec04c7c03aea155c9441e8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static OntologyManager *</type>
      <name>instance</name>
      <anchorfile>classNepomuk_1_1OntologyManager.html</anchorfile>
      <anchor>a0f2cb02680943eea019f6cd217c08d6f</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Nepomuk::Property</name>
    <filename>classNepomuk_1_1Property.html</filename>
    <base>Nepomuk::Entity</base>
    <member kind="function">
      <type>int</type>
      <name>cardinality</name>
      <anchorfile>classNepomuk_1_1Property.html</anchorfile>
      <anchor>ae8104bfe5fb124324656393b5de076a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const Class *</type>
      <name>domain</name>
      <anchorfile>classNepomuk_1_1Property.html</anchorfile>
      <anchor>ad86bd80f443b072b97bc30779928641c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const Property *</type>
      <name>inverseProperty</name>
      <anchorfile>classNepomuk_1_1Property.html</anchorfile>
      <anchor>a747532dcfe0916f4483d61f638113475</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Literal</type>
      <name>literalRangeType</name>
      <anchorfile>classNepomuk_1_1Property.html</anchorfile>
      <anchor>a507b2be14d6ef448d6a236c9ee9155e6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxCardinality</name>
      <anchorfile>classNepomuk_1_1Property.html</anchorfile>
      <anchor>adeb9695a45d0e476cbefdf34bb00cfd2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>minCardinality</name>
      <anchorfile>classNepomuk_1_1Property.html</anchorfile>
      <anchor>a60c214ea65eb80acfcc0fc720809eb00</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Property &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Property.html</anchorfile>
      <anchor>a8cd9b348053620729bfec7e0fb599365</anchor>
      <arglist>(const Property &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; const Property * &gt;</type>
      <name>parentOf</name>
      <anchorfile>classNepomuk_1_1Property.html</anchorfile>
      <anchor>a8c78792a0f33a9f79304d8cb6f352acf</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; const Property * &gt;</type>
      <name>parentProperties</name>
      <anchorfile>classNepomuk_1_1Property.html</anchorfile>
      <anchor>a4dbd35425f21f8b40b4e7a10a4964e8b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Property</name>
      <anchorfile>classNepomuk_1_1Property.html</anchorfile>
      <anchor>ac2aa11c5ea86fd995ad39bfbd16223c8</anchor>
      <arglist>(const Property &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Property</name>
      <anchorfile>classNepomuk_1_1Property.html</anchorfile>
      <anchor>ae668eae0f754cd5fd15c0fbec0026ef5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const Class *</type>
      <name>range</name>
      <anchorfile>classNepomuk_1_1Property.html</anchorfile>
      <anchor>ae6bdf2d36317d148759951c5a56744d8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Property</name>
      <anchorfile>classNepomuk_1_1Property.html</anchorfile>
      <anchor>a59c40cc1e269cdb670eb9be3fa8ff537</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const Property *</type>
      <name>load</name>
      <anchorfile>classNepomuk_1_1Property.html</anchorfile>
      <anchor>a668f19890d8105cfef2e77ebfb2aae36</anchor>
      <arglist>(const QUrl &amp;uri)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Nepomuk::Resource</name>
    <filename>classNepomuk_1_1Resource.html</filename>
    <member kind="function">
      <type>void</type>
      <name>addAltLabel</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>aba4afe3f667057638564f08da4cd6579</anchor>
      <arglist>(const QString &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addAnnotation</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a3bfbe61ad960bfe1b6beb9372147455a</anchor>
      <arglist>(const Resource &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addIdentifier</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>adc0fc1f014f67f6a71fee8367c06cfd8</anchor>
      <arglist>(const QString &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addIsRelated</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a69b6185f4645b78c1e71d685e40f25ae</anchor>
      <arglist>(const Resource &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addIsTopicOf</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>aa3ab396b1e7bd6b078cf67b0d4da7f14</anchor>
      <arglist>(const Resource &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addProperty</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>ab0389964dfd6ed58235d0275ecc79db4</anchor>
      <arglist>(const QUrl &amp;uri, const Variant &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addSymbol</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>ab4a4f5264bfb22a82ae607e66e6524dd</anchor>
      <arglist>(const QString &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addTag</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a2dc2fccc0cdc3def33010b4262b8a361</anchor>
      <arglist>(const Tag &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addTopic</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>aca87fa3cf36616c39685ca8ad469b295</anchor>
      <arglist>(const Resource &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addType</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a3bb24e92f37a0ed19761772b08501403</anchor>
      <arglist>(const QUrl &amp;type)</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED QHash&lt; QString, Variant &gt;</type>
      <name>allProperties</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>aae34acabc56e1c651a295726869e4b48</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>altLabels</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a0645bfe8fb3483655b15f25070840fe9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Resource &gt;</type>
      <name>annotationOf</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>abb5bd0bcac263c97a46913bed3bae899</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Resource &gt;</type>
      <name>annotations</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a2ad2ae83a41b140708f30de5dbb302ae</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>className</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>ab58a6537186f6946b572dd20701927e2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>description</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>afe22f9c734fe5d3c21ed5374832ba07d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>exists</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>aeea6b3e8ba98492a8921f08afdbb22a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>genericDescription</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>ac2170e9e41947a1fe59d5d2fd994730e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>genericIcon</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a6ae84c00d418c5c2bcd582432f78ba08</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>genericLabel</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a35e88ba4efb32efb3e83b87c0469e2de</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED bool</type>
      <name>hasProperty</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>ac94caacff25ac395d9b23356e17a58d8</anchor>
      <arglist>(const QString &amp;uri) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasProperty</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>ac5afca2c8a93a4ce8253cbef4add2b1d</anchor>
      <arglist>(const QUrl &amp;uri) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasType</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a4d9853d59ae55605b721dd8d142b2810</anchor>
      <arglist>(const QUrl &amp;typeUri) const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>identifiers</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a2f429572f533b18582c41d6b58dc9a8a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Resource &gt;</type>
      <name>isRelatedOf</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a9e1bd461f54b224b7e3350828d4bd2ce</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Resource &gt;</type>
      <name>isRelateds</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a7ba81e69d986e4d10e1a1676e235d67f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Resource &gt;</type>
      <name>isTopicOfs</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>adee57a706a5f7adeee2a9334c5cc46b4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>ac0583de5a5fbedac3010ffc896ac601a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>label</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a2ba6b49ce22e34f356c9d7d9510e8a61</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ResourceManager *</type>
      <name>manager</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a28bba19d3a0fab55a2e86d44fa44ffd9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Resource &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a50a758f2044c7a975647d6fa9fdf21a7</anchor>
      <arglist>(const QUrl &amp;uri)</arglist>
    </member>
    <member kind="function">
      <type>Resource &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>abf0ed6791f8d538a0f4904aae1c20704</anchor>
      <arglist>(const Resource &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a44e2deae40a89ad5d5a37a0af5d228c0</anchor>
      <arglist>(const Resource &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>Thing</type>
      <name>pimoThing</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a6c3d61030c557be1a9f64046c88e6cea</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QHash&lt; QUrl, Variant &gt;</type>
      <name>properties</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a381101dd4bde4355398b63bb36b5128d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED Variant</type>
      <name>property</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>afdbb212979b1202c4ae23f6da679cd46</anchor>
      <arglist>(const QString &amp;uri) const </arglist>
    </member>
    <member kind="function">
      <type>Variant</type>
      <name>property</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>af596f28e2c6014bc27249881a8beced9</anchor>
      <arglist>(const QUrl &amp;uri) const </arglist>
    </member>
    <member kind="function">
      <type>quint32</type>
      <name>rating</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a586b0f5340f707bf95ba78d952b20abf</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>remove</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a61e0680e4e1fc158901884a81a8c6edb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED void</type>
      <name>removeProperty</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a50f479c3c0bae751bba070d4b2a70ea5</anchor>
      <arglist>(const QString &amp;uri)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeProperty</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>aabefa85fe1e4bc9b9912e02262246c52</anchor>
      <arglist>(const QUrl &amp;uri, const Variant &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeProperty</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>af29e0467f53b824d234227a1b2409899</anchor>
      <arglist>(const QUrl &amp;uri)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Resource</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>af7ae8dc692061927ef0e4e789c2e6b5f</anchor>
      <arglist>(ResourceData *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Resource</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>aa13ff7abfd88be48c371c5a48b9a7287</anchor>
      <arglist>(const QUrl &amp;uri, const QUrl &amp;type, ResourceManager *manager)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Resource</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>aece3ed5c54ef873f69812a6673fed25d</anchor>
      <arglist>(const QUrl &amp;uri, const QUrl &amp;type=QUrl())</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED</type>
      <name>Resource</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>aa18c6268041f9ec2f06da44252e45d0e</anchor>
      <arglist>(const QString &amp;pathOrIdentifier, const QString &amp;type)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Resource</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a5020bad6f1fa7c9f3fbf963cae3520b9</anchor>
      <arglist>(const QString &amp;pathOrIdentifier, const QUrl &amp;type, ResourceManager *manager)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Resource</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>abc76d367690e08d5c763429c7100fe57</anchor>
      <arglist>(const QString &amp;pathOrIdentifier, const QUrl &amp;type=QUrl())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Resource</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a085774d2a60a49db84b3d5acc175e95f</anchor>
      <arglist>(const Resource &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Resource</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a5060c85501430492343cff202b0514a5</anchor>
      <arglist>(ResourceManager *manager)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Resource</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a7ebf69b6cd2da793a7d3e10744c9d5b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QUrl</type>
      <name>resourceType</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>af1d04d4eed2a0d5e1f4a496d6259b31f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QUrl</type>
      <name>resourceUri</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a75d79833f34fd2b850402ca4471be9c4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAltLabels</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>ad12e1ca0a8c0a78372ac62b7d6280851</anchor>
      <arglist>(const QStringList &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAnnotations</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a8382d74ad06597aa453f34ec9e509f43</anchor>
      <arglist>(const QList&lt; Resource &gt; &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDescription</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>aa21d184a6e8bfd9e400b0a263b5c27de</anchor>
      <arglist>(const QString &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIdentifiers</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a6d5469925587703fae0416d344730a1f</anchor>
      <arglist>(const QStringList &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIsRelateds</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>acc98ac34039b60d8e4cfd58a6151b6d1</anchor>
      <arglist>(const QList&lt; Resource &gt; &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIsTopicOfs</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>ad2807c6c8d4b0afddbdf0440664a10dc</anchor>
      <arglist>(const QList&lt; Resource &gt; &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLabel</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>af9510c616f76d18583d0354cb0cb9318</anchor>
      <arglist>(const QString &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED void</type>
      <name>setProperty</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a9a81716813f83d6ee11825f38147bcfa</anchor>
      <arglist>(const QString &amp;uri, const Variant &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProperty</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>aa8198a3a5264f1943ef1d45bf200df8e</anchor>
      <arglist>(const QUrl &amp;uri, const Variant &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRating</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a5846f932f2ed1bbf769394f54088e7b1</anchor>
      <arglist>(const quint32 &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSymbols</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>adae5a81bbc402d7d2aabcbb6cbe1f728</anchor>
      <arglist>(const QStringList &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTags</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a73e1ad1c4de7532764c69bb7ea330157</anchor>
      <arglist>(const QList&lt; Tag &gt; &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTopics</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a628e889dd92ca05e80db353795edf620</anchor>
      <arglist>(const QList&lt; Resource &gt; &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTypes</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a27a5f2876e5a6a85677bc3d86654bfae</anchor>
      <arglist>(const QList&lt; QUrl &gt; &amp;types)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>symbols</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>ac7f3d1255ef4df25f11751317c07fd3d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Tag &gt;</type>
      <name>tags</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a2a9b4b381233c36c7438b5650ddd7ba5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Resource &gt;</type>
      <name>topics</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a362d882df39a4c994c6a3ba2ff4acbe8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED QString</type>
      <name>type</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a4535dc8650a20ec409147cff01b76eec</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; QUrl &gt;</type>
      <name>types</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>adb41c4ba01038534e54286b097cdca4a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED QString</type>
      <name>uri</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>aaf80321aac8283ddffb8b0465fe5ea0b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Resource</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a290297b89666b0b6d48be1a28cfb33fe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QList&lt; Resource &gt;</type>
      <name>allResources</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a91b691d542a9e47931215549b652e52b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>altLabelUri</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a5ccda6a5080881d8b4cde1a2f7a91775</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>annotationUri</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a8157090280c821c47e16962a43c21c7e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>descriptionUri</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>abba088999e5c850c362fd815c2d3388e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>identifierUri</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>aa3e3b02ace6f8b5d6427ef246cceb788</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>isRelatedUri</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a78baa04093e7314ea4408f830662f893</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>isTopicOfUri</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a9c47b8e4dadd4c143c0b34b4c7608647</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>labelUri</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a837672b7f675dfcad79739f7ce9e01dc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>ratingUri</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>a34e8d91baf1ecd526246d1d13f135800</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>symbolUri</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>af8d22464346ae79949733f8f0b78bec1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>tagUri</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>add4161470a05cda8edad0711743328e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>topicUri</name>
      <anchorfile>classNepomuk_1_1Resource.html</anchorfile>
      <anchor>ad5bb2ce4c7886a6ebec5e4f23363d518</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Nepomuk::ResourceManager</name>
    <filename>classNepomuk_1_1ResourceManager.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>error</name>
      <anchorfile>classNepomuk_1_1ResourceManager.html</anchorfile>
      <anchor>a2fbcb87fb0c66f7e4f7d0f02abea451e</anchor>
      <arglist>(const QString &amp;uri, int errorCode)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>resourceModified</name>
      <anchorfile>classNepomuk_1_1ResourceManager.html</anchorfile>
      <anchor>a73e91e2d5509a275262706468df08bb1</anchor>
      <arglist>(const QString &amp;uri)</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Resource &gt;</type>
      <name>allResources</name>
      <anchorfile>classNepomuk_1_1ResourceManager.html</anchorfile>
      <anchor>a57eb48010135c98d916ca1ea025cf3d3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED QList&lt; Resource &gt;</type>
      <name>allResourcesOfType</name>
      <anchorfile>classNepomuk_1_1ResourceManager.html</anchorfile>
      <anchor>ae6cbfee248d4c7aec13ec8f88be572a9</anchor>
      <arglist>(const QString &amp;type)</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Resource &gt;</type>
      <name>allResourcesOfType</name>
      <anchorfile>classNepomuk_1_1ResourceManager.html</anchorfile>
      <anchor>a523b2d15161136f7005d2bdaac140caf</anchor>
      <arglist>(const QUrl &amp;type)</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED QList&lt; Resource &gt;</type>
      <name>allResourcesWithProperty</name>
      <anchorfile>classNepomuk_1_1ResourceManager.html</anchorfile>
      <anchor>ab2f6b66ab6d84a83912a182ac10a28a1</anchor>
      <arglist>(const QString &amp;uri, const Variant &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Resource &gt;</type>
      <name>allResourcesWithProperty</name>
      <anchorfile>classNepomuk_1_1ResourceManager.html</anchorfile>
      <anchor>a09df0c5e966204443925baf879fe9a0a</anchor>
      <arglist>(const QUrl &amp;uri, const Variant &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED Resource</type>
      <name>createResourceFromUri</name>
      <anchorfile>classNepomuk_1_1ResourceManager.html</anchorfile>
      <anchor>ac483e34a7eee54739591a767326ba015</anchor>
      <arglist>(const QString &amp;uri)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteInstance</name>
      <anchorfile>classNepomuk_1_1ResourceManager.html</anchorfile>
      <anchor>a75535b0f06981a9a106409100ef49fe0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QUrl</type>
      <name>generateUniqueUri</name>
      <anchorfile>classNepomuk_1_1ResourceManager.html</anchorfile>
      <anchor>a80b74053f8bd6d7eb2b2bbc44d912bb5</anchor>
      <arglist>(const QString &amp;label)</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED QString</type>
      <name>generateUniqueUri</name>
      <anchorfile>classNepomuk_1_1ResourceManager.html</anchorfile>
      <anchor>aa753c936ac56877ada8a14e462f6fb4c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>init</name>
      <anchorfile>classNepomuk_1_1ResourceManager.html</anchorfile>
      <anchor>a08161ba69cb545c8841467dd688407cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>initialized</name>
      <anchorfile>classNepomuk_1_1ResourceManager.html</anchorfile>
      <anchor>a63853adf92b9243f3dccb8e817643628</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Soprano::Model *</type>
      <name>mainModel</name>
      <anchorfile>classNepomuk_1_1ResourceManager.html</anchorfile>
      <anchor>ad6316112419b8b0d089358e598804673</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>notifyError</name>
      <anchorfile>classNepomuk_1_1ResourceManager.html</anchorfile>
      <anchor>ae58e93c2ac02c3218007b3ce75a3f5d9</anchor>
      <arglist>(const QString &amp;uri, int errorCode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeResource</name>
      <anchorfile>classNepomuk_1_1ResourceManager.html</anchorfile>
      <anchor>a6dd4e455cb98ec9629d8fac2c2d1f86d</anchor>
      <arglist>(const QString &amp;uri)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOverrideMainModel</name>
      <anchorfile>classNepomuk_1_1ResourceManager.html</anchorfile>
      <anchor>ab85a0ef38fb64d12aee7e849f2dcfd67</anchor>
      <arglist>(Soprano::Model *model)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ResourceManager *</type>
      <name>createManagerForModel</name>
      <anchorfile>classNepomuk_1_1ResourceManager.html</anchorfile>
      <anchor>ad4dec55bbcfdf3ced880e85185bec838</anchor>
      <arglist>(Soprano::Model *model)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ResourceManager *</type>
      <name>instance</name>
      <anchorfile>classNepomuk_1_1ResourceManager.html</anchorfile>
      <anchor>a4cc95d3bb8ea05e49954702bb8658643</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Nepomuk::Service</name>
    <filename>classNepomuk_1_1Service.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>Service</name>
      <anchorfile>classNepomuk_1_1Service.html</anchorfile>
      <anchor>ae1daeb03390446ce7a00b017cae8a433</anchor>
      <arglist>(QObject *parent=0, bool delayedInitialization=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Service</name>
      <anchorfile>classNepomuk_1_1Service.html</anchorfile>
      <anchor>a3b04c5b51b95b12e1b87a762f13d5820</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Soprano::Model *</type>
      <name>mainModel</name>
      <anchorfile>classNepomuk_1_1Service.html</anchorfile>
      <anchor>a5c75540a983d33f64fb66c97bfebcb79</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setServiceInitialized</name>
      <anchorfile>classNepomuk_1_1Service.html</anchorfile>
      <anchor>a9b17a334e8126b89f1caa88cc39f2cbf</anchor>
      <arglist>(bool success)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Nepomuk::Tag</name>
    <filename>classNepomuk_1_1Tag.html</filename>
    <base>Nepomuk::Resource</base>
    <member kind="function">
      <type>Tag &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Tag.html</anchorfile>
      <anchor>a454d8778597b67b369198cb0e1a55a47</anchor>
      <arglist>(const Tag &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Tag</name>
      <anchorfile>classNepomuk_1_1Tag.html</anchorfile>
      <anchor>a7c6358598b884685947e91fa23aa5ae4</anchor>
      <arglist>(const QUrl &amp;uri, ResourceManager *manager)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Tag</name>
      <anchorfile>classNepomuk_1_1Tag.html</anchorfile>
      <anchor>ae44ad483c5473f62c18d5222213edffe</anchor>
      <arglist>(const QUrl &amp;uri)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Tag</name>
      <anchorfile>classNepomuk_1_1Tag.html</anchorfile>
      <anchor>a4bd17d5c23eacdfd3eec069333152598</anchor>
      <arglist>(const QString &amp;uriOrIdentifier, ResourceManager *manager)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Tag</name>
      <anchorfile>classNepomuk_1_1Tag.html</anchorfile>
      <anchor>a5662152b1a5e65ff23dff7cc21c73b7f</anchor>
      <arglist>(const QString &amp;uriOrIdentifier)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Tag</name>
      <anchorfile>classNepomuk_1_1Tag.html</anchorfile>
      <anchor>a1a729056fec2be86d590ea1dae73b210</anchor>
      <arglist>(const Resource &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Tag</name>
      <anchorfile>classNepomuk_1_1Tag.html</anchorfile>
      <anchor>adaa67e614e790610293535e902a7cf51</anchor>
      <arglist>(const Tag &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Tag</name>
      <anchorfile>classNepomuk_1_1Tag.html</anchorfile>
      <anchor>ad091f2976e35ce2f8a07640c5de1e142</anchor>
      <arglist>(ResourceManager *manager)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Tag</name>
      <anchorfile>classNepomuk_1_1Tag.html</anchorfile>
      <anchor>a6aa23b82a841f27c536224917a035dd9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Resource &gt;</type>
      <name>tagOf</name>
      <anchorfile>classNepomuk_1_1Tag.html</anchorfile>
      <anchor>a45fe4cd5cde1b7534d92c73491256d43</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Tag</name>
      <anchorfile>classNepomuk_1_1Tag.html</anchorfile>
      <anchor>a1ad133670f8233d73ff950dc1753abba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QList&lt; Tag &gt;</type>
      <name>allTags</name>
      <anchorfile>classNepomuk_1_1Tag.html</anchorfile>
      <anchor>a4e08b1ea0cf86d6ae250af52bea630dc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>resourceTypeUri</name>
      <anchorfile>classNepomuk_1_1Tag.html</anchorfile>
      <anchor>a90ae6dd8ec72b6a0593be3d68e7dd4b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Tag</name>
      <anchorfile>classNepomuk_1_1Tag.html</anchorfile>
      <anchor>ac334e1f1df008b68f5a74e61a92b61c3</anchor>
      <arglist>(const QUrl &amp;uri, const QUrl &amp;type, ResourceManager *manager)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Tag</name>
      <anchorfile>classNepomuk_1_1Tag.html</anchorfile>
      <anchor>a733f89f8ddbc7ee917013eaf28a7602c</anchor>
      <arglist>(const QString &amp;uri, const QUrl &amp;type, ResourceManager *manager)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Tag</name>
      <anchorfile>classNepomuk_1_1Tag.html</anchorfile>
      <anchor>a6aceae622520c7e6494dac81ddae09d4</anchor>
      <arglist>(const QUrl &amp;uri, const QUrl &amp;type)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Tag</name>
      <anchorfile>classNepomuk_1_1Tag.html</anchorfile>
      <anchor>a41599fc080d59652acf6d636d52a378c</anchor>
      <arglist>(const QString &amp;uri, const QUrl &amp;type)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Nepomuk::TagCloud</name>
    <filename>classNepomuk_1_1TagCloud.html</filename>
    <base>KTagCloudWidget</base>
    <member kind="slot">
      <type>void</type>
      <name>setAutoUpdate</name>
      <anchorfile>classNepomuk_1_1TagCloud.html</anchorfile>
      <anchor>a5daaefa83245880be66caadb6a873c14</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateTags</name>
      <anchorfile>classNepomuk_1_1TagCloud.html</anchorfile>
      <anchor>a5566d993428c8f088b83518813cd764e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>tagClicked</name>
      <anchorfile>classNepomuk_1_1TagCloud.html</anchorfile>
      <anchor>ac558183292a6e0f3ebd1fb0df7c682df</anchor>
      <arglist>(Tag)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>autoUpdate</name>
      <anchorfile>classNepomuk_1_1TagCloud.html</anchorfile>
      <anchor>ab8142f78c694068210b7e4ec77c1f8ad</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TagCloud</name>
      <anchorfile>classNepomuk_1_1TagCloud.html</anchorfile>
      <anchor>a320d0b4a5f6e6dcac974256dfa308be8</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TagCloud</name>
      <anchorfile>classNepomuk_1_1TagCloud.html</anchorfile>
      <anchor>a6b9df1a3026255c0bcc7d7db2488c3d9</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Nepomuk::TagWidget</name>
    <filename>classNepomuk_1_1TagWidget.html</filename>
    <base>QWidget</base>
    <member kind="slot">
      <type>void</type>
      <name>setAssignedTags</name>
      <anchorfile>classNepomuk_1_1TagWidget.html</anchorfile>
      <anchor>a5f5f536e5d59a88d9968d6c91df80562</anchor>
      <arglist>(const QList&lt; Tag &gt; &amp;tags)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setTaggedResource</name>
      <anchorfile>classNepomuk_1_1TagWidget.html</anchorfile>
      <anchor>a6d658244e575ea57958d43953e9def5f</anchor>
      <arglist>(const Resource &amp;resource)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setTaggedResources</name>
      <anchorfile>classNepomuk_1_1TagWidget.html</anchorfile>
      <anchor>a9c30e20e6785cc339fffbd4acd30e04c</anchor>
      <arglist>(const QList&lt; Resource &gt; &amp;resources)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>tagClicked</name>
      <anchorfile>classNepomuk_1_1TagWidget.html</anchorfile>
      <anchor>a65e853623ad55ca4c74337aa3f5926b5</anchor>
      <arglist>(Tag)</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Tag &gt;</type>
      <name>assignedTags</name>
      <anchorfile>classNepomuk_1_1TagWidget.html</anchorfile>
      <anchor>a5b2bc269a7c841e707d2fd024b3ec6b9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Resource &gt;</type>
      <name>taggedResources</name>
      <anchorfile>classNepomuk_1_1TagWidget.html</anchorfile>
      <anchor>a13e1885e452f68a0d0ef57c2eb1b36a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TagWidget</name>
      <anchorfile>classNepomuk_1_1TagWidget.html</anchorfile>
      <anchor>a593a0ebca9539fae4a6a0a373642ba4d</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TagWidget</name>
      <anchorfile>classNepomuk_1_1TagWidget.html</anchorfile>
      <anchor>aab78a2bd1bd21cff8ac05f145493b174</anchor>
      <arglist>(const Resource &amp;resource, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TagWidget</name>
      <anchorfile>classNepomuk_1_1TagWidget.html</anchorfile>
      <anchor>a31f860f27f20519496f32a1438af890d</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Nepomuk::Thing</name>
    <filename>classNepomuk_1_1Thing.html</filename>
    <base>Nepomuk::Resource</base>
    <member kind="function">
      <type>QList&lt; Resource &gt;</type>
      <name>groundingOccurrences</name>
      <anchorfile>classNepomuk_1_1Thing.html</anchorfile>
      <anchor>a694c60ad24c9028ea3b51d8d04964034</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Resource &gt;</type>
      <name>occurrences</name>
      <anchorfile>classNepomuk_1_1Thing.html</anchorfile>
      <anchor>a110c2ca80e7b81fbb4f9505d7cd89bec</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Thing &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Thing.html</anchorfile>
      <anchor>ac458d19446c3af7ccb24feb370de8dfc</anchor>
      <arglist>(const QUrl &amp;res)</arglist>
    </member>
    <member kind="function">
      <type>Thing &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Thing.html</anchorfile>
      <anchor>aa5cc5671f1614c7cccb176bc7412e20f</anchor>
      <arglist>(const Resource &amp;res)</arglist>
    </member>
    <member kind="function">
      <type>Thing &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Thing.html</anchorfile>
      <anchor>a755c9032e292413791b64d47b44f5d92</anchor>
      <arglist>(const Thing &amp;res)</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Resource &gt;</type>
      <name>referencingOccurrences</name>
      <anchorfile>classNepomuk_1_1Thing.html</anchorfile>
      <anchor>a728ef5bc9d537d596439dbc822914147</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Thing</name>
      <anchorfile>classNepomuk_1_1Thing.html</anchorfile>
      <anchor>a6151001e161e7c5db653dd2a297ffc91</anchor>
      <arglist>(ResourceData *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Thing</name>
      <anchorfile>classNepomuk_1_1Thing.html</anchorfile>
      <anchor>abb04695ff1852265aebd8fcc1046d3e0</anchor>
      <arglist>(const Resource &amp;other)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Thing</name>
      <anchorfile>classNepomuk_1_1Thing.html</anchorfile>
      <anchor>a822415033d5be604404a06cabca9b89a</anchor>
      <arglist>(const Thing &amp;other)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Thing</name>
      <anchorfile>classNepomuk_1_1Thing.html</anchorfile>
      <anchor>af7308a650bb033f6f8c0ba3b0bb2b50d</anchor>
      <arglist>(const QString &amp;uriOrName, const QUrl &amp;pimoType, ResourceManager *manager)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Thing</name>
      <anchorfile>classNepomuk_1_1Thing.html</anchorfile>
      <anchor>a91e5fe233d17df665a9d0fc3d990d9d4</anchor>
      <arglist>(const QString &amp;uriOrName, const QUrl &amp;pimoType=QUrl())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Thing</name>
      <anchorfile>classNepomuk_1_1Thing.html</anchorfile>
      <anchor>ad8db4f9c9572d2a423cd71b4816aa41e</anchor>
      <arglist>(const QUrl &amp;uri, const QUrl &amp;pimoType, ResourceManager *manager)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Thing</name>
      <anchorfile>classNepomuk_1_1Thing.html</anchorfile>
      <anchor>a3ba0ca7d86c8c0c19a8e9e296b358ff3</anchor>
      <arglist>(const QUrl &amp;uri=QUrl(), const QUrl &amp;pimoType=QUrl())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Thing</name>
      <anchorfile>classNepomuk_1_1Thing.html</anchorfile>
      <anchor>a691493a4e96d36db7caab77042c217be</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Nepomuk::Variant</name>
    <filename>classNepomuk_1_1Variant.html</filename>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a0cd11631a4dccc4c6927751770c7a40c</anchor>
      <arglist>(const Variant &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a61acbbc07c4a62ab5d87f23dec4059e3</anchor>
      <arglist>(const Resource &amp;r)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>ae41d0e4a868fef62dda06fa7fa9be29c</anchor>
      <arglist>(const QUrl &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a01bd2af16dbafc6645a0a40c94fd84c2</anchor>
      <arglist>(const QDateTime &amp;datetime)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>af87fcd6900effa1613e146fc01de217a</anchor>
      <arglist>(const QTime &amp;time)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>ad3f8b1823aaa8fd6635a1f4f449a7dcb</anchor>
      <arglist>(const QDate &amp;date)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>ab24b841d701de7bce77174bd58dd7b51</anchor>
      <arglist>(const QString &amp;string)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>adb1f1cf0228008255fd4a558f136fe4a</anchor>
      <arglist>(double d)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a85d615704d2cac3ad0a2ab93a38a43df</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>ac01bfe82dd2bc407e3c2163b722b42d6</anchor>
      <arglist>(qulonglong i)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>ae39a68e4b89919c83c96bd08ca278343</anchor>
      <arglist>(uint i)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>af79a95b82843bd5cf65584e25e9a3266</anchor>
      <arglist>(qlonglong i)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a4319ea640d58e593b4ff7eec22f66e2e</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isBool</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a3829e35c55a7bf9ec07aea1a2c21848e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isBoolList</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>ac64c71e6673fb2f846e5e9c61c467d5a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDate</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>ad358e42e43e965d2908279cd59aeebdd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDateList</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>aed526202215bc3d49684d535cb949b47</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDateTime</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>aeaebb929a02440cd9a5a36e66497e437</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDateTimeList</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>aa54775de7ee897fba6852e37ebb24bae</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDouble</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a8ee4be24aad589bc9f2b7f277e079438</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDoubleList</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a91eba950e74241237aaf44591d2a4679</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isInt</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a0d9ce14914ab901a7ef9fc9cb74b56f8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isInt64</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>ad28a25497ff4f54f0c47f99a98c40bdf</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isInt64List</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a6f12cee12b49a1f3f4d16dc00f61b525</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isIntList</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>adac0b30748c282cd2a409d329bee6c8b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isList</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>af231ab0c497c0be3956d4811c7c382b1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isResource</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>ae86d29edbaa7fe98e86514621b7f1932</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isResourceList</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>adb06a70e8a7237651267214ab7e54c8c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isString</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>ade32343b4d49a0937a230c66965a0f35</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isStringList</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>aa3d6299e092eedc670269ae9df65830e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isTime</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>abb53572cb7ca368d250afd69839e78bc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isTimeList</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a811567b28b2e0ea1fde61611ba4cfff5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isUnsignedInt</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a9c0d7315fd82da93aed1c8cf5e747a1e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isUnsignedInt64</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a7b54b9dd159fc1ce00a4641fa66d522c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isUnsignedInt64List</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a41d550e3decffb94b4df356f1299abc3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isUnsignedIntList</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>ac3f3b46d8804a999f8ea83fb07c7daa9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isUrl</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a1b7fdde2479b664b52b4b4808d5b7af9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isUrlList</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a25337bc68a4e569c112e917d309bfd3a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a2a0afba9344fdd0938534aa3359fb1fb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a7ee2c0f639904e8150f90fca14a4bb48</anchor>
      <arglist>(const Variant &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>Variant &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a2fa0b948877e483899e7f060554abe24</anchor>
      <arglist>(const QList&lt; Resource &gt; &amp;r)</arglist>
    </member>
    <member kind="function">
      <type>Variant &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a9834444b38e318656df7b2ed36a1fbd3</anchor>
      <arglist>(const QList&lt; QUrl &gt; &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>Variant &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>ae39a6e1d0b096d3bc21a21fd8db04f26</anchor>
      <arglist>(const QList&lt; QDateTime &gt; &amp;datetime)</arglist>
    </member>
    <member kind="function">
      <type>Variant &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a32653141d9f0f9bc5f8a87b4950cd896</anchor>
      <arglist>(const QList&lt; QTime &gt; &amp;time)</arglist>
    </member>
    <member kind="function">
      <type>Variant &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a973f360775840ffe20ced42649f28df7</anchor>
      <arglist>(const QList&lt; QDate &gt; &amp;date)</arglist>
    </member>
    <member kind="function">
      <type>Variant &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>ae00376ce6d0e119d0df05d4bfc0c0548</anchor>
      <arglist>(const QStringList &amp;stringlist)</arglist>
    </member>
    <member kind="function">
      <type>Variant &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a1779ea5dee8fe407190a2da8c993a605</anchor>
      <arglist>(const QList&lt; double &gt; &amp;d)</arglist>
    </member>
    <member kind="function">
      <type>Variant &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a6d5898dfc10e1c3c51378110f8d7c7f3</anchor>
      <arglist>(const QList&lt; bool &gt; &amp;b)</arglist>
    </member>
    <member kind="function">
      <type>Variant &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a94287e92fe8fa12ff45f8d777b0d8a25</anchor>
      <arglist>(const QList&lt; qulonglong &gt; &amp;i)</arglist>
    </member>
    <member kind="function">
      <type>Variant &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a57077b25a1f35d4269643a95afa68f7e</anchor>
      <arglist>(const QList&lt; uint &gt; &amp;i)</arglist>
    </member>
    <member kind="function">
      <type>Variant &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a0c7989eee78b0c77bf582c432b1a3ab8</anchor>
      <arglist>(const QList&lt; qlonglong &gt; &amp;i)</arglist>
    </member>
    <member kind="function">
      <type>Variant &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>af899f2c5b35524d01f717b6f9117da7c</anchor>
      <arglist>(const QList&lt; int &gt; &amp;i)</arglist>
    </member>
    <member kind="function">
      <type>Variant &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>af2f106c3da7f5bf9b6653162ea605e3a</anchor>
      <arglist>(const Resource &amp;r)</arglist>
    </member>
    <member kind="function">
      <type>Variant &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a78eb735519573590612a18b4b5f4b15c</anchor>
      <arglist>(const QUrl &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>Variant &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>af239998f3278b44b64f53d7373101e61</anchor>
      <arglist>(const QDateTime &amp;datetime)</arglist>
    </member>
    <member kind="function">
      <type>Variant &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a473861f849bc4cda92ccbf7a388cd2dd</anchor>
      <arglist>(const QTime &amp;time)</arglist>
    </member>
    <member kind="function">
      <type>Variant &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a6ffee1db643345bef88c58e7464fa43f</anchor>
      <arglist>(const QDate &amp;date)</arglist>
    </member>
    <member kind="function">
      <type>Variant &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>ad4034da18bd8420a46d9372230cf5aa6</anchor>
      <arglist>(const QString &amp;string)</arglist>
    </member>
    <member kind="function">
      <type>Variant &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a76a39e8f0aec46797fb1007c203bd94d</anchor>
      <arglist>(double d)</arglist>
    </member>
    <member kind="function">
      <type>Variant &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>ac3d602f9a86babc5d31b77887ec6e10b</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>Variant &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a614b22edda1d0c647b08d41594decc78</anchor>
      <arglist>(qulonglong i)</arglist>
    </member>
    <member kind="function">
      <type>Variant &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a4b8c9377728eefd4a45b71e85f5f158d</anchor>
      <arglist>(uint i)</arglist>
    </member>
    <member kind="function">
      <type>Variant &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>ac90376c3c509c0d1682562a7bf98750d</anchor>
      <arglist>(qlonglong i)</arglist>
    </member>
    <member kind="function">
      <type>Variant &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>ab82c8b1bb52f63b4dce01ac15b57da53</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function">
      <type>Variant &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a43cf6cbb5b131ddd622bcb1f52e1f94e</anchor>
      <arglist>(const Variant &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a1b91f1d47e847d7cf804be9fbec8a033</anchor>
      <arglist>(const Variant &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>simpleType</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a96779a69d1f44f4c652f6ec0a0c1eb0c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>toBool</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a6837af23dc525219f1351fbc19989262</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; bool &gt;</type>
      <name>toBoolList</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>aac29a183fd6300f3b724e390ccbe85ba</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>toDate</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a57eade5ecffa092b1cdccf665cc83c16</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; QDate &gt;</type>
      <name>toDateList</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a73930266b6d2f19907f4afc6246e830f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>toDateTime</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>adc25593e9b32cc25df87a98a686f89d8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; QDateTime &gt;</type>
      <name>toDateTimeList</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>af1cf50befbaf09d2c3a1b156c96f2e4e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>toDouble</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a3d9e709cf2afadfba569cebcfbd02852</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; double &gt;</type>
      <name>toDoubleList</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a2ff788e22c2619bd87798c30e58918b0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>toInt</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>ac7bf8ff7fdf763b432e17aee07e94ba5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>qlonglong</type>
      <name>toInt64</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a63377b3aa0d33a95725f183ddd588c7e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; qlonglong &gt;</type>
      <name>toInt64List</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a2f265b912df984cc73620394068a8ae2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; int &gt;</type>
      <name>toIntList</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>ac07680beb596f3c2a3cbdf7da666b2bd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Resource</type>
      <name>toResource</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>ab1bf7691046c772f3bf07865c8295740</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Resource &gt;</type>
      <name>toResourceList</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a06b9dcc66347c901f606c5b9df5cf9f5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>toString</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a69dc6300ea9fb25667fe30884e9338d6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>toStringList</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a7d20b760a114076abd972d2771160099</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QTime</type>
      <name>toTime</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a75c7d2f957a38c44a0d4199024ebd094</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; QTime &gt;</type>
      <name>toTimeList</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a6294d0add3ad8f4e39627a020f06be79</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>toUnsignedInt</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a4752f105c788cfca0af6b2d23f77ff35</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>qulonglong</type>
      <name>toUnsignedInt64</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a994ad82ddb846ded5016406c87b6cec9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; qulonglong &gt;</type>
      <name>toUnsignedInt64List</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a9a29c755925872762dad6bfc4180e5e9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; uint &gt;</type>
      <name>toUnsignedIntList</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a96f7c6c1d1bf3cf9981b4b88766e2afc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QUrl</type>
      <name>toUrl</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>ad06b93c1a68e11f5cae2593398d461f6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; QUrl &gt;</type>
      <name>toUrlList</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a0eb2a2f1a1110ecfcd08205c73349bd6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Variant &gt;</type>
      <name>toVariantList</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>ab608460edec80fbc7a7038b01113cdcb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>type</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a3420aff83c1f8fc9bd47d4edb28d8c57</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QVariant</type>
      <name>variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a67eca167c893dc06c4626750bc473630</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>abbcf24eb6708e247555dc6bcbb2f2ab2</anchor>
      <arglist>(const QList&lt; Variant &gt; &amp;vl)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>aef27382f6c1c9d6c0d141cbabed823a6</anchor>
      <arglist>(const QList&lt; Resource &gt; &amp;r)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a88ff2ac920a7b534f9b77481c4b4f825</anchor>
      <arglist>(const QList&lt; QUrl &gt; &amp;url)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a911e5e5956781433158bf65ba378a386</anchor>
      <arglist>(const QList&lt; QDateTime &gt; &amp;datetime)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>ad5aa3f1139d6db6021b4ae5b511b75f7</anchor>
      <arglist>(const QList&lt; QTime &gt; &amp;time)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a295a0e7488660598a742af7072477c7f</anchor>
      <arglist>(const QList&lt; QDate &gt; &amp;date)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>aca241c7a06946af09b019556156f0cb5</anchor>
      <arglist>(const QStringList &amp;stringlist)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a4d4db7f558ae2371c54a4337798e6335</anchor>
      <arglist>(const QList&lt; double &gt; &amp;d)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a5aebc42434d795c0c1a345433f13d926</anchor>
      <arglist>(const QList&lt; bool &gt; &amp;b)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a6ad5c1f800c599a55fbd030582327233</anchor>
      <arglist>(const QList&lt; qulonglong &gt; &amp;i)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>af438e46323c4187a0c49861a356ca2cc</anchor>
      <arglist>(const QList&lt; uint &gt; &amp;i)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>acce3e9b9099ac2412f4a27a1d71656f0</anchor>
      <arglist>(const QList&lt; qlonglong &gt; &amp;i)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>aa9a20bd019105d09951eef783af87aa5</anchor>
      <arglist>(const QList&lt; int &gt; &amp;i)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a41c59c9a20f5a9c8ca8ad56f3271c793</anchor>
      <arglist>(const Resource &amp;r)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>aaa44137b3ca0b23858f22ee38796ce7e</anchor>
      <arglist>(const QUrl &amp;url)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>ab451cad1e763f5d10d5ae171e850949f</anchor>
      <arglist>(const QDateTime &amp;datetime)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>adfa87b6e3767b5bdb740eb1f84dfe6dd</anchor>
      <arglist>(const QTime &amp;time)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a65878a38817fd3072f907b854ef5d77a</anchor>
      <arglist>(const QDate &amp;date)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a6658bce55b0d1be5ebc0ce462868005f</anchor>
      <arglist>(const QString &amp;string)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a80f029ce3202295d262f2cc42382a582</anchor>
      <arglist>(const char *string)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a12467356ca1545de68c2f4d3a391e976</anchor>
      <arglist>(double d)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a84e7065d510d085ca830282ee108f265</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a67f7080a4cad7c7d70b08282cc2ef100</anchor>
      <arglist>(qulonglong i)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>ad06f6a3ec0dfb2bb27b728bff6071d93</anchor>
      <arglist>(uint i)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a77eb1364e8d105ae864853bd2d2c8daf</anchor>
      <arglist>(qlonglong i)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a1166c9b2688ecd78ab2aadf73cd05df2</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a2dfe94e8b452773c9db69145f4e2c352</anchor>
      <arglist>(const QVariant &amp;other)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a9ee5d10d857030345a4b0b1536bfcb88</anchor>
      <arglist>(const Variant &amp;other)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>ab12009b541f82bdb3d569bcabde34bc5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Variant</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a2afc76e5b3f226394460369bad3787bf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Variant</type>
      <name>fromString</name>
      <anchorfile>classNepomuk_1_1Variant.html</anchorfile>
      <anchor>a57a1b6995e3082439c92dfbf386d7e23</anchor>
      <arglist>(const QString &amp;value, int type)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Nepomuk::Middleware</name>
    <filename>namespaceNepomuk_1_1Middleware.html</filename>
  </compound>
  <compound kind="namespace">
    <name>Nepomuk::Types</name>
    <filename>namespaceNepomuk_1_1Types.html</filename>
    <class kind="class">Nepomuk::Types::Class</class>
    <class kind="class">Nepomuk::Types::Entity</class>
    <class kind="class">Nepomuk::Types::Literal</class>
    <class kind="class">Nepomuk::Types::Ontology</class>
    <class kind="class">Nepomuk::Types::Property</class>
    <member kind="function">
      <type>uint</type>
      <name>qHash</name>
      <anchorfile>namespaceNepomuk_1_1Types.html</anchorfile>
      <anchor>a2f00db6fb4d708a4a7ca6d2cc60041a1</anchor>
      <arglist>(const Entity &amp;c)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Nepomuk::Types::Class</name>
    <filename>classNepomuk_1_1Types_1_1Class.html</filename>
    <base>Nepomuk::Types::Entity</base>
    <member kind="function">
      <type>QList&lt; Class &gt;</type>
      <name>allParentClasses</name>
      <anchorfile>classNepomuk_1_1Types_1_1Class.html</anchorfile>
      <anchor>a6a0cb6933b091cf1a95ce1d9e2881890</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Class &gt;</type>
      <name>allSubClasses</name>
      <anchorfile>classNepomuk_1_1Types_1_1Class.html</anchorfile>
      <anchor>a28015cb99d678780b4862dac49d86da3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Class</name>
      <anchorfile>classNepomuk_1_1Types_1_1Class.html</anchorfile>
      <anchor>a472fd2159f93ee7f71bfce8469c43c49</anchor>
      <arglist>(const Class &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Class</name>
      <anchorfile>classNepomuk_1_1Types_1_1Class.html</anchorfile>
      <anchor>a74b433031a289326cb158e4ba619bfcb</anchor>
      <arglist>(const QUrl &amp;uri)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Class</name>
      <anchorfile>classNepomuk_1_1Types_1_1Class.html</anchorfile>
      <anchor>af36ead5ba3f9d029c5dc10f05a96f690</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Property &gt;</type>
      <name>domainOf</name>
      <anchorfile>classNepomuk_1_1Types_1_1Class.html</anchorfile>
      <anchor>aa968fae5d652846e5a21f91d95cde14f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Property</type>
      <name>findPropertyByLabel</name>
      <anchorfile>classNepomuk_1_1Types_1_1Class.html</anchorfile>
      <anchor>a2956cdc1261d9b9116c2e09cf9af08f8</anchor>
      <arglist>(const QString &amp;label, const QString &amp;language=QString())</arglist>
    </member>
    <member kind="function">
      <type>Property</type>
      <name>findPropertyByName</name>
      <anchorfile>classNepomuk_1_1Types_1_1Class.html</anchorfile>
      <anchor>a2c4f0465849b5125708613c99adef766</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isParentOf</name>
      <anchorfile>classNepomuk_1_1Types_1_1Class.html</anchorfile>
      <anchor>a5cd8e9b8f03686ee721f6121c5a7874f</anchor>
      <arglist>(const Class &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSubClassOf</name>
      <anchorfile>classNepomuk_1_1Types_1_1Class.html</anchorfile>
      <anchor>a5385b575f7768861a49729f4f648ceaf</anchor>
      <arglist>(const Class &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>Class &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Types_1_1Class.html</anchorfile>
      <anchor>aea41b44120ef3a6c6c6519a2bbe78e78</anchor>
      <arglist>(const Class &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Class &gt;</type>
      <name>parentClasses</name>
      <anchorfile>classNepomuk_1_1Types_1_1Class.html</anchorfile>
      <anchor>a69839cfce7b02aa09d93139fcc813a39</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Property &gt;</type>
      <name>rangeOf</name>
      <anchorfile>classNepomuk_1_1Types_1_1Class.html</anchorfile>
      <anchor>a9aace228e65c3827639f22799354ab16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Class &gt;</type>
      <name>subClasses</name>
      <anchorfile>classNepomuk_1_1Types_1_1Class.html</anchorfile>
      <anchor>a12966fccc3668ee75064e1daaf268065</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Class</name>
      <anchorfile>classNepomuk_1_1Types_1_1Class.html</anchorfile>
      <anchor>a461260963279f303f0c295ee6e4b7b3c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Nepomuk::Types::Entity</name>
    <filename>classNepomuk_1_1Types_1_1Entity.html</filename>
    <member kind="function">
      <type>QString</type>
      <name>comment</name>
      <anchorfile>classNepomuk_1_1Types_1_1Entity.html</anchorfile>
      <anchor>a45a1717ec67685e3107c565916a30375</anchor>
      <arglist>(const QString &amp;language=KGlobal::locale()-&gt;language())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Entity</name>
      <anchorfile>classNepomuk_1_1Types_1_1Entity.html</anchorfile>
      <anchor>a7b7f2e559954f7af3e22d74f41839516</anchor>
      <arglist>(const Entity &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QIcon</type>
      <name>icon</name>
      <anchorfile>classNepomuk_1_1Types_1_1Entity.html</anchorfile>
      <anchor>a165193b3ea464c9b6ece1495afdfa959</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAvailable</name>
      <anchorfile>classNepomuk_1_1Types_1_1Entity.html</anchorfile>
      <anchor>aefc3f747edb4bb92bff5c078974eacb0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classNepomuk_1_1Types_1_1Entity.html</anchorfile>
      <anchor>a22b824cb49fd2779fd9328900a71b71d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>label</name>
      <anchorfile>classNepomuk_1_1Types_1_1Entity.html</anchorfile>
      <anchor>a769345d200feda3b28d11d20088857f6</anchor>
      <arglist>(const QString &amp;language=KGlobal::locale()-&gt;language())</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classNepomuk_1_1Types_1_1Entity.html</anchorfile>
      <anchor>ac60cd6a0471a654975f5792251b36dfa</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>operator QUrl</name>
      <anchorfile>classNepomuk_1_1Types_1_1Entity.html</anchorfile>
      <anchor>a736d93dc36d73b45e23505fdc9a178af</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classNepomuk_1_1Types_1_1Entity.html</anchorfile>
      <anchor>a82e7ae14da6aaa87cf34f83ec70e8db5</anchor>
      <arglist>(const Entity &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>Entity &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Types_1_1Entity.html</anchorfile>
      <anchor>aec0a3515b986569018c7f7a5cb26b3af</anchor>
      <arglist>(const Entity &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classNepomuk_1_1Types_1_1Entity.html</anchorfile>
      <anchor>a123c6dbb2ee5532b661952a266ea687d</anchor>
      <arglist>(const Entity &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchorfile>classNepomuk_1_1Types_1_1Entity.html</anchorfile>
      <anchor>a303371524b9516693a8a03bb234393a0</anchor>
      <arglist>(bool recursive=false)</arglist>
    </member>
    <member kind="function">
      <type>QUrl</type>
      <name>uri</name>
      <anchorfile>classNepomuk_1_1Types_1_1Entity.html</anchorfile>
      <anchor>a3548d92aa33cf8f0169ec1ff6fe0ff0f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Entity</name>
      <anchorfile>classNepomuk_1_1Types_1_1Entity.html</anchorfile>
      <anchor>ac25ebab3f54f0f43deccae974af43d8c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Entity</name>
      <anchorfile>classNepomuk_1_1Types_1_1Entity.html</anchorfile>
      <anchor>ad2c00415506207b29a6f85477818e4ed</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QExplicitlySharedDataPointer&lt; EntityPrivate &gt;</type>
      <name>d</name>
      <anchorfile>classNepomuk_1_1Types_1_1Entity.html</anchorfile>
      <anchor>ad9624b0d576c8383e3f2e77112beb7a3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Nepomuk::Types::Literal</name>
    <filename>classNepomuk_1_1Types_1_1Literal.html</filename>
    <member kind="function">
      <type>QVariant::Type</type>
      <name>dataType</name>
      <anchorfile>classNepomuk_1_1Types_1_1Literal.html</anchorfile>
      <anchor>ab591b2a865c36d5c769076bb5975f697</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QUrl</type>
      <name>dataTypeUri</name>
      <anchorfile>classNepomuk_1_1Types_1_1Literal.html</anchorfile>
      <anchor>a7f71814a1a7555681ae761ee6490cbe9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classNepomuk_1_1Types_1_1Literal.html</anchorfile>
      <anchor>a2a3b5942f54a8069f963e82974f9f9c6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Literal</name>
      <anchorfile>classNepomuk_1_1Types_1_1Literal.html</anchorfile>
      <anchor>a30a3d8e609716b2532507655c0316bff</anchor>
      <arglist>(const QUrl &amp;dataTypeUri)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Literal</name>
      <anchorfile>classNepomuk_1_1Types_1_1Literal.html</anchorfile>
      <anchor>af4f23420c90eb313adbe4e26cf3d8ef1</anchor>
      <arglist>(const Literal &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Literal</name>
      <anchorfile>classNepomuk_1_1Types_1_1Literal.html</anchorfile>
      <anchor>a3004eb962b4bc56211e92e211c43882d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Literal &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Types_1_1Literal.html</anchorfile>
      <anchor>a74351c5dc08434e60df24a04c653fb77</anchor>
      <arglist>(const Literal &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Literal</name>
      <anchorfile>classNepomuk_1_1Types_1_1Literal.html</anchorfile>
      <anchor>ad73d4cca27439199d4762baed7fadcee</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Nepomuk::Types::Ontology</name>
    <filename>classNepomuk_1_1Types_1_1Ontology.html</filename>
    <base>Nepomuk::Types::Entity</base>
    <member kind="function">
      <type>QList&lt; Class &gt;</type>
      <name>allClasses</name>
      <anchorfile>classNepomuk_1_1Types_1_1Ontology.html</anchorfile>
      <anchor>a5bddd194797ab40ade84138490b30ce6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Property &gt;</type>
      <name>allProperties</name>
      <anchorfile>classNepomuk_1_1Types_1_1Ontology.html</anchorfile>
      <anchor>a7d332d2d8efaed2deb97adae9a572b59</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Class</type>
      <name>findClassByLabel</name>
      <anchorfile>classNepomuk_1_1Types_1_1Ontology.html</anchorfile>
      <anchor>a667f31fe83b52c59bd8ac01868329459</anchor>
      <arglist>(const QString &amp;label, const QString &amp;language=QString())</arglist>
    </member>
    <member kind="function">
      <type>Class</type>
      <name>findClassByName</name>
      <anchorfile>classNepomuk_1_1Types_1_1Ontology.html</anchorfile>
      <anchor>ad1d4352ba0dc607d3ea5fc9ab5a65c6f</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>Property</type>
      <name>findPropertyByLabel</name>
      <anchorfile>classNepomuk_1_1Types_1_1Ontology.html</anchorfile>
      <anchor>a13167efae0785c1cd458b528376e752c</anchor>
      <arglist>(const QString &amp;label, const QString &amp;language=QString())</arglist>
    </member>
    <member kind="function">
      <type>Property</type>
      <name>findPropertyByName</name>
      <anchorfile>classNepomuk_1_1Types_1_1Ontology.html</anchorfile>
      <anchor>a4cdd89a4b508b386abfa98bea93eaa4c</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Ontology</name>
      <anchorfile>classNepomuk_1_1Types_1_1Ontology.html</anchorfile>
      <anchor>aba05dd6e099ccb6b9cf448f923671577</anchor>
      <arglist>(const Ontology &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Ontology</name>
      <anchorfile>classNepomuk_1_1Types_1_1Ontology.html</anchorfile>
      <anchor>ae8bfa662973257967483065dc83f1dd8</anchor>
      <arglist>(const QUrl &amp;uri)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Ontology</name>
      <anchorfile>classNepomuk_1_1Types_1_1Ontology.html</anchorfile>
      <anchor>a895a7532e3b6f7b355c5d6156913619c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Ontology &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Types_1_1Ontology.html</anchorfile>
      <anchor>ac15ab227c6a26502ecf93658dd7cd2c9</anchor>
      <arglist>(const Ontology &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Ontology</name>
      <anchorfile>classNepomuk_1_1Types_1_1Ontology.html</anchorfile>
      <anchor>a207e341b6a6f1999d9baf0ebc59a8c10</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Nepomuk::Types::Property</name>
    <filename>classNepomuk_1_1Types_1_1Property.html</filename>
    <base>Nepomuk::Types::Entity</base>
    <member kind="function">
      <type>int</type>
      <name>cardinality</name>
      <anchorfile>classNepomuk_1_1Types_1_1Property.html</anchorfile>
      <anchor>aa822ac26138e16e9092ec899105d826c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Class</type>
      <name>domain</name>
      <anchorfile>classNepomuk_1_1Types_1_1Property.html</anchorfile>
      <anchor>a6c0556321bb0d325c1492ad4eb3f2562</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Property</type>
      <name>inverseProperty</name>
      <anchorfile>classNepomuk_1_1Types_1_1Property.html</anchorfile>
      <anchor>a0be3401be82d7b79979b6fe2ab962680</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isParentOf</name>
      <anchorfile>classNepomuk_1_1Types_1_1Property.html</anchorfile>
      <anchor>a0300c2a8864d8e2f1efe8108d5105826</anchor>
      <arglist>(const Property &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSubPropertyOf</name>
      <anchorfile>classNepomuk_1_1Types_1_1Property.html</anchorfile>
      <anchor>af77096f65cf6702f3c30494ebfcee71d</anchor>
      <arglist>(const Property &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>Literal</type>
      <name>literalRangeType</name>
      <anchorfile>classNepomuk_1_1Types_1_1Property.html</anchorfile>
      <anchor>a163605f2d88fee3270508076d64a6d9d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxCardinality</name>
      <anchorfile>classNepomuk_1_1Types_1_1Property.html</anchorfile>
      <anchor>a350138813ae01266e2ac98320bf15614</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>minCardinality</name>
      <anchorfile>classNepomuk_1_1Types_1_1Property.html</anchorfile>
      <anchor>a31af2e7e733ca8e5b9c6e31566f50ed2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Property &amp;</type>
      <name>operator=</name>
      <anchorfile>classNepomuk_1_1Types_1_1Property.html</anchorfile>
      <anchor>ab792a27e050bbe6f5aa97d5618551dd4</anchor>
      <arglist>(const Property &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Property &gt;</type>
      <name>parentProperties</name>
      <anchorfile>classNepomuk_1_1Types_1_1Property.html</anchorfile>
      <anchor>afaf36b9b47b08e4427251d6edb53f70e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Property</name>
      <anchorfile>classNepomuk_1_1Types_1_1Property.html</anchorfile>
      <anchor>ab32b6773541b3bbd329215fe40732aff</anchor>
      <arglist>(const Property &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Property</name>
      <anchorfile>classNepomuk_1_1Types_1_1Property.html</anchorfile>
      <anchor>aec9a6441ff7bfb83569732bb2ae0c3b1</anchor>
      <arglist>(const QUrl &amp;uri)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Property</name>
      <anchorfile>classNepomuk_1_1Types_1_1Property.html</anchorfile>
      <anchor>ade73ad5b35d5a50ee3b3890ca9c5708d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Class</type>
      <name>range</name>
      <anchorfile>classNepomuk_1_1Types_1_1Property.html</anchorfile>
      <anchor>a8f7cd0cd8313dfe9985ef56c5b981215</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Property &gt;</type>
      <name>subProperties</name>
      <anchorfile>classNepomuk_1_1Types_1_1Property.html</anchorfile>
      <anchor>a3d57209cc8a05d21183a4cce3ce73ef1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Property</name>
      <anchorfile>classNepomuk_1_1Types_1_1Property.html</anchorfile>
      <anchor>a46ec1d562b9a658f5d8e59f84d8d807b</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Nepomuk::Vocabulary</name>
    <filename>namespaceNepomuk_1_1Vocabulary.html</filename>
    <namespace>Nepomuk::Vocabulary::NFO</namespace>
    <namespace>Nepomuk::Vocabulary::PIMO</namespace>
  </compound>
  <compound kind="namespace">
    <name>Nepomuk::Vocabulary::NFO</name>
    <filename>namespaceNepomuk_1_1Vocabulary_1_1NFO.html</filename>
    <member kind="function">
      <type>QUrl</type>
      <name>FileDataObject</name>
      <anchorfile>namespaceNepomuk_1_1Vocabulary_1_1NFO.html</anchorfile>
      <anchor>a6d194aba87b3c5f680176d4f5b938566</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QUrl</type>
      <name>fileName</name>
      <anchorfile>namespaceNepomuk_1_1Vocabulary_1_1NFO.html</anchorfile>
      <anchor>acff2247fc4d625d31f492fb76c0914ec</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QUrl</type>
      <name>nfoNamespace</name>
      <anchorfile>namespaceNepomuk_1_1Vocabulary_1_1NFO.html</anchorfile>
      <anchor>a5aa991a38009b8ce03d206fd5c7b5b82</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Nepomuk::Vocabulary::PIMO</name>
    <filename>namespaceNepomuk_1_1Vocabulary_1_1PIMO.html</filename>
    <member kind="function">
      <type>QUrl</type>
      <name>groundingOccurrence</name>
      <anchorfile>namespaceNepomuk_1_1Vocabulary_1_1PIMO.html</anchorfile>
      <anchor>a4bc9d97828c01307839c73aaf55e6886</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QUrl</type>
      <name>occurrence</name>
      <anchorfile>namespaceNepomuk_1_1Vocabulary_1_1PIMO.html</anchorfile>
      <anchor>aca14f5df7a45c3e65e881ccc558f90a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QUrl</type>
      <name>pimoNamespace</name>
      <anchorfile>namespaceNepomuk_1_1Vocabulary_1_1PIMO.html</anchorfile>
      <anchor>aed0bc25a73815cccd257a5e10910c7ec</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QUrl</type>
      <name>referencingOccurrence</name>
      <anchorfile>namespaceNepomuk_1_1Vocabulary_1_1PIMO.html</anchorfile>
      <anchor>a9b92d3d4318745cfcca250c06bf83ce3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QUrl</type>
      <name>Thing</name>
      <anchorfile>namespaceNepomuk_1_1Vocabulary_1_1PIMO.html</anchorfile>
      <anchor>ad2c67662d2be06870938e196e19512e4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Soprano</name>
    <filename>namespaceSoprano.html</filename>
  </compound>
</tagfile>
