<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>KIO Slaves</title>
    <filename>index</filename>
  </compound>
  <compound kind="file">
    <name>file.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kioslave/file/</path>
    <filename>file_8cpp</filename>
    <includes id="file_8h" name="file.h" local="yes" imported="no">file.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>MAX_IPC_SIZE</name>
      <anchorfile>file_8cpp.html</anchorfile>
      <anchor>ae7e4116d37732534e17c24eaa80f516f</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>QT_NO_CAST_FROM_ASCII</name>
      <anchorfile>file_8cpp.html</anchorfile>
      <anchor>a5dd5db8d38bad11e336ea45348a7863d</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>kdemain</name>
      <anchorfile>file_8cpp.html</anchorfile>
      <anchor>a79cb54de68afb10ea3fc33abe94ca29d</anchor>
      <arglist>(int argc, char **argv)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>testLogFile</name>
      <anchorfile>file_8cpp.html</anchorfile>
      <anchor>aa08e6225441657b8b5499c05a6692167</anchor>
      <arglist>(const QByteArray &amp;_filename)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>write_all</name>
      <anchorfile>file_8cpp.html</anchorfile>
      <anchor>a4f090ec8ba345291d1a3c0bef897108f</anchor>
      <arglist>(int fd, const char *buf, size_t len)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>file.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kioslave/file/</path>
    <filename>file_8h</filename>
    <includes id="kioslave__file__export_8h" name="kioslave_file_export.h" local="yes" imported="no">kioslave_file_export.h</includes>
    <class kind="class">FileProtocol</class>
  </compound>
  <compound kind="file">
    <name>file_unix.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kioslave/file/</path>
    <filename>file__unix_8cpp</filename>
    <includes id="file_8h" name="file.h" local="yes" imported="no">file.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>MAX_IPC_SIZE</name>
      <anchorfile>file__unix_8cpp.html</anchorfile>
      <anchor>ae7e4116d37732534e17c24eaa80f516f</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>QT_NO_CAST_FROM_ASCII</name>
      <anchorfile>file__unix_8cpp.html</anchorfile>
      <anchor>a5dd5db8d38bad11e336ea45348a7863d</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>same_inode</name>
      <anchorfile>file__unix_8cpp.html</anchorfile>
      <anchor>ab5f445afd25dc69d248182ac8b3beb1e</anchor>
      <arglist>(const KDE_struct_stat &amp;src, const KDE_struct_stat &amp;dest)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>write_all</name>
      <anchorfile>file__unix_8cpp.html</anchorfile>
      <anchor>a4f090ec8ba345291d1a3c0bef897108f</anchor>
      <arglist>(int fd, const char *buf, size_t len)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>file_win.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kioslave/file/</path>
    <filename>file__win_8cpp</filename>
    <includes id="file_8h" name="file.h" local="yes" imported="no">file.h</includes>
    <member kind="function" static="yes">
      <type>static DWORD CALLBACK</type>
      <name>CopyProgressRoutine</name>
      <anchorfile>file__win_8cpp.html</anchorfile>
      <anchor>a155483256a56d956a84cb98d7de6a5a9</anchor>
      <arglist>(LARGE_INTEGER TotalFileSize, LARGE_INTEGER TotalBytesTransferred, LARGE_INTEGER StreamSize, LARGE_INTEGER StreamBytesTransferred, DWORD dwStreamNumber, DWORD dwCallbackReason, HANDLE hSourceFile, HANDLE hDestinationFile, LPVOID lpData)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static UDSEntry</type>
      <name>createUDSEntryWin</name>
      <anchorfile>file__win_8cpp.html</anchorfile>
      <anchor>ac0aa2ea5370e2042b5be036f4f26147a</anchor>
      <arglist>(const QFileInfo &amp;fileInfo)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>ftp.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kioslave/ftp/</path>
    <filename>ftp_8cpp</filename>
    <includes id="ftp_8h" name="ftp.h" local="yes" imported="no">ftp.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>charToLongLong</name>
      <anchorfile>ftp_8cpp.html</anchorfile>
      <anchor>aeaabc3d14fb4fd5b9099fdbcbfe86e25</anchor>
      <arglist>(a)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ENABLE_CAN_RESUME</name>
      <anchorfile>ftp_8cpp.html</anchorfile>
      <anchor>a1fce106de2f8b387b04491555b9af5e9</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>FTP_LOGIN</name>
      <anchorfile>ftp_8cpp.html</anchorfile>
      <anchor>a31bbe8057b5fc275901146ee809fa9cf</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>FTP_PASSWD</name>
      <anchorfile>ftp_8cpp.html</anchorfile>
      <anchor>a4d769941b6d4fbc29ad6364bb7631e81</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KIO_FTP_PRIVATE_INCLUDE</name>
      <anchorfile>ftp_8cpp.html</anchorfile>
      <anchor>a33b419e1288f19eaa94f95bf6dc2d79f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>maximumIpcSize</name>
      <anchorfile>namespaceKIO.html</anchorfile>
      <anchor>ace3e7d3f8f1c9694500cc47b0b21582ea46051fb5ecae605936ec73561c649f04</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>initialIpcSize</name>
      <anchorfile>namespaceKIO.html</anchorfile>
      <anchor>ace3e7d3f8f1c9694500cc47b0b21582ea8d14ade607142551814f19d90ae164dc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mimimumMimeSize</name>
      <anchorfile>namespaceKIO.html</anchorfile>
      <anchor>ace3e7d3f8f1c9694500cc47b0b21582ea89ff0a55df8754fb7f0d09047cf617aa</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>kdemain</name>
      <anchorfile>ftp_8cpp.html</anchorfile>
      <anchor>a79cb54de68afb10ea3fc33abe94ca29d</anchor>
      <arglist>(int argc, char **argv)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>WriteToFile</name>
      <anchorfile>namespaceKIO.html</anchorfile>
      <anchor>a9de3a623354312bacef4bd7d2840add3</anchor>
      <arglist>(int fd, const char *buf, size_t len)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>ftp.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kioslave/ftp/</path>
    <filename>ftp_8h</filename>
    <class kind="class">Ftp</class>
    <class kind="struct">FtpEntry</class>
  </compound>
  <compound kind="file">
    <name>http.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kioslave/http/</path>
    <filename>http_8cpp</filename>
    <includes id="http_8h" name="http.h" local="yes" imported="no">http.h</includes>
    <includes id="parsinghelpers_8cpp" name="parsinghelpers.cpp" local="yes" imported="no">parsinghelpers.cpp</includes>
    <includes id="httpauthentication_8cpp" name="httpauthentication.cpp" local="yes" imported="no">httpauthentication.cpp</includes>
    <member kind="define">
      <type>#define</type>
      <name>NO_SIZE</name>
      <anchorfile>http_8cpp.html</anchorfile>
      <anchor>a37860d98da64e1caef532c21c0754d48</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>STRTOLL</name>
      <anchorfile>http_8cpp.html</anchorfile>
      <anchor>a54480074bc6e6355a1b21ba8880caaa1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>extractMaybeQuotedUntil</name>
      <anchorfile>http_8cpp.html</anchorfile>
      <anchor>a7a4f00732cf1412276720546b6254ac6</anchor>
      <arglist>(const QString &amp;str, unsigned char term, int &amp;pos)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>extractUntil</name>
      <anchorfile>http_8cpp.html</anchorfile>
      <anchor>a70665948a7d06ce48dc611eaf8b9e6bc</anchor>
      <arglist>(const QString &amp;str, unsigned char term, int &amp;pos)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>htmlEscape</name>
      <anchorfile>http_8cpp.html</anchorfile>
      <anchor>ace96eb779a8e8707ead91393dfaddd17</anchor>
      <arglist>(const QString &amp;plain)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>isCrossDomainRequest</name>
      <anchorfile>http_8cpp.html</anchorfile>
      <anchor>a96473d2a29d467371b971840bbbe2688</anchor>
      <arglist>(const QString &amp;fqdn, const QString &amp;originURL)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>isEncryptedHttpVariety</name>
      <anchorfile>http_8cpp.html</anchorfile>
      <anchor>ac4a00894cb33caf4d91663edcd609361</anchor>
      <arglist>(const QString &amp;p)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>isHttpProxy</name>
      <anchorfile>http_8cpp.html</anchorfile>
      <anchor>af74701cfdb47f335ed8a17eccfd010d2</anchor>
      <arglist>(const KUrl &amp;u)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>isValidProxy</name>
      <anchorfile>http_8cpp.html</anchorfile>
      <anchor>a21aaa96fa238ea9681f2caea058d7e84</anchor>
      <arglist>(const KUrl &amp;u)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>kdemain</name>
      <anchorfile>http_8cpp.html</anchorfile>
      <anchor>a79cb54de68afb10ea3fc33abe94ca29d</anchor>
      <arglist>(int argc, char **argv)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>methodString</name>
      <anchorfile>http_8cpp.html</anchorfile>
      <anchor>a174177919626e64e7d37943d8ecf329f</anchor>
      <arglist>(HTTP_METHOD m)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>sanitizeCustomHTTPHeader</name>
      <anchorfile>http_8cpp.html</anchorfile>
      <anchor>a4693a0d881f62e30abc3f095810b3613</anchor>
      <arglist>(const QString &amp;_header)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>skipLWS</name>
      <anchorfile>http_8cpp.html</anchorfile>
      <anchor>a710aa0a343e8c15183352115b80578a0</anchor>
      <arglist>(const QString &amp;str, int &amp;pos)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>http.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kioslave/http/</path>
    <filename>http_8h</filename>
    <includes id="parsinghelpers_8h" name="parsinghelpers.h" local="yes" imported="no">parsinghelpers.h</includes>
    <includes id="httpauthentication_8h" name="httpauthentication.h" local="yes" imported="no">httpauthentication.h</includes>
    <class kind="struct">HTTPProtocol::CacheTag</class>
    <class kind="struct">HTTPProtocol::DAVRequest</class>
    <class kind="class">HTTPProtocol</class>
    <class kind="struct">HTTPProtocol::HTTPRequest</class>
    <class kind="struct">HTTPProtocol::HTTPServerState</class>
  </compound>
  <compound kind="file">
    <name>http_cache_cleaner.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kioslave/http/</path>
    <filename>http__cache__cleaner_8cpp</filename>
    <member kind="define">
      <type>#define</type>
      <name>CACHE_REVISION</name>
      <anchorfile>http__cache__cleaner_8cpp.html</anchorfile>
      <anchor>a50ae648ed1a0a8b6804a2a812a19e5d6</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>kdemain</name>
      <anchorfile>http__cache__cleaner_8cpp.html</anchorfile>
      <anchor>a79cb54de68afb10ea3fc33abe94ca29d</anchor>
      <arglist>(int argc, char **argv)</arglist>
    </member>
    <member kind="function">
      <type>FileInfo *</type>
      <name>readEntry</name>
      <anchorfile>http__cache__cleaner_8cpp.html</anchorfile>
      <anchor>acd9da346d57fbae56c522745cb03e169</anchor>
      <arglist>(const QString &amp;filename)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>scanDirectory</name>
      <anchorfile>http__cache__cleaner_8cpp.html</anchorfile>
      <anchor>a9b08d8d964eb4d7c62df4999ef101267</anchor>
      <arglist>(FileInfoList &amp;fileEntries, const QString &amp;name, const QString &amp;strDir)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const char</type>
      <name>appFullName</name>
      <anchorfile>http__cache__cleaner_8cpp.html</anchorfile>
      <anchor>aac96a98489c73a149b4a40198422b7ae</anchor>
      <arglist>[]</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const char</type>
      <name>appName</name>
      <anchorfile>http__cache__cleaner_8cpp.html</anchorfile>
      <anchor>a3a4c8420c81c14819c08f26f44c48da4</anchor>
      <arglist>[]</arglist>
    </member>
    <member kind="variable">
      <type>time_t</type>
      <name>currentDate</name>
      <anchorfile>http__cache__cleaner_8cpp.html</anchorfile>
      <anchor>a34827a4c39b7fd12193bf3882a5aa7d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>m_maxCacheAge</name>
      <anchorfile>http__cache__cleaner_8cpp.html</anchorfile>
      <anchor>ac9866ffa2f50a07edd5823fd6656ac2e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>m_maxCacheSize</name>
      <anchorfile>http__cache__cleaner_8cpp.html</anchorfile>
      <anchor>abaeb87e119f434dcda77b21e8a0e5e6e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const char</type>
      <name>version</name>
      <anchorfile>http__cache__cleaner_8cpp.html</anchorfile>
      <anchor>ac91cf940e10a61b95cabc3258a06186b</anchor>
      <arglist>[]</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>httpauthentication.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kioslave/http/</path>
    <filename>httpauthentication_8cpp</filename>
    <includes id="httpauthentication_8h" name="httpauthentication.h" local="yes" imported="no">httpauthentication.h</includes>
    <member kind="function" static="yes">
      <type>static QByteArray</type>
      <name>calculateResponse</name>
      <anchorfile>httpauthentication_8cpp.html</anchorfile>
      <anchor>a566c5de9b6915d933df4a20d33362481</anchor>
      <arglist>(const DigestAuthInfo &amp;info, const KUrl &amp;resource)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QList&lt; QByteArray &gt;</type>
      <name>parseChallenge</name>
      <anchorfile>httpauthentication_8cpp.html</anchorfile>
      <anchor>a4c0a3ca515d5f5b85fe95971bc43d907</anchor>
      <arglist>(const QByteArray &amp;ba, QByteArray *scheme)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QByteArray</type>
      <name>valueForKey</name>
      <anchorfile>httpauthentication_8cpp.html</anchorfile>
      <anchor>a500cac4e232a3f39bdcf8d314c48c9fe</anchor>
      <arglist>(const QList&lt; QByteArray &gt; &amp;ba, const QByteArray &amp;key)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>httpauthentication.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kioslave/http/</path>
    <filename>httpauthentication_8h</filename>
    <class kind="class">KAbstractHttpAuthentication</class>
    <class kind="class">KHttpBasicAuthentication</class>
    <class kind="class">KHttpDigestAuthentication</class>
    <class kind="class">KHttpNtlmAuthentication</class>
  </compound>
  <compound kind="file">
    <name>kcookiejar.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kioslave/http/kcookiejar/</path>
    <filename>kcookiejar_8cpp</filename>
    <includes id="kcookiejar_8h" name="kcookiejar.h" local="yes" imported="no">kcookiejar.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>IP_ADDRESS_EXPRESSION</name>
      <anchorfile>kcookiejar_8cpp.html</anchorfile>
      <anchor>a77390ac596f450154c65fb83b9ab7d1a</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>MAX_COOKIES_PER_HOST</name>
      <anchorfile>kcookiejar_8cpp.html</anchorfile>
      <anchor>a66cd583b7ce02a9d6ad04ea94e38b734</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>QL1S</name>
      <anchorfile>kcookiejar_8cpp.html</anchorfile>
      <anchor>a494a67733a420247121b62cbce9782a3</anchor>
      <arglist>(x)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>READ_BUFFER_SIZE</name>
      <anchorfile>kcookiejar_8cpp.html</anchorfile>
      <anchor>a46167a977503a51eb6efe97e870568c3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>compareCookies</name>
      <anchorfile>kcookiejar_8cpp.html</anchorfile>
      <anchor>afa1c9870b1f94a56a5e4f1f0be0f4ce4</anchor>
      <arglist>(const KHttpCookie &amp;item1, const KHttpCookie &amp;item2)</arglist>
    </member>
    <member kind="function">
      <type>QDebug</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>kcookiejar_8cpp.html</anchorfile>
      <anchor>ac7777fed2dca7307be72d8092c4ac583</anchor>
      <arglist>(QDebug dbg, const KHttpCookieList &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>QDebug</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>kcookiejar_8cpp.html</anchorfile>
      <anchor>abdb3dbc855c36926853693ead57f7a45</anchor>
      <arglist>(QDebug dbg, const KHttpCookie &amp;cookie)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const char *</type>
      <name>parseField</name>
      <anchorfile>kcookiejar_8cpp.html</anchorfile>
      <anchor>ac089482f5998c83489f0e02047e36435</anchor>
      <arglist>(char *&amp;buffer, bool keepQuotes=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const char *</type>
      <name>parseNameValue</name>
      <anchorfile>kcookiejar_8cpp.html</anchorfile>
      <anchor>a29cd05932f67ed0221e10c4b866d2dd3</anchor>
      <arglist>(const char *header, QString &amp;Name, QString &amp;Value, bool keepQuotes=false, bool rfcQuotes=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>removeDuplicateFromList</name>
      <anchorfile>kcookiejar_8cpp.html</anchorfile>
      <anchor>a9c84695bbbe9bd666e34c8654e57353f</anchor>
      <arglist>(KHttpCookieList *list, KHttpCookie &amp;cookiePtr, bool nameMatchOnly=false, bool updateWindowId=false)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>kcookiejar.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kioslave/http/kcookiejar/</path>
    <filename>kcookiejar_8h</filename>
    <class kind="class">KCookieJar</class>
    <class kind="class">KHttpCookie</class>
    <class kind="class">KHttpCookieList</class>
    <member kind="typedef">
      <type>KHttpCookie *</type>
      <name>KHttpCookiePtr</name>
      <anchorfile>kcookiejar_8h.html</anchorfile>
      <anchor>a34017a8270b383c6fafbc842251495cc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>KCookieAdvice</name>
      <anchorfile>kcookiejar_8h.html</anchorfile>
      <anchor>af90e0f5f536288882c10ddca6d6de371</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>KCookieDunno</name>
      <anchorfile>kcookiejar_8h.html</anchorfile>
      <anchor>af90e0f5f536288882c10ddca6d6de371ae4d438141b180f870101df0661ecd05d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>KCookieAccept</name>
      <anchorfile>kcookiejar_8h.html</anchorfile>
      <anchor>af90e0f5f536288882c10ddca6d6de371aa2f0d0b6a74eb32c599debeec26ebf78</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>KCookieReject</name>
      <anchorfile>kcookiejar_8h.html</anchorfile>
      <anchor>af90e0f5f536288882c10ddca6d6de371aa9d975c8955f58a6137dee70abe864ea</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>KCookieAsk</name>
      <anchorfile>kcookiejar_8h.html</anchorfile>
      <anchor>af90e0f5f536288882c10ddca6d6de371a95c6e6ba8d01b15a41259d826aa76890</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>QDebug</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>kcookiejar_8h.html</anchorfile>
      <anchor>a3b470fb473a504b79a938e14fda52bd4</anchor>
      <arglist>(QDebug, const KHttpCookieList &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QDebug</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>kcookiejar_8h.html</anchorfile>
      <anchor>a49dd0b292ffb14efeb9cfea6837c45e7</anchor>
      <arglist>(QDebug, const KHttpCookie &amp;)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>kcookiejar_include.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kioslave/http/kcookiejar/</path>
    <filename>kcookiejar__include_8h</filename>
  </compound>
  <compound kind="file">
    <name>kcookieserver.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kioslave/http/kcookiejar/</path>
    <filename>kcookieserver_8cpp</filename>
    <includes id="kcookieserver_8h" name="kcookieserver.h" local="yes" imported="no">kcookieserver.h</includes>
    <includes id="kcookiejar_8h" name="kcookiejar.h" local="yes" imported="no">kcookiejar.h</includes>
    <includes id="kcookiewin_8h" name="kcookiewin.h" local="yes" imported="no">kcookiewin.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>SAVE_DELAY</name>
      <anchorfile>kcookieserver_8cpp.html</anchorfile>
      <anchor>a6f360ed0f4bb2421b5487fd95f0cb5a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>K_PLUGIN_FACTORY</name>
      <anchorfile>kcookieserver_8cpp.html</anchorfile>
      <anchor>a8c5c4ef114fcb575cc7e7c973ff49425</anchor>
      <arglist>(KdedCookieServerFactory, registerPlugin&lt; KCookieServer &gt;();) enum CookieDetails</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>kcookieserver.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kioslave/http/kcookiejar/</path>
    <filename>kcookieserver_8h</filename>
    <class kind="class">KCookieServer</class>
  </compound>
  <compound kind="file">
    <name>kcookiewin.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kioslave/http/kcookiejar/</path>
    <filename>kcookiewin_8cpp</filename>
    <includes id="kcookiewin_8h" name="kcookiewin.h" local="yes" imported="no">kcookiewin.h</includes>
    <includes id="kcookiejar_8h" name="kcookiejar.h" local="yes" imported="no">kcookiejar.h</includes>
  </compound>
  <compound kind="file">
    <name>kcookiewin.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kioslave/http/kcookiejar/</path>
    <filename>kcookiewin_8h</filename>
    <includes id="kcookiejar_8h" name="kcookiejar.h" local="yes" imported="no">kcookiejar.h</includes>
    <class kind="class">KCookieDetail</class>
    <class kind="class">KCookieWin</class>
  </compound>
  <compound kind="file">
    <name>kioslave_file_export.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kioslave/file/</path>
    <filename>kioslave__file__export_8h</filename>
    <member kind="define">
      <type>#define</type>
      <name>KIOSLAVE_FILE_EXPORT</name>
      <anchorfile>kioslave__file__export_8h.html</anchorfile>
      <anchor>aeea43dba75bc1fdd1115514eb1520491</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KIOSLAVE_FILE_EXPORT_DEPRECATED</name>
      <anchorfile>kioslave__file__export_8h.html</anchorfile>
      <anchor>ae922b657b53089110c6863fe1e51e3ee</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>main.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kioslave/http/kcookiejar/</path>
    <filename>main_8cpp</filename>
    <member kind="function">
      <type>int</type>
      <name>main</name>
      <anchorfile>main_8cpp.html</anchorfile>
      <anchor>a0ddf1224851353fc92bfbff6f499fa97</anchor>
      <arglist>(int argc, char *argv[])</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Mainpage.dox</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kioslave/</path>
    <filename>Mainpage_8dox</filename>
  </compound>
  <compound kind="file">
    <name>metainfo.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kioslave/metainfo/</path>
    <filename>metainfo_8cpp</filename>
    <includes id="metainfo_8h" name="metainfo.h" local="yes" imported="no">metainfo.h</includes>
    <member kind="function">
      <type>int</type>
      <name>kdemain</name>
      <anchorfile>metainfo_8cpp.html</anchorfile>
      <anchor>a79cb54de68afb10ea3fc33abe94ca29d</anchor>
      <arglist>(int argc, char **argv)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>metainfo.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kioslave/metainfo/</path>
    <filename>metainfo_8h</filename>
    <class kind="class">MetaInfoProtocol</class>
  </compound>
  <compound kind="file">
    <name>parsinghelpers.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kioslave/http/</path>
    <filename>parsinghelpers_8cpp</filename>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>consume</name>
      <anchorfile>parsinghelpers_8cpp.html</anchorfile>
      <anchor>a540e2451e608cc9f76c5373e5568478b</anchor>
      <arglist>(const char input[], int *pos, int end, const char *term)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>nextLine</name>
      <anchorfile>parsinghelpers_8cpp.html</anchorfile>
      <anchor>ae0ddbf774b8774a2d00f128945b05006</anchor>
      <arglist>(const char input[], int *pos, int end)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>skipNonSpace</name>
      <anchorfile>parsinghelpers_8cpp.html</anchorfile>
      <anchor>ad8ac430d892739d5147cd7f209d3c7b4</anchor>
      <arglist>(const char input[], int *pos, int end)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>skipSpace</name>
      <anchorfile>parsinghelpers_8cpp.html</anchorfile>
      <anchor>a4f2ccba88a58d620cbe0b2bd197bf0c8</anchor>
      <arglist>(const char input[], int *pos, int end)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>parsinghelpers.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.3.4/kioslave/http/</path>
    <filename>parsinghelpers_8h</filename>
    <class kind="struct">HeaderField</class>
    <class kind="class">HeaderTokenizer</class>
    <class kind="class">TokenIterator</class>
  </compound>
  <compound kind="class">
    <name>FileProtocol</name>
    <filename>classFileProtocol.html</filename>
    <base>QObject</base>
    <base>KIO::SlaveBase</base>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>chmod</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>acb42d54f5268b0dd1849615d9d9471fb</anchor>
      <arglist>(const KUrl &amp;url, int permissions)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>chown</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>a94210ca7a41747dcee5fdf55eefec25d</anchor>
      <arglist>(const KUrl &amp;url, const QString &amp;owner, const QString &amp;group)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>close</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>a488fd5c717242ca3b0bb5c389080c846</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>copy</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>a3e89e57c25b9bf2409cff99705f9994b</anchor>
      <arglist>(const KUrl &amp;src, const KUrl &amp;dest, int mode, KIO::JobFlags flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>del</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>a8894ebab1544192f1802e1f6742ab939</anchor>
      <arglist>(const KUrl &amp;url, bool isfile)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FileProtocol</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>aa5d933c86c61e3f01950a49e22410bf7</anchor>
      <arglist>(const QByteArray &amp;pool, const QByteArray &amp;app)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>get</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>a492b93bf835b2ed5fcbd8c7c60672ad9</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>listDir</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>a793bb3a1b87763b0f48bd4a8c7ceea44</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>mkdir</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>a0b1d750527d7e3f486c9bd6091fc4a77</anchor>
      <arglist>(const KUrl &amp;url, int permissions)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>mount</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>a82d725406ec3004f520bc071fb23bf3d</anchor>
      <arglist>(bool _ro, const char *_fstype, const QString &amp;dev, const QString &amp;point)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>open</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>ae43699bc049717c439d61794ca7f14c1</anchor>
      <arglist>(const KUrl &amp;url, QIODevice::OpenMode mode)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>pmount</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>a892d938c2ce39b2ce52ab99eff7f1755</anchor>
      <arglist>(const QString &amp;dev)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>pumount</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>a3a0de92efad40167a5cdbcfbde9bd7fa</anchor>
      <arglist>(const QString &amp;point)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>put</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>a26d1b1402e587f25ce54b5058d82eca1</anchor>
      <arglist>(const KUrl &amp;url, int _mode, KIO::JobFlags _flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>read</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>af85fd52210472c93998385b2c766af4e</anchor>
      <arglist>(KIO::filesize_t size)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>rename</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>a283d46fe2b5a4176625de703443fd69b</anchor>
      <arglist>(const KUrl &amp;src, const KUrl &amp;dest, KIO::JobFlags flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>seek</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>a5a2417e2bccb55f03bb66a5fc98ebf41</anchor>
      <arglist>(KIO::filesize_t offset)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setModificationTime</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>a93c59e495e74d8992cbab6fd69828a9e</anchor>
      <arglist>(const KUrl &amp;url, const QDateTime &amp;mtime)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>special</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>a2f74a94d70eb24fc32aad7ce0f732a81</anchor>
      <arglist>(const QByteArray &amp;data)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>stat</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>a9bee9051ea974bdcf98a09966a4b6e42</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>symlink</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>a0a4b3e4bf07e4385b5c16a1c28a87a9d</anchor>
      <arglist>(const QString &amp;target, const KUrl &amp;dest, KIO::JobFlags flags)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unmount</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>aee1e5d604f18464b02d609970d3d2960</anchor>
      <arglist>(const QString &amp;point)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>write</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>a1bc845b8805f7eca4f3461fadf6b4c4a</anchor>
      <arglist>(const QByteArray &amp;data)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~FileProtocol</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>a73c5db391c73cef425c5d9c96ac6258e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Ftp</name>
    <filename>classFtp.html</filename>
    <base>KIO::SlaveBase</base>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>chmod</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>a2f30e44ab6b3e944d9368494d79fa153</anchor>
      <arglist>(const KUrl &amp;url, int permissions)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>closeConnection</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>a7e55f38ad6a42b9eb949e36ee501b5cd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>copy</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>aa80aa1cdded34b279ac58f056f9de587</anchor>
      <arglist>(const KUrl &amp;src, const KUrl &amp;dest, int permissions, KIO::JobFlags flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>del</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>a2377832ee609492a668477570b858873</anchor>
      <arglist>(const KUrl &amp;url, bool isfile)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Ftp</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>ac18540c6bd65daa4e42edfe440045619</anchor>
      <arglist>(const QByteArray &amp;pool, const QByteArray &amp;app)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>get</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>acfc3c5b0cb26eec65978cee8b20f6cd9</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>listDir</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>a58dde307bc5570b4ed921e36fe7119b3</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>mkdir</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>a566b930086adb8b0d8807839ec643098</anchor>
      <arglist>(const KUrl &amp;url, int permissions)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>openConnection</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>ab7ea394034c93fe4bea9bcaf22734763</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>put</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>a349df58c62fc3cbded737f4ee599cb54</anchor>
      <arglist>(const KUrl &amp;url, int permissions, KIO::JobFlags flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>rename</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>a12c35fa87ba6316e92fd94dfb8b3bfb1</anchor>
      <arglist>(const KUrl &amp;src, const KUrl &amp;dst, KIO::JobFlags flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setHost</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>a364ff5127855ff03f4904604ef97fdcf</anchor>
      <arglist>(const QString &amp;host, quint16 port, const QString &amp;user, const QString &amp;pass)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>slave_status</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>af8b0975869578384e0db8ea70504e94d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>stat</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>af0aa590b33f5b2dcef93055e54f4d73b</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Ftp</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>a26fa8d19bfcc5d0471fd2444da36f8bc</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>FtpEntry</name>
    <filename>structFtpEntry.html</filename>
    <member kind="variable">
      <type>mode_t</type>
      <name>access</name>
      <anchorfile>structFtpEntry.html</anchorfile>
      <anchor>aae5278e22d7ab0e2d6aef16c2cb2e99d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>time_t</type>
      <name>date</name>
      <anchorfile>structFtpEntry.html</anchorfile>
      <anchor>a937b227a77917ec260b1e9ed093b6a1e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>group</name>
      <anchorfile>structFtpEntry.html</anchorfile>
      <anchor>a1bba157116d9fb036335469dda811e8c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>link</name>
      <anchorfile>structFtpEntry.html</anchorfile>
      <anchor>ab6efc0294c3978421a94b3ce02c53207</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>name</name>
      <anchorfile>structFtpEntry.html</anchorfile>
      <anchor>a208b1c90bbe38a1830dd4de1d1c2da46</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>owner</name>
      <anchorfile>structFtpEntry.html</anchorfile>
      <anchor>a0844ef3803c924bed0f8da8a19ad8f99</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KIO::filesize_t</type>
      <name>size</name>
      <anchorfile>structFtpEntry.html</anchorfile>
      <anchor>afc29a222665e5488295ec5af51a736d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>mode_t</type>
      <name>type</name>
      <anchorfile>structFtpEntry.html</anchorfile>
      <anchor>acae824b7637c0307862efb7444f435c8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>HeaderField</name>
    <filename>structHeaderField.html</filename>
    <member kind="function">
      <type></type>
      <name>HeaderField</name>
      <anchorfile>structHeaderField.html</anchorfile>
      <anchor>a9d2678efdd58429e8ef1507a2c484493</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>HeaderField</name>
      <anchorfile>structHeaderField.html</anchorfile>
      <anchor>a0e4d80de288aacf49650ea334159db3e</anchor>
      <arglist>(bool multiValued)</arglist>
    </member>
    <member kind="variable">
      <type>QList&lt; QPair&lt; int, int &gt; &gt;</type>
      <name>beginEnd</name>
      <anchorfile>structHeaderField.html</anchorfile>
      <anchor>a367353be032275047853934321e01d72</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>isMultiValued</name>
      <anchorfile>structHeaderField.html</anchorfile>
      <anchor>ad6bd841b9f9f2e44889852e71b3104fa</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>HeaderTokenizer</name>
    <filename>classHeaderTokenizer.html</filename>
    <base>QHash</base>
    <member kind="function">
      <type></type>
      <name>HeaderTokenizer</name>
      <anchorfile>classHeaderTokenizer.html</anchorfile>
      <anchor>a86a7b85bafa77270d4afacb59c685f7a</anchor>
      <arglist>(char *buffer)</arglist>
    </member>
    <member kind="function">
      <type>TokenIterator</type>
      <name>iterator</name>
      <anchorfile>classHeaderTokenizer.html</anchorfile>
      <anchor>a68c61ea17df49ddcd9c4d116fe49c324</anchor>
      <arglist>(const char *key)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>tokenize</name>
      <anchorfile>classHeaderTokenizer.html</anchorfile>
      <anchor>a0e5b18dcb51812a1903eb9646fa07520</anchor>
      <arglist>(int begin, int end)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>HTTPProtocol</name>
    <filename>classHTTPProtocol.html</filename>
    <base>QObject</base>
    <base>KIO::TCPSlaveBase</base>
    <class kind="struct">HTTPProtocol::CacheTag</class>
    <class kind="struct">HTTPProtocol::DAVRequest</class>
    <class kind="struct">HTTPProtocol::HTTPRequest</class>
    <class kind="struct">HTTPProtocol::HTTPServerState</class>
    <member kind="enumeration">
      <name>AUTH_SCHEME</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ae7cbb7a993c7937ced0cb2064996c45b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>AUTH_None</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ae7cbb7a993c7937ced0cb2064996c45ba3f5e1daa75294c419bca568fe08319f9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>AUTH_Basic</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ae7cbb7a993c7937ced0cb2064996c45ba2bc64dececcacfedb9a4e5bce4f08292</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>AUTH_NTLM</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ae7cbb7a993c7937ced0cb2064996c45ba359f046ef2ea8b7953fee5cb5f8e1202</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>AUTH_Digest</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ae7cbb7a993c7937ced0cb2064996c45ba64e7214c807bc8bac7d48c0dd5151369</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>AUTH_Negotiate</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ae7cbb7a993c7937ced0cb2064996c45ba82346655db9042c62d24c7012c5029b7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>HTTP_REV</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a9397d9e5deb3d47b444d07d6bcb9d70a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HTTP_None</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a9397d9e5deb3d47b444d07d6bcb9d70aab366ff69285ad9e2919ffe7d2b3ff838</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HTTP_Unknown</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a9397d9e5deb3d47b444d07d6bcb9d70aafc18dde7fbb49598f5439932af53156c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HTTP_10</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a9397d9e5deb3d47b444d07d6bcb9d70aae291385ea69527e4b044e8940944f329</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HTTP_11</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a9397d9e5deb3d47b444d07d6bcb9d70aa5b9699a0199bd27c0c74b865e8029b2d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SHOUTCAST</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a9397d9e5deb3d47b444d07d6bcb9d70aafe0cf5bc1adbe010c8f7e1eb773d10a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cacheUpdate</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a78a6cee7fb68ac61376cdcdad3755eb6</anchor>
      <arglist>(const KUrl &amp;url, bool nocache, time_t expireDate)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>closeConnection</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a7b763b0f9f9462c582406d86c68a1833</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>copy</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a495033a67e9a2385b8beebe828dbb42e</anchor>
      <arglist>(const KUrl &amp;src, const KUrl &amp;dest, int _permissions, KIO::JobFlags flags)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>davError</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a09e401d049d3efc989dac2f1b86734bc</anchor>
      <arglist>(int code=-1, const QString &amp;url=QString())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>davFinished</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>aac928dc562c13f08664ca0f4105d5b3c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>davGeneric</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>acae598729fe77005d3e06fb693b25b13</anchor>
      <arglist>(const KUrl &amp;url, KIO::HTTP_METHOD method)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>davHostOk</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>afa897ea335c911231f7194a7b4305725</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>davLock</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a40bf980988cfc09822e19e00a91f3e02</anchor>
      <arglist>(const KUrl &amp;url, const QString &amp;scope, const QString &amp;type, const QString &amp;owner)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>davUnlock</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a7b5debfcc1b2d995a254b3ae58bc676a</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>del</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a663ea46b2bdb9109e3900b53b320f644</anchor>
      <arglist>(const KUrl &amp;url, bool _isfile)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>get</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ab81d7cb8971900c1242613947af5b41c</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>httpError</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a7b721f349938047084415d5934850dd2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>HTTPProtocol</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a53e38bc988331f44b0a9cf2c9c4a7310</anchor>
      <arglist>(const QByteArray &amp;protocol, const QByteArray &amp;pool, const QByteArray &amp;app)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOffline</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a9e9ce4d1f06d6a833eb13650c0c81a3e</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>listDir</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a92ac278cb5e1f6bbaa3a138bc47d2112</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>maybeSetRequestUrl</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a042dc16e79020843cef842d6cd26665e</anchor>
      <arglist>(const KUrl &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>mimetype</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>aaa024004fc6a8f3f48fb7042b47d442d</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>mkdir</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ab5199c3bd9556914cbcf7fb62300edd6</anchor>
      <arglist>(const KUrl &amp;url, int _permissions)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>multiGet</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>aaea2eca6d7a9d5e8685d97f84ebe6bdb</anchor>
      <arglist>(const QByteArray &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>post</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a12c234749886e00f150bc8f84ac646c8</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>put</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a284fd4aaa9481d7e7d6f09c019835622</anchor>
      <arglist>(const KUrl &amp;url, int _mode, KIO::JobFlags flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>rename</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ae33c8c41e81f382c5afc2f1b59a5061a</anchor>
      <arglist>(const KUrl &amp;src, const KUrl &amp;dest, KIO::JobFlags flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>reparseConfiguration</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>acfbc95f009bfce9395e159f0db86b3f9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setHost</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a194a372361cba89c3ba5d67b2637fd6e</anchor>
      <arglist>(const QString &amp;host, quint16 port, const QString &amp;user, const QString &amp;pass)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLoadingErrorPage</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>adedcd6ba66c3e4fc1e7b56277f4f1539</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>slave_status</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a78194f4a542237d3e0a4dca55e0078a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>special</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ae5234395ae10e199cda9fa69659f5bd5</anchor>
      <arglist>(const QByteArray &amp;data)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>stat</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ab289474899cde3473007f36251790110</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~HTTPProtocol</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>aff2cbeb3ea916a1854985f95b1a6a94c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>error</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>acf75e061cf7dd56c4b3ff40254e4844b</anchor>
      <arglist>(int errid, const QString &amp;text)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>proxyAuthenticationForSocket</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>aaec36db5d9385177ef6f2411d5e02b45</anchor>
      <arglist>(const QNetworkProxy &amp;, QAuthenticator *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>saveProxyAuthenticationForSocket</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a6eeaa3cc44417b3b26275bc9b48ab5a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotData</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a86fc703aefbbeec82b3d2590b2cbbf11</anchor>
      <arglist>(const QByteArray &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotFilterError</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a53cb015a6f29d25a68bf67e2d630f977</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addCookies</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a662186820eba8d35add46f3997829671</anchor>
      <arglist>(const QString &amp;url, const QByteArray &amp;cookieHeader)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addEncoding</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a1471971290db75b06951e8ea3b7ac9ed</anchor>
      <arglist>(const QString &amp;, QStringList &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>authenticationHeader</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ac0b28bfb979ca113872a3aa968e83c66</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>gzFile</type>
      <name>checkCacheEntry</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a4008c91d2dbab021b745d99323a4147d</anchor>
      <arglist>(bool readWrite=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>cleanCache</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a4446249808ed9e255ae9ef4d92857130</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>clearUnreadBuffer</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ae8ffb441be61dc23221aadb53e89b131</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>closeCacheEntry</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a964e93edebdf65d350ae835123da319c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>codeFromResponse</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a7042b9fa330e98a9c43ea10ae3eae4b0</anchor>
      <arglist>(const QString &amp;response)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>createCacheEntry</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a264bdc2fba25fad038a0d176fec976a6</anchor>
      <arglist>(const QString &amp;mimetype, time_t expireDate)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>createNegotiateAuth</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a45b1e3745ebda3ca97ae9882b571e724</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>davParseActiveLocks</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ae1ef1187917fdc26584fb997f6d4be79</anchor>
      <arglist>(const QDomNodeList &amp;activeLocks, uint &amp;lockCount)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>davParsePropstats</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a9cf29c26c11d8735e6d30c56381cfe4f</anchor>
      <arglist>(const QDomNodeList &amp;propstats, KIO::UDSEntry &amp;entry)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>davProcessLocks</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>aa709bf7cd94a2e89c59ed2fb416e3614</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>davSetRequest</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a95c757ad7fbfcc05ecefa9ea5a553c80</anchor>
      <arglist>(const QByteArray &amp;requestXML)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>davStatList</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ad0902f98613e532a1067459dde80068b</anchor>
      <arglist>(const KUrl &amp;url, bool stat=true)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>quint16</type>
      <name>defaultPort</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a5874ae26efcd0561ebccf212bcef1bf1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>fillPromptInfo</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a8ca495cb463f03bf85724df9b5976712</anchor>
      <arglist>(KIO::AuthInfo *info)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>findCookies</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a4bbebd2b15fffe0ab72d143d7d1a13ab</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>fixupResponseMimetype</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a080bf75053f856159808a80eed65316f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>formatRequestUri</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ad507204de16400f4c126adb5b521618f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>forwardHttpResponseHeader</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a5d19514d8a30cc31f20c4d4893fdb1a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QByteArray</type>
      <name>gssError</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a86a0c9cccd20d7c3a0bd7a120638357f</anchor>
      <arglist>(int major_status, int minor_status)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>httpClose</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a0345410569704c876051692f43775472</anchor>
      <arglist>(bool keepAlive)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>httpCloseConnection</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a25e6d10e2a172feb9ac9a1b2197ecf4d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>httpOpenConnection</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>af9a5694ac44d974b69861d27c7524066</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>httpShouldCloseConnection</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a297f6fc14a434b2a81e208f266906705</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>parseContentDisposition</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>aad5bdc0a1980f0d4b80870606a60d593</anchor>
      <arglist>(const QString &amp;disposition)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>long</type>
      <name>parseDateTime</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a10ce3747d24c224b30b3ade96511728f</anchor>
      <arglist>(const QString &amp;input, const QString &amp;type)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>proceedUntilResponseContent</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ab44cf39e169176051c2ed94f10eafedf</anchor>
      <arglist>(bool dataInternal=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>proceedUntilResponseHeader</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a1e7cd69e443e37f906c231e4dfbeb320</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>readBody</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a1437268627984f41baad6d7ffce037ca</anchor>
      <arglist>(bool dataInternal=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>size_t</type>
      <name>readBuffered</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a36693e022beb463a73e87e0050857683</anchor>
      <arglist>(char *buf, size_t size)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>readChunked</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a6e1d27b57f82c4b2939e0a07299f8c11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>readDelimitedText</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a598813fee22332c2e906abd88f502941</anchor>
      <arglist>(char *buf, int *idx, int end, int numNewlines)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>readHeaderFromCache</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a11ad75b498ec62bd7cd0be5e1beb666d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>readLimited</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a48b3b12dfe87405591a2aae4800626e7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>readResponseHeader</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a3dd4d507dfc575587cbe44922adca5bf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>readUnlimited</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a6a746938b4d135dc62a02d5eb8112ebd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>resetConnectionSettings</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>aa2877d00fcfe95ee9c808876e3a945b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>resetResponseParsing</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a5d01b10da3fa820ca8c19c9012bff8f0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>resetSessionSettings</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a76f2359af4628da0c7fed7892043794c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>satisfyRequestFromCache</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>aef25ab5864a583cb92fd5afcee10ff50</anchor>
      <arglist>(bool *success)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>sendBody</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a5fa008ee46102ce28076cf8d58d49a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>sendQuery</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ad8f61d85b662518fbc6ea4d5c5d9b2f2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>unread</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a9c45e3738f2e92f4eb5aac4fd92cf944</anchor>
      <arglist>(char *buf, size_t size)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updateExpireDate</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a9dece68d793d62b2417c4e4109808904</anchor>
      <arglist>(time_t expireDate, bool updateCreationDate=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>ssize_t</type>
      <name>write</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a845ca9b631e16c939037b53f52b64292</anchor>
      <arglist>(const void *buf, size_t nbytes)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>writeCacheEntry</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a21b6b5cd0a7a8f808f0ea3212566aad3</anchor>
      <arglist>(const char *buffer, int nbytes)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>m_contentEncodings</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>aae67e410da9fd8cf7b01e33e5a09012c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_contentMD5</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ae97855039bdeea9f51c8d1d12d359452</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_cpMimeBuffer</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a8db12ad5b44a140aabc2e5911444e58b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_dataInternal</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>aa2cfbbf041ad8860dde3930d98d6227c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>m_davCapabilities</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>af66c4e68078ea4a7e8bd64ecab2f30cb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_davHostOk</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ade2eeb3450ff3889288ec792384595ee</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_davHostUnsupported</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ada1f26ee01b327472cd3d91d80687e7d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KIO::filesize_t</type>
      <name>m_iBytesLeft</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ab430c7079569112fb1393cffe6dcf1b8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KIO::filesize_t</type>
      <name>m_iContentLeft</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a68e08835a1d54d3a5c0ffca84bd930f8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_isBusy</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>acad60269cfacac64b4a291b852519e56</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_isChunked</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a9b8100ffa5088f1b5fb2730b03161c5a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_isEOD</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>abd9ccc165b9eba30fbcbba4aca4156cb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_isEOF</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>aa59a21e3bdb83d78c2c846987377bf98</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_isError</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a790c6c78d23792b328bc0f8eb9859911</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_isFirstRequest</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>aec745787792e9d3bb0ec6b0a9feaf259</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KIO::filesize_t</type>
      <name>m_iSize</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>aebb18f04eca498b81b10a10f4b5321b9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_isLoadingErrorPage</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>acb447cad2094e4751ffebc2f8bc82b41</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_isRedirection</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a9d658c6c214df9ab7a4e36630d16503e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>m_maxCacheAge</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a654f603d8e3481e7a1514441c1067ca7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>long</type>
      <name>m_maxCacheSize</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a140f76a0c5a9607b73507e87b7fc0c05</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_mimeType</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>add427cebf2fd489fbc1350e764829905</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QByteArray</type>
      <name>m_mimeTypeBuffer</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a2e8b56f8887fccb8b7a9c9d23ceca338</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QByteArray</type>
      <name>m_POSTbuf</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a3cba74e7c1a3421477a29f9f8061f108</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QByteArray</type>
      <name>m_protocol</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a0fd99e24ce183850ecc27347c7689afb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KAbstractHttpAuthentication *</type>
      <name>m_proxyAuth</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a3bca8cf34265cee2a0fb58d19e1d97d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QByteArray</type>
      <name>m_receiveBuf</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a8ee28afabf8adb43aea97da2b364644c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>m_remoteRespTimeout</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>add4b55db96bacf14a405b9b541344f7b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>HTTPRequest</type>
      <name>m_request</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a94c65961aa0b7c7eec637999d3504713</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QList&lt; HTTPRequest &gt;</type>
      <name>m_requestQueue</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>acc7bc1cefbb96b2ad6a7b45fca9e8cde</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>m_responseHeaders</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a468d74057c1d08265088797f805da1da</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>HTTPServerState</type>
      <name>m_server</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>afdb55fa0c2d21d2d9179fa1c28bc48d3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QAuthenticator *</type>
      <name>m_socketProxyAuth</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a0041a7bc6f85b67b14c5f8dc74508a9b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_strCacheDir</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a798c6415b4977f9991a4b464871fd3fe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>m_transferEncodings</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a2eb1712005b42fa039a37af6dd81da3a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QByteArray</type>
      <name>m_unreadBuf</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>af4dc6abc4797cf0ab0c72bd35dc60208</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QByteArray</type>
      <name>m_webDavDataBuf</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a3d8fc836dd602bfe50bcfe076d98fce6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KAbstractHttpAuthentication *</type>
      <name>m_wwwAuth</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ad25757a4fa35a44a7a5394f5499e2914</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>HTTPProtocol::CacheTag</name>
    <filename>structHTTPProtocol_1_1CacheTag.html</filename>
    <member kind="function">
      <type></type>
      <name>CacheTag</name>
      <anchorfile>structHTTPProtocol_1_1CacheTag.html</anchorfile>
      <anchor>adcef2fc58c40b2e84033657b9927d2c0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>long</type>
      <name>bytesCached</name>
      <anchorfile>structHTTPProtocol_1_1CacheTag.html</anchorfile>
      <anchor>a13a5dd0ffc9339ab5c30318203da5901</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>charset</name>
      <anchorfile>structHTTPProtocol_1_1CacheTag.html</anchorfile>
      <anchor>a76a6d1f65f2213378ba336c20ffa197f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>time_t</type>
      <name>creationDate</name>
      <anchorfile>structHTTPProtocol_1_1CacheTag.html</anchorfile>
      <anchor>a27b5de0e7e42513b528556840be3929b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>etag</name>
      <anchorfile>structHTTPProtocol_1_1CacheTag.html</anchorfile>
      <anchor>aa38ec982e701c51b0162b5cef824c6d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>time_t</type>
      <name>expireDate</name>
      <anchorfile>structHTTPProtocol_1_1CacheTag.html</anchorfile>
      <anchor>a04b6dd70d45ab9a946300a6ef59b64fb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>long</type>
      <name>expireDateOffset</name>
      <anchorfile>structHTTPProtocol_1_1CacheTag.html</anchorfile>
      <anchor>a88ad6377d2505852685e2fd531fcf38b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>file</name>
      <anchorfile>structHTTPProtocol_1_1CacheTag.html</anchorfile>
      <anchor>afe8a221e487ce79498b617ee6ecb736a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>gzFile</type>
      <name>gzs</name>
      <anchorfile>structHTTPProtocol_1_1CacheTag.html</anchorfile>
      <anchor>aa727a38b71fd8838eea6580d4776a01f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>isExpired</name>
      <anchorfile>structHTTPProtocol_1_1CacheTag.html</anchorfile>
      <anchor>a151656cbf4c247b6193acc6480963e66</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>lastModified</name>
      <anchorfile>structHTTPProtocol_1_1CacheTag.html</anchorfile>
      <anchor>a9e4493ab84e479a5f0ff3db4b6492b91</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KIO::CacheControl</type>
      <name>policy</name>
      <anchorfile>structHTTPProtocol_1_1CacheTag.html</anchorfile>
      <anchor>a8a6e7e693b6eeb137b75f75072e395a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>readFromCache</name>
      <anchorfile>structHTTPProtocol_1_1CacheTag.html</anchorfile>
      <anchor>ac8bb338a791f05e60bcb136e149fad96</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>useCache</name>
      <anchorfile>structHTTPProtocol_1_1CacheTag.html</anchorfile>
      <anchor>a80405ece6309d760aa262e4e5e53a3cb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>writeToCache</name>
      <anchorfile>structHTTPProtocol_1_1CacheTag.html</anchorfile>
      <anchor>a6574fff05d1705a47518f9ec79539aac</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>HTTPProtocol::DAVRequest</name>
    <filename>structHTTPProtocol_1_1DAVRequest.html</filename>
    <member kind="function">
      <type></type>
      <name>DAVRequest</name>
      <anchorfile>structHTTPProtocol_1_1DAVRequest.html</anchorfile>
      <anchor>a757a92cd3fe67c1260bbea4c8070c12d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>depth</name>
      <anchorfile>structHTTPProtocol_1_1DAVRequest.html</anchorfile>
      <anchor>a8bdf8ac220a8a2a266649054f7bff63a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>desturl</name>
      <anchorfile>structHTTPProtocol_1_1DAVRequest.html</anchorfile>
      <anchor>ae2d9bf06a294d8a01fc2a9aea91ac8a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>overwrite</name>
      <anchorfile>structHTTPProtocol_1_1DAVRequest.html</anchorfile>
      <anchor>a7d64fc20bab4e6a801627af915f37ded</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>HTTPProtocol::HTTPRequest</name>
    <filename>structHTTPProtocol_1_1HTTPRequest.html</filename>
    <member kind="enumvalue">
      <name>CookiesAuto</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>a2b2d2a3e0efcafe5392e80a803061707af6f1365325aaee4dc3e85d1a64e7125f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CookiesManual</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>a2b2d2a3e0efcafe5392e80a803061707a03cdb8687b9d14830ccdebea3a6dd89e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CookiesNone</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>a2b2d2a3e0efcafe5392e80a803061707a2d2b6eb85c686c7512575dcfb93a1593</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>HTTPRequest</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>aafa2b4c0553c617871ca7872c2a536b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>allowTransferCompression</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>a2a088cbda2dfe05687744a5319f1a3df</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>CacheTag</type>
      <name>cacheTag</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>a414ab65d3c18152e77ebf6872ca071d2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>charsets</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>af71d3b5a94b19be24b1e2778ef6c06ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>enum HTTPProtocol::HTTPRequest::@1</type>
      <name>cookieMode</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>a71850f6c760b88751340b4b6d4fee250</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>DAVRequest</type>
      <name>davData</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>aedab7fc2e58c5d7ed0b78942e2884fb4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>disablePassDialog</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>aa8eff5135876c74c67b155cbf77382b3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>doNotAuthenticate</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>a1efd607926d2631a69b7a48b2106be79</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>encoded_hostname</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>a008bc8ab6603b590aa4c70f3672afc95</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KIO::filesize_t</type>
      <name>endoffset</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>a3ec954210cc9216ab9e25ec0849c74fb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>id</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>af4c4e377e8bd7e681d83e866cc4e4c6c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>isKeepAlive</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>a7b90a920555001a4af272e6b5b37803f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>isPersistentProxyConnection</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>ae2e29022cec200985f07a79485aa6ce4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>keepAliveTimeout</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>a78222070edaa8f11faf513e5a703e70a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>languages</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>a8cd2841fa2fdca584e64f6292367d86e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KIO::HTTP_METHOD</type>
      <name>method</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>ae54bd0ad3bf31462f2a1537a2e48754d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KIO::filesize_t</type>
      <name>offset</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>aca7e4472654c3f81d585c708b6a1ab60</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>preferErrorPage</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>a4b31d4e797447bfd9b3c32bbe31a2ab3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>prevResponseCode</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>a6855e0fdaaf41d1293877d93b83a872f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KUrl</type>
      <name>proxyUrl</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>a953628555c05b469ecea4ceca0ad2d4b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>referrer</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>a1fad78c6d037d13775cdc4ef9704cc7d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>responseCode</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>a4e8463a8a205dbb3a55e83891cbd5fe2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KUrl</type>
      <name>url</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>aec9497a8b2d484bb0b6ffe6b18902110</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>useCookieJar</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>a023aef040e6e1a7b698de4a905bfdb2e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>userAgent</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>a0d654d6ed5f3aedf2a9e45abc82b11e3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>windowId</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>a1ecedb7fc92fd8bc626ef35b8560ad2a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>HTTPProtocol::HTTPServerState</name>
    <filename>structHTTPProtocol_1_1HTTPServerState.html</filename>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>structHTTPProtocol_1_1HTTPServerState.html</anchorfile>
      <anchor>a0e4ee770205986d9e1a9c785b411b43b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>HTTPServerState</name>
      <anchorfile>structHTTPProtocol_1_1HTTPServerState.html</anchorfile>
      <anchor>a726b71daa7578162196355d8e7b22a00</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>initFrom</name>
      <anchorfile>structHTTPProtocol_1_1HTTPServerState.html</anchorfile>
      <anchor>a481e75672325e70764127c260440bea3</anchor>
      <arglist>(const HTTPRequest &amp;request)</arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>encoded_hostname</name>
      <anchorfile>structHTTPProtocol_1_1HTTPServerState.html</anchorfile>
      <anchor>aa106e661d4d19565b2dd024aa2653831</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>isKeepAlive</name>
      <anchorfile>structHTTPProtocol_1_1HTTPServerState.html</anchorfile>
      <anchor>aac500f5cd4e832a3776fb8e93c5f94f4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>isPersistentProxyConnection</name>
      <anchorfile>structHTTPProtocol_1_1HTTPServerState.html</anchorfile>
      <anchor>a8f933e0a68889d522b43a6df8c3146f4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KUrl</type>
      <name>proxyUrl</name>
      <anchorfile>structHTTPProtocol_1_1HTTPServerState.html</anchorfile>
      <anchor>a370d18e2ed1607ff0150acb98c2708e3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KUrl</type>
      <name>url</name>
      <anchorfile>structHTTPProtocol_1_1HTTPServerState.html</anchorfile>
      <anchor>a037f8907e34c531508469dca5cafc83c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAbstractHttpAuthentication</name>
    <filename>classKAbstractHttpAuthentication.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>fillKioAuthInfo</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>a3cfbc6b2b90e0ad9218e4f1c2a24ef5d</anchor>
      <arglist>(KIO::AuthInfo *ai) const =0</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>forceDisconnect</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>a086ee2cdf6fe567addea6225c166801b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>forceKeepAlive</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>a6a607ad2f1a95b809a7c04f2be25b941</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>generateResponse</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>a57f67daa11c071d2d72c0ce6815ff633</anchor>
      <arglist>(const QString &amp;user, const QString &amp;password)=0</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>headerFragment</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>a6f38fa8d583cd18b2b7c4dbbeb7084af</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isError</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>acd837bd899c037094d773521d4376a3f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAbstractHttpAuthentication</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>a99099a725fc6e6eb039d4600c2bcf2ee</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>needCredentials</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>aa900c09048630062f738d263d5fec131</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>realm</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>a6c25dd14031f08467bd48fca1b29521d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>aeef6d4a465bc5070344cc2914ac97759</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QByteArray</type>
      <name>scheme</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>a00caa8fbd8281d58c0a2fefb86b9afe2</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setChallenge</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>ae9eb45a44183b2c88ced58d11a299182</anchor>
      <arglist>(const QByteArray &amp;c, const KUrl &amp;resource, const QByteArray &amp;httpMethod)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KAbstractHttpAuthentication</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>a0c81caa8008266729b17e14fb36435ff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QByteArray</type>
      <name>bestOffer</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>a138b3d89e680d71245d765f79d7db72f</anchor>
      <arglist>(const QList&lt; QByteArray &gt; &amp;offers)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAbstractHttpAuthentication *</type>
      <name>newAuth</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>a12f203fcd0d9e9f7da9caaea5b81b08a</anchor>
      <arglist>(const QByteArray &amp;offer)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>authInfoBoilerplate</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>a1a2dbd33637dcf132b211365b945f422</anchor>
      <arglist>(KIO::AuthInfo *a) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>generateResponseCommon</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>a77423f0fbe191e3699fc678eb6e82f4f</anchor>
      <arglist>(const QString &amp;user, const QString &amp;password)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QList&lt; QByteArray &gt;</type>
      <name>m_challenge</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>a8d7fea0d1b9b39c035aa86da13d15ffa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_forceDisconnect</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>a812ae850643227c674f13736fd5f9d9c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_forceKeepAlive</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>aee0e7ad9c6471d6254144b258824a4ff</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_headerFragment</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>a3f5f883efbd8b3d9aa2dee996a6c182e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QByteArray</type>
      <name>m_httpMethod</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>acaec4c538df84ae7375eacc8c1681a19</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_isError</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>a93fcd1ecc82742e1005e3e8e657255a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_needCredentials</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>ab16605d7640a85d05a0a3163930ed3f8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_password</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>ab06d045180a23252629ac62a7fa901e6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KUrl</type>
      <name>m_resource</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>a2d6d39f6fdc537c41e4c380b9ca13e54</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QByteArray</type>
      <name>m_scheme</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>a085c4943d8a16a9f3ccbd53ed2dc97a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_username</name>
      <anchorfile>classKAbstractHttpAuthentication.html</anchorfile>
      <anchor>a0754c3b14b2db7ebb4aa28133df73638</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCookieDetail</name>
    <filename>classKCookieDetail.html</filename>
    <base>QGroupBox</base>
    <member kind="function">
      <type></type>
      <name>KCookieDetail</name>
      <anchorfile>classKCookieDetail.html</anchorfile>
      <anchor>a469d06e67edaa9792155254b8ba7ef38</anchor>
      <arglist>(KHttpCookieList cookieList, int cookieCount, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KCookieDetail</name>
      <anchorfile>classKCookieDetail.html</anchorfile>
      <anchor>a5995fe9498fe7ed603bb81b365cfa79d</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCookieJar</name>
    <filename>classKCookieJar.html</filename>
    <member kind="enumeration">
      <name>KCookieDefaultPolicy</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>af7304fc91e804fa36e51cc55f47cd376</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ApplyToShownCookiesOnly</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>af7304fc91e804fa36e51cc55f47cd376a7412aaea81f4e67e827dd3b55bb43e74</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ApplyToCookiesFromDomain</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>af7304fc91e804fa36e51cc55f47cd376a3a519e38fdb346f155f78eee4351d056</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ApplyToAllCookies</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>af7304fc91e804fa36e51cc55f47cd376a5fd125db86cd940633bf979a42208975</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addCookie</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>abb509421bbbaae6a5e105417da8fbe5a</anchor>
      <arglist>(KHttpCookie &amp;cookie)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changed</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>a44e39bf51e739c93d23c9cec768f88c6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KCookieAdvice</type>
      <name>cookieAdvice</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>a9f38f51ae161e9f8189dd4b37bf6f8e5</anchor>
      <arglist>(KHttpCookie &amp;cookie)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>eatAllCookies</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>ad646e987c38a62b72117b6af78211942</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>eatCookie</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>a67e834b6f14f1736b195504439c396ad</anchor>
      <arglist>(KHttpCookieList::iterator cookieIterator)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>eatCookiesForDomain</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>acf52e7fb8569e19401364c885b39df17</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>eatSessionCookies</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>a2b853bd0942a22e60690e45552a81ffc</anchor>
      <arglist>(const QString &amp;fqdn, long windowId, bool isFQDN=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>eatSessionCookies</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>a076790ae40ed721c2be6257fb83bb63d</anchor>
      <arglist>(long windowId)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>extractDomains</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>a9dddbb6ca8ae459aaa4a7496c38f0cc5</anchor>
      <arglist>(const QString &amp;_fqdn, QStringList &amp;_domainList) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>findCookies</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>ad618785b449190e342a1b0de137ef8e0</anchor>
      <arglist>(const QString &amp;_url, bool useDOMFormat, long windowId, KHttpCookieList *pendingCookies=0)</arglist>
    </member>
    <member kind="function">
      <type>KHttpCookieList *</type>
      <name>getCookieList</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>a09aa00df00b1c6e99da9ccb0724c3b66</anchor>
      <arglist>(const QString &amp;_domain, const QString &amp;_fqdn)</arglist>
    </member>
    <member kind="function">
      <type>KCookieAdvice</type>
      <name>getDomainAdvice</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>ab311fd22226735d6828f0ba674deec78</anchor>
      <arglist>(const QString &amp;_domain)</arglist>
    </member>
    <member kind="function">
      <type>const QStringList &amp;</type>
      <name>getDomainList</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>a77c9f4f70c3a812533c2ad5b907adf2c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCookieAdvice</type>
      <name>getGlobalAdvice</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>ad775844ee72c2d169ef25a5b1522490c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCookieJar</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>ab6c5c5166339a29991f1a2f91f4ff4c4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadConfig</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>adc2ea2e929b5ed73536549224e9cae8a</anchor>
      <arglist>(KConfig *_config, bool reparse=false)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>loadCookies</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>addfe86019de0669393452291ddb859fb</anchor>
      <arglist>(const QString &amp;_filename)</arglist>
    </member>
    <member kind="function">
      <type>KHttpCookieList</type>
      <name>makeCookies</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>af175a0f829ff1c7869aa5e4a63c32019</anchor>
      <arglist>(const QString &amp;_url, const QByteArray &amp;cookie_headers, long windowId)</arglist>
    </member>
    <member kind="function">
      <type>KHttpCookieList</type>
      <name>makeDOMCookies</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>ae3b15ddd16947380380e30fe5a65f2bc</anchor>
      <arglist>(const QString &amp;_url, const QByteArray &amp;cookie_domstr, long windowId)</arglist>
    </member>
    <member kind="function">
      <type>KCookieDefaultPolicy</type>
      <name>preferredDefaultPolicy</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>af9b947fb265922b7ff29d2ef497b89fa</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveConfig</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>a4761ed58d9ccbbb3d4fdbe5e0474b5e9</anchor>
      <arglist>(KConfig *_config)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>saveCookies</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>a4bbb3965a27c28480762e421ca139366</anchor>
      <arglist>(const QString &amp;_filename)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDomainAdvice</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>a1e1e8f3b7afc63069b2dc5825eda3ae0</anchor>
      <arglist>(const KHttpCookie &amp;_cookie, KCookieAdvice _advice)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDomainAdvice</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>ac94549e811617b06f3d834796bb6e6c9</anchor>
      <arglist>(const QString &amp;_domain, KCookieAdvice _advice)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGlobalAdvice</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>af5cf16858b3e1f7b9d89521ff76b9767</anchor>
      <arglist>(KCookieAdvice _advice)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPreferredDefaultPolicy</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>a8bd59f3dc83e77f4a9fd3b182251e924</anchor>
      <arglist>(KCookieDefaultPolicy value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowCookieDetails</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>ae2e0ca01b2b84ce701cb073b5e22dfae</anchor>
      <arglist>(bool value)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showCookieDetails</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>a4223edd49f3bce44aaa35d64649ff3d2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KCookieJar</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>a65d844d23838d57ced6e604c82ae1df3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>adviceToStr</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>a277b561ed739a5f2022fbae4375ccf03</anchor>
      <arglist>(KCookieAdvice _advice)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>parseUrl</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>aef30855d1498d001b3e95f0ba08bcfd5</anchor>
      <arglist>(const QString &amp;_url, QString &amp;_fqdn, QString &amp;_path)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCookieAdvice</type>
      <name>strToAdvice</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>a1bf739b2d7675dd4fed044b86084fceb</anchor>
      <arglist>(const QString &amp;_str)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>stripDomain</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>a122c5f8b76817afa7779499f5154589b</anchor>
      <arglist>(const KHttpCookie &amp;cookie)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>stripDomain</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>a2c198d178ff5a48b36236320b1f6f12c</anchor>
      <arglist>(const QString &amp;_fqdn, QString &amp;_domain)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_autoAcceptSessionCookies</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>ad692f8514fbdf7e46e8bf1b7282ad32f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_configChanged</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>af62cbea6823e3e3c4f09b16ecf393f0d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QHash&lt; QString, KHttpCookieList * &gt;</type>
      <name>m_cookieDomains</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>a93267ba53e13139e531281832a10299f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_cookiesChanged</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>ace753fe52d6ba47568b93095bb7685a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>m_domainList</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>aae41b17e93373c35fbabb4f13196aedf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KCookieAdvice</type>
      <name>m_globalAdvice</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>a11b00bd4926536decbc8a949a4d1041f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_ignoreCookieExpirationDate</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>a2cbe1867b24860bedf3a87944880e3da</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KCookieDefaultPolicy</type>
      <name>m_preferredPolicy</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>ac45b459d8146dc664379073c178d5250</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_rejectCrossDomainCookies</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>aaed0fe28b7f74305c87385e5a612b9ed</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_showCookieDetails</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>add16651d33c9648200fe45c7d1f0645d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QHash&lt; QString, int &gt;</type>
      <name>m_twoLevelTLD</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>aedf2644601ea67fdc244937b9bcfe881</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCookieServer</name>
    <filename>classKCookieServer.html</filename>
    <base>KDEDModule</base>
    <base protection="protected">QDBusContext</base>
    <member kind="slot">
      <type>void</type>
      <name>addCookies</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>a5d448d2f6abdd396239b90ab15be5fe0</anchor>
      <arglist>(const QString &amp;url, const QByteArray &amp;cookieHeader, qlonglong windowId)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>addDOMCookies</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>adf1553e6e1642ff49656c4db69798c84</anchor>
      <arglist>(const QString &amp;url, const QByteArray &amp;cookieHeader, qlonglong windowId)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteAllCookies</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>a93a0eff679dbf738a75f403efac208b8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteCookie</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>a820ff8c347dbe81916d041403965b279</anchor>
      <arglist>(const QString &amp;domain, const QString &amp;fqdn, const QString &amp;path, const QString &amp;name)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteCookiesFromDomain</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>aba29c0dc281f3b81e6627ff0fb66df0d</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteSessionCookies</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>a6942652e6388576193467791626a3b7e</anchor>
      <arglist>(qlonglong windowId)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteSessionCookiesFor</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>ad2ec3948ee35987bfd532c938e903ef3</anchor>
      <arglist>(const QString &amp;fqdn, qlonglong windowId)</arglist>
    </member>
    <member kind="slot">
      <type>QStringList</type>
      <name>findCookies</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>a5fd45f6d4cda158ebaa6f33fc83f3045</anchor>
      <arglist>(const QList&lt; int &gt; &amp;fields, const QString &amp;domain, const QString &amp;fqdn, const QString &amp;path, const QString &amp;name)</arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>findCookies</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>a8166f3f3fdbf4533b417b2c978562a6e</anchor>
      <arglist>(const QString &amp;url, qlonglong windowId)</arglist>
    </member>
    <member kind="slot">
      <type>QStringList</type>
      <name>findDomains</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>ac6342196045fa78d1cb1f6d8cbe3f994</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>findDOMCookies</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>aa36ca7bec4c3e74eb5de9aa2401bb025</anchor>
      <arglist>(const QString &amp;url, qlonglong windowId)</arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>findDOMCookies</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>add2e8b7c917ff741da7929b448e00d85</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>getDomainAdvice</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>a8e63665a8883e1be8cb4f6225ffc016e</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>listCookies</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>a79a949422a7673750d185a582c623935</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>reloadPolicy</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>a3104535f53a448493b17537b840900ef</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>setDomainAdvice</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>a689d1d31dc79e744df58ae8ba0881b86</anchor>
      <arglist>(const QString &amp;url, const QString &amp;advice)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>shutdown</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>abf58c3f17aac5c7cf0b82bfb9eeb24ad</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addCookies</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>afdce7f851aeda82d1a2b25c63a0eca46</anchor>
      <arglist>(const QString &amp;url, const QByteArray &amp;cookieHeader, qlonglong windowId, bool useDOMFormat)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>checkCookies</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>a0095c9adad5a4fc62de464d5f3cd0f36</anchor>
      <arglist>(KHttpCookieList *cookieList)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>cookiesPending</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>a687500d9faa74a5e1c53dec39133b2fd</anchor>
      <arglist>(const QString &amp;url, KHttpCookieList *cookieList=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCookieServer</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>a656ee057c41671277ec5b0b8041496f4</anchor>
      <arglist>(QObject *parent, const QList&lt; QVariant &gt; &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KCookieServer</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>afffd4b23ddb374f1194cd73b6a9650ee</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCookieWin</name>
    <filename>classKCookieWin.html</filename>
    <base>KDialog</base>
    <member kind="function">
      <type>KCookieAdvice</type>
      <name>advice</name>
      <anchorfile>classKCookieWin.html</anchorfile>
      <anchor>a7a2d3cb761bc75dbea9622b932d35bbb</anchor>
      <arglist>(KCookieJar *cookiejar, const KHttpCookie &amp;cookie)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCookieWin</name>
      <anchorfile>classKCookieWin.html</anchorfile>
      <anchor>a3e4e5acdc01e8c07897df6d9ce6b8ad4</anchor>
      <arglist>(QWidget *parent, KHttpCookieList cookieList, int defaultButton=0, bool showDetails=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KCookieWin</name>
      <anchorfile>classKCookieWin.html</anchorfile>
      <anchor>ab41925275c864cbdc5bd9e45ba880842</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHttpBasicAuthentication</name>
    <filename>classKHttpBasicAuthentication.html</filename>
    <base>KAbstractHttpAuthentication</base>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fillKioAuthInfo</name>
      <anchorfile>classKHttpBasicAuthentication.html</anchorfile>
      <anchor>a5d603e334cbc73420604cae9dbe3790d</anchor>
      <arglist>(KIO::AuthInfo *ai) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>generateResponse</name>
      <anchorfile>classKHttpBasicAuthentication.html</anchorfile>
      <anchor>a687021d522ea9bb099dff425d8dd795c</anchor>
      <arglist>(const QString &amp;user, const QString &amp;password)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QByteArray</type>
      <name>scheme</name>
      <anchorfile>classKHttpBasicAuthentication.html</anchorfile>
      <anchor>a5232d61e5348bf3617e1bab4a1055bd2</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHttpCookie</name>
    <filename>classKHttpCookie.html</filename>
    <member kind="function">
      <type>QString</type>
      <name>domain</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>a2c200883417d4125e80416300a2c6d15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>qint64</type>
      <name>expireDate</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>a3e4c9acc354f2a912b79f3f199faa0fc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fixDomain</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>a8ab9f21a6739a27e6e42db017ec33834</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasExplicitPath</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>ab4429a5a8fb1a14633c7d7d343eb1bbb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>host</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>a1ce2839c1f3838f35ae51e4d25b02607</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isCrossDomain</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>ae7dbfe240a56652f372de5cb02bf675a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isExpired</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>ae5d52415fbd365f1f7d8cb1ef5972bde</anchor>
      <arglist>(qint64 currentDate=-1) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isHttpOnly</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>a8c49967a56098c216c801807a9025fd6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSecure</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>a2aeaca4a116d1cc2bf5ece0d64fdaa13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KHttpCookie</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>afe6bfd7a5699eeeaadee4ba3d21af44e</anchor>
      <arglist>(const QString &amp;_host=QString(), const QString &amp;_domain=QString(), const QString &amp;_path=QString(), const QString &amp;_name=QString(), const QString &amp;_value=QString(), qint64 _expireDate=0, int _protocolVersion=0, bool _secure=false, bool _httpOnly=false, bool _explicitPath=false)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>match</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>a1abc7d2e4682b663d44ed31694820728</anchor>
      <arglist>(const QString &amp;fqdn, const QStringList &amp;domainList, const QString &amp;path) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>a3c8b378ba42d49e9bfd3b5cb32ef0375</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>path</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>ab285df615774c9c119658bac38a8ddff</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>protocolVersion</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>a864afcce5e4096943cfa80c6db2b5215</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>value</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>a6377a54e608235438171df2fea7a7fc4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QList&lt; long &gt; &amp;</type>
      <name>windowIds</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>a09362ddc5c3a68628b9f7c3bc2f50f06</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; long &gt; &amp;</type>
      <name>windowIds</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>a1640aa3c14165e00ce45a3d32d6519ba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>cookieStr</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>aad822cf25006ada384254965f08e7df2</anchor>
      <arglist>(bool useDOMFormat) const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCrossDomain</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>a8d509837a2f02359a08f56203a626c82</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mDomain</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>a8bb9e4af99cedd34e099cbcafc07e07d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>qint64</type>
      <name>mExpireDate</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>aadab9108eacdba1edfb21536e7b85039</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mExplicitPath</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>a9960c0d32587554d785cea19fdf9d7c8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mHost</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>ac9fbf499237dd68c0e19b245ba296bec</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mHttpOnly</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>a22882ed75071c1cb9db74bcd1ce78837</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mName</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>aaab53ffbab2e888c87d26d27b47286ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mPath</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>ab4f644cdcccc89dc4ef9144a2cc0a345</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>mProtocolVersion</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>a2208590f6a9154825b693b940adc6653</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mSecure</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>a7e636245ca8252584d1a590009bbfa1a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mValue</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>a16fc7e018d8efbe7b4a36d0f162ed2bc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QList&lt; long &gt;</type>
      <name>mWindowIds</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>af7b761d264026884c026130d835a9bb2</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend QDebug</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>a49dd0b292ffb14efeb9cfea6837c45e7</anchor>
      <arglist>(QDebug, const KHttpCookie &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHttpCookieList</name>
    <filename>classKHttpCookieList.html</filename>
    <base>QList&lt; KHttpCookie &gt;</base>
    <member kind="function">
      <type>KCookieAdvice</type>
      <name>getAdvice</name>
      <anchorfile>classKHttpCookieList.html</anchorfile>
      <anchor>a599f4a551aec2e5047386d9b4e508cdd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KHttpCookieList</name>
      <anchorfile>classKHttpCookieList.html</anchorfile>
      <anchor>ae7baa73ce30d98d74b6f51b87b8d27dc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAdvice</name>
      <anchorfile>classKHttpCookieList.html</anchorfile>
      <anchor>ad1e6756f8debbcac634b973f87d02277</anchor>
      <arglist>(KCookieAdvice _advice)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KHttpCookieList</name>
      <anchorfile>classKHttpCookieList.html</anchorfile>
      <anchor>a149fda9c0eac15f0fbc26a620bfeed18</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHttpDigestAuthentication</name>
    <filename>classKHttpDigestAuthentication.html</filename>
    <base>KAbstractHttpAuthentication</base>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fillKioAuthInfo</name>
      <anchorfile>classKHttpDigestAuthentication.html</anchorfile>
      <anchor>a4eee92c501326a31bfac0b9c6ae8b4a4</anchor>
      <arglist>(KIO::AuthInfo *ai) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>generateResponse</name>
      <anchorfile>classKHttpDigestAuthentication.html</anchorfile>
      <anchor>a9b5ddf0d140f5bf0d9a6f6e4803cdb3f</anchor>
      <arglist>(const QString &amp;user, const QString &amp;password)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QByteArray</type>
      <name>scheme</name>
      <anchorfile>classKHttpDigestAuthentication.html</anchorfile>
      <anchor>a2439712873fb204a3832e4dcb7c84e26</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setChallenge</name>
      <anchorfile>classKHttpDigestAuthentication.html</anchorfile>
      <anchor>abb73ae768705354c21da241af3f1b3db</anchor>
      <arglist>(const QByteArray &amp;c, const KUrl &amp;resource, const QByteArray &amp;httpMethod)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHttpNtlmAuthentication</name>
    <filename>classKHttpNtlmAuthentication.html</filename>
    <base>KAbstractHttpAuthentication</base>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fillKioAuthInfo</name>
      <anchorfile>classKHttpNtlmAuthentication.html</anchorfile>
      <anchor>a0ebe9aa55ea9716e319b1f7c545063ea</anchor>
      <arglist>(KIO::AuthInfo *ai) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>generateResponse</name>
      <anchorfile>classKHttpNtlmAuthentication.html</anchorfile>
      <anchor>af9037199e7f02333e63282b2d09b26b8</anchor>
      <arglist>(const QString &amp;user, const QString &amp;password)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QByteArray</type>
      <name>scheme</name>
      <anchorfile>classKHttpNtlmAuthentication.html</anchorfile>
      <anchor>abd87f285a1103bda4c8ad22c47ccf131</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setChallenge</name>
      <anchorfile>classKHttpNtlmAuthentication.html</anchorfile>
      <anchor>ab6ca147868f9db7e4e2922bf6f4e6cff</anchor>
      <arglist>(const QByteArray &amp;c, const KUrl &amp;resource, const QByteArray &amp;httpMethod)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MetaInfoProtocol</name>
    <filename>classMetaInfoProtocol.html</filename>
    <base>KIO::SlaveBase</base>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>get</name>
      <anchorfile>classMetaInfoProtocol.html</anchorfile>
      <anchor>a521c6a46922764247fdb9d33d7743c23</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MetaInfoProtocol</name>
      <anchorfile>classMetaInfoProtocol.html</anchorfile>
      <anchor>a9276df859a3ac797dd41bcf34c808f56</anchor>
      <arglist>(const QByteArray &amp;pool, const QByteArray &amp;app)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>put</name>
      <anchorfile>classMetaInfoProtocol.html</anchorfile>
      <anchor>a0e89b0a7c2d8d8b5784f989ce8747765</anchor>
      <arglist>(const KUrl &amp;url, int permissions, KIO::JobFlags flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~MetaInfoProtocol</name>
      <anchorfile>classMetaInfoProtocol.html</anchorfile>
      <anchor>a3b11a422780210331d26d38335342a9c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QDBusContext</name>
    <filename>classQDBusContext.html</filename>
  </compound>
  <compound kind="class">
    <name>QHash</name>
    <filename>classQHash.html</filename>
  </compound>
  <compound kind="class">
    <name>TokenIterator</name>
    <filename>classTokenIterator.html</filename>
    <member kind="function">
      <type>QList&lt; QByteArray &gt;</type>
      <name>all</name>
      <anchorfile>classTokenIterator.html</anchorfile>
      <anchor>a83d381f967ba55a014a35bc91a99836e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>current</name>
      <anchorfile>classTokenIterator.html</anchorfile>
      <anchor>af61fc2a8df3af1ca646a1996a0b640d3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasNext</name>
      <anchorfile>classTokenIterator.html</anchorfile>
      <anchor>a78662c941ad0ad173c073d8627d237d1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>next</name>
      <anchorfile>classTokenIterator.html</anchorfile>
      <anchor>a8ca38286adf5209951e68cc203a30872</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
